<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:WIPO="http://www.altova.com/MapForce/UDF/WIPO" xmlns:vmf="http://www.altova.com/MapForce/UDF/vmf" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions"  xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common" xmlns:tmks="http://www.wipo.int/standards/XMLSchema/trademarks" exclude-result-prefixes="WIPO vmf xs fn com tmks">
	<xsl:output method="xml" encoding="UTF-8" byte-order-mark="no" indent="yes"/>
	<xsl:template name="WIPO:MappingST66ApplicantToST96Applicant">
		<xsl:param name="Applicant" select="()"/>
		<tmks:Applicant>
			<xsl:for-each select="$Applicant/@operationCode">
				<xsl:variable name="var1_resultof_vmf___inputtoresult" as="xs:string?">
					<xsl:call-template name="vmf:vmf47_inputtoresult">
						<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:for-each select="$var1_resultof_vmf___inputtoresult">
					<xsl:attribute name="com:operationCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="."/>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:ApplicantSequenceNumber">
				<xsl:attribute name="com:sequenceNumber" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="xs:string(xs:integer(fn:string(.)))"/>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:ApplicantLegalEntity">
				<com:LegalEntityName xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="fn:string(.)"/>
				</com:LegalEntityName>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:ApplicantIdentifier">
				<com:PartyIdentifier xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:for-each select="@identifierKindCode">
						<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
					</xsl:for-each>
					<xsl:sequence select="fn:string(.)"/>
				</com:PartyIdentifier>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:ApplicantAddressBook">
				<xsl:variable name="var2_resultof_MappingST__AddressBookToST__Contact" as="node()?">
					<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
						<xsl:with-param name="AddressBook" as="node()">
							<tmks:AddressBookType>
								<xsl:sequence select="(./@node(), ./node())"/>
							</tmks:AddressBookType>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:variable>
				<xsl:for-each select="$var2_resultof_MappingST__AddressBookToST__Contact">
					<com:Contact xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
						<xsl:sequence select="(./@node(), ./node())"/>
					</com:Contact>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:ApplicantNationalityCode">
				<com:NationalityCode xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="fn:string(.)"/>
				</com:NationalityCode>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:ApplicantIncorporationCountryCode">
				<com:IncorporationCountryCode xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="fn:string(.)"/>
				</com:IncorporationCountryCode>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:ApplicantIncorporationState">
				<com:IncorporationState xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="fn:string(.)"/>
				</com:IncorporationState>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:Comment">
				<com:CommentText xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:for-each select="@languageCode">
						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
					</xsl:for-each>
					<xsl:sequence select="fn:string(.)"/>
				</com:CommentText>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:ApplicantEntitlement">
				<Entitlement>
					<xsl:for-each select="tmks:EntitlementNationalityCode">
						<com:EntitlementNationalityCode xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
							<xsl:sequence select="fn:string(.)"/>
						</com:EntitlementNationalityCode>
					</xsl:for-each>
					<xsl:for-each select="tmks:EntitlementEstablishment">
						<com:EntitlementEstablishment xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
							<xsl:for-each select="tmks:EntitlementEstablishmentCode">
								<com:EntitlementEstablishmentCode>
									<xsl:sequence select="fn:string(.)"/>
								</com:EntitlementEstablishmentCode>
							</xsl:for-each>
							<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
								<xsl:variable name="var3_resultof_MappingST__AddressBookToST__Contact" as="node()?">
									<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
										<xsl:with-param name="AddressBook" as="node()">
											<tmks:AddressBookType>
												<xsl:sequence select="(./@node(), ./node())"/>
											</tmks:AddressBookType>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:variable>
								<xsl:for-each select="$var3_resultof_MappingST__AddressBookToST__Contact">
									<com:Contact>
										<xsl:sequence select="(./@node(), ./node())"/>
									</com:Contact>
								</xsl:for-each>
							</xsl:for-each>
						</com:EntitlementEstablishment>
					</xsl:for-each>
					<xsl:for-each select="tmks:EntitlementDomiciled">
						<com:EntitlementDomiciled xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
							<xsl:for-each select="tmks:EntitlementDomiciledCode">
								<com:EntitlementDomiciledCode>
									<xsl:sequence select="fn:string(.)"/>
								</com:EntitlementDomiciledCode>
							</xsl:for-each>
							<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
								<xsl:variable name="var4_resultof_MappingST__AddressBookToST__Contact" as="node()?">
									<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
										<xsl:with-param name="AddressBook" as="node()">
											<tmks:AddressBookType>
												<xsl:sequence select="(./@node(), ./node())"/>
											</tmks:AddressBookType>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:variable>
								<xsl:for-each select="$var4_resultof_MappingST__AddressBookToST__Contact">
									<com:Contact>
										<xsl:sequence select="(./@node(), ./node())"/>
									</com:Contact>
								</xsl:for-each>
							</xsl:for-each>
						</com:EntitlementDomiciled>
					</xsl:for-each>
				</Entitlement>
			</xsl:for-each>
			<xsl:for-each select="$Applicant/tmks:ApplicantVersion">
				<com:Version xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:for-each select="tmks:Comment">
						<com:CommentText>
							<xsl:for-each select="@languageCode">
								<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
							</xsl:for-each>
							<xsl:sequence select="fn:string(.)"/>
						</com:CommentText>
					</xsl:for-each>
					<xsl:for-each select="tmks:VersionNumber">
						<com:VersionNumber>
							<xsl:sequence select="fn:string(.)"/>
						</com:VersionNumber>
					</xsl:for-each>
					<xsl:for-each select="tmks:VersionDate">
						<com:VersionDate>
							<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
						</com:VersionDate>
					</xsl:for-each>
					<xsl:for-each select="tmks:VersionDateTime">
						<com:VersionDateTime>
							<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
						</com:VersionDateTime>
					</xsl:for-each>
				</com:Version>
			</xsl:for-each>
		</tmks:Applicant>
	</xsl:template>
	<xsl:template name="WIPO:MappingST66RepresentativeToST96Representative">
		<xsl:param name="Representative" select="()"/>
		<com:Representative>
			<xsl:for-each select="$Representative/@operationCode">
				<xsl:variable name="var1_resultof_vmf___inputtoresult" as="xs:string?">
					<xsl:call-template name="vmf:vmf48_inputtoresult">
						<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:for-each select="$var1_resultof_vmf___inputtoresult">
					<xsl:attribute name="operationCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="."/>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:RepresentativeSequenceNumber">
				<xsl:attribute name="sequenceNumber" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="xs:string(xs:integer(fn:string(.)))"/>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:RepresentativeLegalEntity">
				<LegalEntityName>
					<xsl:sequence select="fn:string(.)"/>
				</LegalEntityName>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:RepresentativeIdentifier">
				<PartyIdentifier>
					<xsl:for-each select="@identifierKindCode">
						<xsl:attribute name="officeCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
					</xsl:for-each>
					<xsl:sequence select="fn:string(.)"/>
				</PartyIdentifier>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:RepresentativeAddressBook">
				<xsl:variable name="var2_resultof_MappingST__AddressBookToST__Contact" as="node()?">
					<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
						<xsl:with-param name="AddressBook" as="node()">
							<tmks:AddressBookType>
								<xsl:sequence select="(./@node(), ./node())"/>
							</tmks:AddressBookType>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:variable>
				<xsl:for-each select="$var2_resultof_MappingST__AddressBookToST__Contact">
					<Contact>
						<xsl:sequence select="(./@node(), ./node())"/>
					</Contact>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:RepresentativeNationalityCode">
				<NationalityCode>
					<xsl:sequence select="fn:string(.)"/>
				</NationalityCode>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:RepresentativeIncorporationCountryCode">
				<IncorporationCountryCode>
					<xsl:sequence select="fn:string(.)"/>
				</IncorporationCountryCode>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:RepresentativeIncorporationState">
				<IncorporationState>
					<xsl:sequence select="fn:string(.)"/>
				</IncorporationState>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:RepresentativeKindCode">
				<xsl:variable name="var3_resultof_vmf___inputtoresult" as="xs:string?">
					<xsl:call-template name="vmf:vmf49_inputtoresult">
						<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:for-each select="$var3_resultof_vmf___inputtoresult">
					<RepresentativeCategory>
						<xsl:sequence select="."/>
					</RepresentativeCategory>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:Comment">
				<CommentText>
					<xsl:for-each select="@languageCode">
						<xsl:attribute name="languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
					</xsl:for-each>
					<xsl:sequence select="fn:string(.)"/>
				</CommentText>
			</xsl:for-each>
			<xsl:for-each select="$Representative/tmks:RepresentativeVersion">
				<Version>
					<xsl:for-each select="tmks:Comment">
						<CommentText>
							<xsl:for-each select="@languageCode">
								<xsl:attribute name="languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
							</xsl:for-each>
							<xsl:sequence select="fn:string(.)"/>
						</CommentText>
					</xsl:for-each>
					<xsl:for-each select="tmks:VersionNumber">
						<VersionNumber>
							<xsl:sequence select="fn:string(.)"/>
						</VersionNumber>
					</xsl:for-each>
					<xsl:for-each select="tmks:VersionDate">
						<VersionDate>
							<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
						</VersionDate>
					</xsl:for-each>
					<xsl:for-each select="tmks:VersionDateTime">
						<VersionDateTime>
							<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
						</VersionDateTime>
					</xsl:for-each>
				</Version>
			</xsl:for-each>
		</com:Representative>
	</xsl:template>
	<xsl:template name="WIPO:MappingST66AddressBookToST96Contact">
		<xsl:param name="AddressBook" select="()"/>
		<xsl:variable name="var4_FormattedNameAddress" as="node()*" select="$AddressBook/tmks:FormattedNameAddress"/>
		<xsl:variable name="var5_ContactInformationDetails" as="node()*" select="$AddressBook/tmks:ContactInformationDetails"/>
		<com:Contact>
			<xsl:for-each select="$AddressBook/tmks:AddressLanguageCode">
				<xsl:attribute name="languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
			</xsl:for-each>
			<Name>
				<xsl:for-each select="($var4_FormattedNameAddress/tmks:Name/tmks:FormattedName)[fn:exists(tmks:LastName)]">
					<PersonName>
						<PersonStructuredName>
							<xsl:for-each select="tmks:NamePrefix">
								<NamePrefix>
									<xsl:sequence select="fn:string(.)"/>
								</NamePrefix>
							</xsl:for-each>
							<xsl:for-each select="tmks:FirstName">
								<FirstName>
									<xsl:sequence select="fn:string(.)"/>
								</FirstName>
							</xsl:for-each>
							<xsl:for-each select="tmks:MiddleName">
								<MiddleName>
									<xsl:sequence select="fn:string(.)"/>
								</MiddleName>
							</xsl:for-each>
							<xsl:for-each select="tmks:LastName">
								<LastName>
									<xsl:sequence select="fn:string(.)"/>
								</LastName>
							</xsl:for-each>
							<xsl:for-each select="tmks:SecondLastName">
								<SecondLastName>
									<xsl:sequence select="fn:string(.)"/>
								</SecondLastName>
							</xsl:for-each>
							<xsl:for-each select="tmks:NameSuffix">
								<NameSuffix>
									<xsl:sequence select="fn:string(.)"/>
								</NameSuffix>
							</xsl:for-each>
							<xsl:for-each select="tmks:NameSynonym">
								<PersonOtherName>
									<xsl:sequence select="fn:string(.)"/>
								</PersonOtherName>
							</xsl:for-each>
						</PersonStructuredName>
					</PersonName>
				</xsl:for-each>
				<xsl:for-each select="$var4_FormattedNameAddress/tmks:Name/tmks:FormattedName">
					<xsl:variable name="var1_cur" as="node()" select="."/>
					<xsl:for-each select="tmks:OrganizationName">
						<OrganizationName>
							<OrganizationStandardName>
								<xsl:sequence select="fn:string(.)"/>
							</OrganizationStandardName>
							<xsl:for-each select="$var1_cur/tmks:OrganizationDepartment">
								<OrganizationOtherName>
									<xsl:attribute name="organizationNameCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="'Department'"/>
									<xsl:sequence select="fn:string(.)"/>
								</OrganizationOtherName>
							</xsl:for-each>
						</OrganizationName>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="$var4_FormattedNameAddress/tmks:Name/tmks:FreeFormatName/tmks:FreeFormatNameDetails/tmks:FreeFormatNameLine">
					<EntityName>
						<xsl:for-each select="@languageCode">
							<xsl:attribute name="languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
						</xsl:for-each>
						<xsl:sequence select="fn:string(.)"/>
					</EntityName>
				</xsl:for-each>
			</Name>
			<xsl:for-each select="$var4_FormattedNameAddress/tmks:Address">
				<xsl:variable name="var2_cur" as="node()" select="."/>
				<PostalAddressBag>
					<xsl:for-each select="tmks:FormattedAddress">
						<PostalAddress>
							<PostalStructuredAddress>
								<xsl:for-each select="tmks:AddressLine">
									<AddressLineText>
										<xsl:for-each select="@sequenceNumber">
											<xsl:attribute name="sequenceNumber" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:concat(xs:string(xs:integer(fn:string(.))), '001')"/>
										</xsl:for-each>
										<xsl:sequence select="fn:string(.)"/>
									</AddressLineText>
								</xsl:for-each>
								<xsl:for-each select="tmks:AddressStreet">
									<AddressLineText>
										<xsl:attribute name="addressLineCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="'Street'"/>
										<xsl:sequence select="fn:string(.)"/>
									</AddressLineText>
								</xsl:for-each>
								<xsl:for-each select="tmks:AddressBuilding">
									<AddressLineText>
										<xsl:attribute name="addressLineCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="'Building'"/>
										<xsl:sequence select="fn:string(.)"/>
									</AddressLineText>
								</xsl:for-each>
								<xsl:for-each select="tmks:AddressPostOfficeBox">
									<AddressLineText>
										<xsl:attribute name="addressLineCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="'Post office box'"/>
										<xsl:sequence select="fn:string(.)"/>
									</AddressLineText>
								</xsl:for-each>
								<xsl:for-each select="tmks:AddressRoom">
									<AddressLineText>
										<xsl:attribute name="addressLineCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="'Room'"/>
										<xsl:sequence select="fn:string(.)"/>
									</AddressLineText>
								</xsl:for-each>
								<xsl:for-each select="tmks:AddressFloor">
									<AddressLineText>
										<xsl:attribute name="addressLineCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="'Floor'"/>
										<xsl:sequence select="fn:string(.)"/>
									</AddressLineText>
								</xsl:for-each>
								<xsl:for-each select="tmks:AddressCity">
									<CityName>
										<xsl:sequence select="fn:string(.)"/>
									</CityName>
								</xsl:for-each>
								<xsl:for-each select="tmks:AddressCounty">
									<GeographicRegionName>
										<xsl:attribute name="geographicRegionCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="'County'"/>
										<xsl:sequence select="fn:string(.)"/>
									</GeographicRegionName>
								</xsl:for-each>
								<xsl:for-each select="tmks:AddressState">
									<GeographicRegionName>
										<xsl:attribute name="geographicRegionCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="'State'"/>
										<xsl:sequence select="fn:string(.)"/>
									</GeographicRegionName>
								</xsl:for-each>
								<xsl:for-each select="$var2_cur/tmks:AddressCountryCode">
									<CountryCode>
										<xsl:sequence select="fn:string(.)"/>
									</CountryCode>
								</xsl:for-each>
								<xsl:for-each select="tmks:FormattedAddressCountryCode">
									<CountryCode>
										<xsl:sequence select="fn:string(.)"/>
									</CountryCode>
								</xsl:for-each>
								<xsl:for-each select="tmks:AddressPostcode">
									<PostalCode>
										<xsl:sequence select="fn:string(.)"/>
									</PostalCode>
								</xsl:for-each>
							</PostalStructuredAddress>
							<xsl:for-each select="$AddressBook/tmks:PostalAddress">
								<PostalAddressText>
									<xsl:sequence select="fn:string(.)"/>
								</PostalAddressText>
							</xsl:for-each>
							<xsl:for-each select="$var2_cur/tmks:FreeFormatAddress/tmks:FreeFormatAddressLine">
								<PostalAddressText>
									<xsl:for-each select="@languageCode">
										<xsl:attribute name="languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
									</xsl:for-each>
									<xsl:for-each select="@sequenceNumber">
										<xsl:attribute name="sequenceNumber" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="xs:string(xs:integer(fn:string(.)))"/>
									</xsl:for-each>
									<xsl:sequence select="fn:string(.)"/>
								</PostalAddressText>
							</xsl:for-each>
						</PostalAddress>
					</xsl:for-each>
				</PostalAddressBag>
			</xsl:for-each>
			<xsl:for-each select="$var5_ContactInformationDetails/tmks:Fax">
				<FaxNumberBag>
					<FaxNumber>
						<xsl:sequence select="fn:string(.)"/>
					</FaxNumber>
				</FaxNumberBag>
			</xsl:for-each>
			<xsl:for-each select="$var5_ContactInformationDetails/tmks:Email">
				<EmailAddressBag>
					<EmailAddressText>
						<xsl:sequence select="fn:string(.)"/>
					</EmailAddressText>
				</EmailAddressBag>
			</xsl:for-each>
			<xsl:for-each select="$var5_ContactInformationDetails/tmks:URL">
				<WebAddressBag>
					<WebAddressURI>
						<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
					</WebAddressURI>
				</WebAddressBag>
			</xsl:for-each>
			<xsl:for-each select="$var5_ContactInformationDetails/tmks:Phone">
				<PhoneNumberBag>
					<PhoneNumber>
						<xsl:for-each select="@phoneKind">
							<xsl:variable name="var3_resultof_vmf___inputtoresult" as="xs:string?">
								<xsl:call-template name="vmf:vmf50_inputtoresult">
									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
								</xsl:call-template>
							</xsl:variable>
							<xsl:for-each select="$var3_resultof_vmf___inputtoresult">
								<xsl:attribute name="phoneNumberCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="."/>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:sequence select="fn:string(.)"/>
					</PhoneNumber>
				</PhoneNumberBag>
			</xsl:for-each>
			<xsl:for-each select="$var5_ContactInformationDetails/tmks:OtherElectronicAddress">
				<OtherElectronicAddressBag>
					<OtherElectronicAddressText>
						<xsl:sequence select="fn:string(.)"/>
					</OtherElectronicAddressText>
				</OtherElectronicAddressBag>
			</xsl:for-each>
		</com:Contact>
	</xsl:template>
	<xsl:template name="WIPO:MappingST66OppositionToST96Opposition">
		<xsl:param name="Opposition" select="()"/>
		<tmks:Opposition>
			<xsl:for-each select="$Opposition/tmks:OppositionIdentifier">
				<com:OppositionIdentifier xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="fn:string(.)"/>
				</com:OppositionIdentifier>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:OppositionDate">
				<com:OppositionDate xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
				</com:OppositionDate>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:OppositionReference">
				<com:OppositionReference xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="fn:string(.)"/>
				</com:OppositionReference>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:OppositionLanguageCode">
				<com:OppositionLanguageCode xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="fn:string(.)"/>
				</com:OppositionLanguageCode>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:ProceedingLanguageCode">
				<com:ProceedingLanguageCode xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="fn:string(.)"/>
				</com:ProceedingLanguageCode>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:EarlierRightDate">
				<com:EarlierRightDate xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
				</com:EarlierRightDate>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:EarlierRightKind">
				<xsl:variable name="var1_resultof_vmf___inputtoresult" as="xs:string?">
					<xsl:call-template name="vmf:vmf51_inputtoresult">
						<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:for-each select="$var1_resultof_vmf___inputtoresult">
					<com:EarlierRightCategory xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
						<xsl:sequence select="."/>
					</com:EarlierRightCategory>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:OppositionBasisCode">
				<xsl:variable name="var2_resultof_vmf___inputtoresult" as="xs:string?">
					<xsl:call-template name="vmf:vmf52_inputtoresult">
						<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:for-each select="$var2_resultof_vmf___inputtoresult">
					<OppositionBasisCategory>
						<xsl:sequence select="."/>
					</OppositionBasisCategory>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:OppositionGroundText">
				<com:OppositionGroundsText xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:for-each select="@languageCode">
						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
					</xsl:for-each>
					<xsl:sequence select="fn:string(.)"/>
				</com:OppositionGroundsText>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:OppositionExtentText">
				<com:OppositionExtentText xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:for-each select="@languageCode">
						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
					</xsl:for-each>
					<xsl:sequence select="fn:string(.)"/>
				</com:OppositionExtentText>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:OppositionCurrentStatusCode">
				<xsl:variable name="var3_resultof_vmf___inputtoresult" as="xs:string?">
					<xsl:call-template name="vmf:vmf53_inputtoresult">
						<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:for-each select="$var3_resultof_vmf___inputtoresult">
					<OppositionCurrentStatusCategory>
						<xsl:sequence select="."/>
					</OppositionCurrentStatusCategory>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:OppositionCurrentStatusDate">
				<com:OppositionCurrentStatusDate xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
				</com:OppositionCurrentStatusDate>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:EarlierMarkDetails">
				<EarlierMarkBag>
					<xsl:for-each select="tmks:EarlierMark">
						<EarlierMark>
							<xsl:for-each select="tmks:EarlierMarkCountryCode">
								<EarlierMarkCountryCode>
									<xsl:sequence select="fn:string(.)"/>
								</EarlierMarkCountryCode>
							</xsl:for-each>
							<xsl:for-each select="tmks:EarlierMarkKind">
								<xsl:variable name="var4_resultof_vmf___inputtoresult" as="xs:string?">
									<xsl:call-template name="vmf:vmf54_inputtoresult">
										<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:for-each select="$var4_resultof_vmf___inputtoresult">
									<EarlierMarkCategory>
										<xsl:sequence select="."/>
									</EarlierMarkCategory>
								</xsl:for-each>
							</xsl:for-each>
							<BaseGoodsServicesBag>
								<xsl:for-each select="tmks:BaseGoodsServicesDetails/tmks:GoodsServices">
									<GoodsServices>
										<xsl:for-each select="tmks:ClassificationKindCode">
											<ClassificationKindCode>
												<xsl:sequence select="fn:string(.)"/>
											</ClassificationKindCode>
										</xsl:for-each>
										<xsl:for-each select="tmks:ClassificationVersion">
											<com:ClassificationVersion xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
												<xsl:sequence select="fn:string(.)"/>
											</com:ClassificationVersion>
										</xsl:for-each>
										<com:CommentTextBag xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
											<xsl:for-each select="tmks:Comment">
												<com:CommentText>
													<xsl:for-each select="@languageCode">
														<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
													</xsl:for-each>
													<xsl:sequence select="fn:string(.)"/>
												</com:CommentText>
											</xsl:for-each>
										</com:CommentTextBag>
										<xsl:for-each select="tmks:ProposedLeadingClassNumber">
											<ProposedLeadingClassNumber>
												<xsl:sequence select="fn:string(.)"/>
											</ProposedLeadingClassNumber>
										</xsl:for-each>
										<xsl:for-each select="tmks:ClassDescriptionDetails">
											<ClassDescriptionBag>
												<xsl:for-each select="tmks:ClassDescription">
													<ClassDescription>
														<xsl:for-each select="tmks:ClassNumber">
															<ClassNumber>
																<xsl:sequence select="fn:string(.)"/>
															</ClassNumber>
														</xsl:for-each>
														<xsl:for-each select="tmks:ClassNumberStatusCode">
															<ClassNumberStatusCategory>
																<xsl:sequence select="fn:string(.)"/>
															</ClassNumberStatusCategory>
														</xsl:for-each>
														<xsl:for-each select="tmks:GoodsServicesDescription">
															<GoodsServicesDescriptionText>
																<xsl:for-each select="@languageCode">
																	<xsl:attribute name="com:languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:for-each select="@sequenceNumber">
																	<xsl:attribute name="com:sequenceNumber" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="xs:string(xs:integer(fn:string(.)))"/>
																</xsl:for-each>
																<xsl:sequence select="fn:string(.)"/>
															</GoodsServicesDescriptionText>
														</xsl:for-each>
														<xsl:for-each select="tmks:UseNiceHeadingIndicator">
															<UseNiceHeadingIndicator>
																<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
															</UseNiceHeadingIndicator>
														</xsl:for-each>
														<xsl:for-each select="tmks:ClassificationTermDetails">
															<ClassificationTermBag>
																<xsl:for-each select="tmks:ClassificationTerm">
																	<ClassificationTerm>
																		<xsl:for-each select="@operationCode">
																			<xsl:attribute name="com:operationCategory" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermIdentifier">
																			<ClassificationTermIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassificationTermIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermOffice">
																			<ClassificationTermOfficeCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassificationTermOfficeCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																			<ClassificationTermOfficeIdentification>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassificationTermOfficeIdentification>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermSource">
																			<ClassificationTermSourceCategory>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassificationTermSourceCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermEntryDate">
																			<ClassificationTermEntryDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</ClassificationTermEntryDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassNumber">
																			<ClassNumber>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassNumber>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermText">
																			<ClassificationTermText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassificationTermText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																			<ClassificationTermEquivalentGroup>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassificationTermEquivalentGroup>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																			<ClassificationTermReferenceGroup>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassificationTermReferenceGroup>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																			<ClassificationTermTranslationGroup>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassificationTermTranslationGroup>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationTermStatus">
																			<ClassificationTermStatus>
																				<xsl:for-each select="@officeCode">
																					<xsl:attribute name="com:officeCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</ClassificationTermStatus>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:WIPOBasicNumber">
																			<WIPOBasicNumber>
																				<xsl:sequence select="fn:string(.)"/>
																			</WIPOBasicNumber>
																		</xsl:for-each>
																	</ClassificationTerm>
																</xsl:for-each>
															</ClassificationTermBag>
														</xsl:for-each>
													</ClassDescription>
												</xsl:for-each>
											</ClassDescriptionBag>
										</xsl:for-each>
									</GoodsServices>
								</xsl:for-each>
							</BaseGoodsServicesBag>
							<com:ApplicationNumber xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
								<xsl:for-each select="tmks:ApplicationNumber">
									<com:ApplicationNumberText>
										<xsl:sequence select="fn:string(.)"/>
									</com:ApplicationNumberText>
								</xsl:for-each>
							</com:ApplicationNumber>
							<xsl:for-each select="tmks:RegistrationNumber">
								<com:RegistrationNumber xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
									<xsl:sequence select="fn:string(.)"/>
								</com:RegistrationNumber>
							</xsl:for-each>
							<xsl:for-each select="tmks:ApplicationDate">
								<com:ApplicationDate xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
									<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
								</com:ApplicationDate>
							</xsl:for-each>
							<xsl:for-each select="tmks:RegistrationDate">
								<com:RegistrationDate xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
									<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
								</com:RegistrationDate>
							</xsl:for-each>
							<xsl:for-each select="tmks:MarkFeature">
								<xsl:variable name="var5_resultof_vmf___inputtoresult" as="xs:string?">
									<xsl:call-template name="vmf:vmf55_inputtoresult">
										<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:for-each select="$var5_resultof_vmf___inputtoresult">
									<MarkFeatureCategory>
										<xsl:sequence select="."/>
									</MarkFeatureCategory>
								</xsl:for-each>
							</xsl:for-each>
							<xsl:for-each select="tmks:MarkImageDetails">
								<MarkImageBag>
									<xsl:for-each select="tmks:MarkImage">
										<xsl:variable name="var15_MarkImageRepresentationSize" as="node()*" select="tmks:MarkImageRepresentationSize"/>
										<MarkImage>
											<xsl:for-each select="tmks:MarkImageFilename">
												<com:FileName xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
													<xsl:sequence select="fn:string(.)"/>
												</com:FileName>
											</xsl:for-each>
											<xsl:for-each select="tmks:MarkImageFileFormat">
												<xsl:variable name="var6_resultof_vmf___inputtoresult" as="xs:string?">
													<xsl:call-template name="vmf:vmf11_inputtoresult">
														<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
													</xsl:call-template>
												</xsl:variable>
												<xsl:for-each select="$var6_resultof_vmf___inputtoresult">
													<com:ImageFormatCategory xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
														<xsl:sequence select="."/>
													</com:ImageFormatCategory>
												</xsl:for-each>
											</xsl:for-each>
											<xsl:for-each select="tmks:MarkImageColourClaimedText">
												<MarkImageColourClaimedText>
													<xsl:for-each select="@languageCode">
														<xsl:attribute name="com:languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
													</xsl:for-each>
													<xsl:for-each select="@sequenceNumber">
														<xsl:attribute name="com:sequenceNumber" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="xs:string(xs:integer(fn:string(.)))"/>
													</xsl:for-each>
													<xsl:sequence select="fn:string(.)"/>
												</MarkImageColourClaimedText>
											</xsl:for-each>
											<xsl:for-each select="tmks:MarkImageColourPartClaimedText">
												<MarkImageColourPartClaimedText>
													<xsl:for-each select="@languageCode">
														<xsl:attribute name="com:languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
													</xsl:for-each>
													<xsl:for-each select="@sequenceNumber">
														<xsl:attribute name="com:sequenceNumber" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="xs:string(xs:integer(fn:string(.)))"/>
													</xsl:for-each>
													<xsl:sequence select="fn:string(.)"/>
												</MarkImageColourPartClaimedText>
											</xsl:for-each>
											<xsl:for-each select="$var15_MarkImageRepresentationSize">
												<xsl:variable name="var7_cur" as="node()" select="."/>
												<xsl:for-each select="tmks:Height">
													<com:HeightMeasure xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
														<xsl:for-each select="$var7_cur/tmks:Unit">
															<xsl:attribute name="com:measureUnitCode">
																<xsl:call-template name="vmf:vmf12_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:attribute>
														</xsl:for-each>
														<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
													</com:HeightMeasure>
												</xsl:for-each>
											</xsl:for-each>
											<xsl:for-each select="$var15_MarkImageRepresentationSize">
												<xsl:variable name="var8_cur" as="node()" select="."/>
												<xsl:for-each select="tmks:Width">
													<com:WidthMeasure xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
														<xsl:for-each select="$var8_cur/tmks:Unit">
															<xsl:attribute name="com:measureUnitCode">
																<xsl:call-template name="vmf:vmf12_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:attribute>
														</xsl:for-each>
														<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
													</com:WidthMeasure>
												</xsl:for-each>
											</xsl:for-each>
											<xsl:for-each select="tmks:MarkImageCategory">
												<MarkImageClassification>
													<com:FigurativeElementClassificationBag xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
														<com:NationalFigurativeElementClassificationBag>
															<xsl:for-each select="tmks:CategoryVersion">
																<com:NationalClassificationEdition>
																	<xsl:sequence select="fn:string(.)"/>
																</com:NationalClassificationEdition>
															</xsl:for-each>
															<xsl:for-each select="tmks:CategoryCodeDetails/tmks:CategoryCode">
																<com:NationalFigurativeElementClassification>
																	<xsl:sequence select="fn:string(.)"/>
																</com:NationalFigurativeElementClassification>
															</xsl:for-each>
														</com:NationalFigurativeElementClassificationBag>
													</com:FigurativeElementClassificationBag>
												</MarkImageClassification>
											</xsl:for-each>
											<xsl:for-each select="tmks:MarkImageQualityIndicator">
												<MarkImageQualityIndicator>
													<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
												</MarkImageQualityIndicator>
											</xsl:for-each>
											<xsl:for-each select="tmks:MarkImageRenditionDetails">
												<MarkImageRenditionBag>
													<xsl:for-each select="tmks:MarkImageRendition">
														<xsl:variable name="var13_MarkImageRenditionRepresentati" as="node()*" select="tmks:MarkImageRenditionRepresentationSize"/>
														<MarkImageRendition>
															<xsl:for-each select="tmks:MarkImageRenditionKind">
																<xsl:variable name="var9_resultof_vmf___inputtoresult" as="xs:string?">
																	<xsl:call-template name="vmf:vmf13_inputtoresult">
																		<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																	</xsl:call-template>
																</xsl:variable>
																<xsl:for-each select="$var9_resultof_vmf___inputtoresult">
																	<MarkImageRenditionCategory>
																		<xsl:sequence select="."/>
																	</MarkImageRenditionCategory>
																</xsl:for-each>
															</xsl:for-each>
															<xsl:for-each select="tmks:MarkImageRenditionFilename">
																<com:FileName xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
																	<xsl:sequence select="fn:string(.)"/>
																</com:FileName>
															</xsl:for-each>
															<xsl:for-each select="tmks:MarkImageRenditionFileFormat">
																<xsl:variable name="var10_resultof_vmf___inputtoresult" as="xs:string?">
																	<xsl:call-template name="vmf:vmf14_inputtoresult">
																		<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																	</xsl:call-template>
																</xsl:variable>
																<xsl:for-each select="$var10_resultof_vmf___inputtoresult">
																	<com:ImageFormatCategory xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
																		<xsl:sequence select="."/>
																	</com:ImageFormatCategory>
																</xsl:for-each>
															</xsl:for-each>
															<xsl:for-each select="tmks:MarkImageRenditionColourMode">
																<com:ColourModeCategory xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
																	<xsl:sequence select="fn:string(.)"/>
																</com:ColourModeCategory>
															</xsl:for-each>
															<xsl:for-each select="$var13_MarkImageRenditionRepresentati">
																<xsl:variable name="var11_cur" as="node()" select="."/>
																<xsl:for-each select="tmks:Height">
																	<com:HeightMeasure xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
																		<xsl:for-each select="$var11_cur/tmks:Unit">
																			<xsl:attribute name="com:measureUnitCode">
																				<xsl:call-template name="vmf:vmf15_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:attribute>
																		</xsl:for-each>
																		<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																	</com:HeightMeasure>
																</xsl:for-each>
															</xsl:for-each>
															<xsl:for-each select="$var13_MarkImageRenditionRepresentati">
																<xsl:variable name="var12_cur" as="node()" select="."/>
																<xsl:for-each select="tmks:Width">
																	<com:WidthMeasure xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
																		<xsl:for-each select="$var12_cur/tmks:Unit">
																			<xsl:attribute name="com:measureUnitCode">
																				<xsl:call-template name="vmf:vmf15_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:attribute>
																		</xsl:for-each>
																		<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																	</com:WidthMeasure>
																</xsl:for-each>
															</xsl:for-each>
														</MarkImageRendition>
													</xsl:for-each>
												</MarkImageRenditionBag>
											</xsl:for-each>
											<xsl:for-each select="tmks:MarkImageColourIndicator">
												<com:ColourIndicator xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
													<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
												</com:ColourIndicator>
											</xsl:for-each>
											<xsl:for-each select="tmks:MarkImageColourMode">
												<xsl:variable name="var14_resultof_vmf___inputtoresult" as="xs:string?">
													<xsl:call-template name="vmf:vmf16_inputtoresult">
														<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
													</xsl:call-template>
												</xsl:variable>
												<xsl:for-each select="$var14_resultof_vmf___inputtoresult">
													<com:ColourModeCategory xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
														<xsl:sequence select="."/>
													</com:ColourModeCategory>
												</xsl:for-each>
											</xsl:for-each>
										</MarkImage>
									</xsl:for-each>
								</MarkImageBag>
							</xsl:for-each>
							<xsl:for-each select="tmks:WordMarkSpecification">
								<WordMarkSpecification>
									<xsl:for-each select="tmks:MarkVerbalElementText">
										<MarkVerbalElementText>
											<xsl:for-each select="@languageCode">
												<xsl:attribute name="com:languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
											</xsl:for-each>
											<xsl:sequence select="fn:string(.)"/>
										</MarkVerbalElementText>
									</xsl:for-each>
									<xsl:for-each select="tmks:MarkSignificantVerbalElement">
										<MarkSignificantVerbalElementText>
											<xsl:for-each select="@languageCode">
												<xsl:attribute name="com:languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
											</xsl:for-each>
											<xsl:sequence select="fn:string(.)"/>
										</MarkSignificantVerbalElementText>
									</xsl:for-each>
									<xsl:for-each select="tmks:MarkVerbalElementSignificantIndicator">
										<MarkVerbalElementSignificantIndicator>
											<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
										</MarkVerbalElementSignificantIndicator>
									</xsl:for-each>
									<xsl:for-each select="tmks:MarkTranslation">
										<MarkTranslationText>
											<xsl:for-each select="@languageCode">
												<xsl:attribute name="com:languageCode" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="fn:string(.)"/>
											</xsl:for-each>
											<xsl:for-each select="@sequenceNumber">
												<xsl:attribute name="com:sequenceNumber" namespace="http://www.wipo.int/standards/XMLSchema/ST96/Common" select="xs:string(xs:integer(fn:string(.)))"/>
											</xsl:for-each>
											<xsl:sequence select="fn:string(.)"/>
										</MarkTranslationText>
									</xsl:for-each>
									<xsl:for-each select="tmks:MarkTransliteration">
										<MarkTransliteration>
											<xsl:sequence select="fn:string(.)"/>
										</MarkTransliteration>
									</xsl:for-each>
									<xsl:for-each select="tmks:MarkTranscription">
										<MarkTranscription>
											<xsl:sequence select="fn:string(.)"/>
										</MarkTranscription>
									</xsl:for-each>
									<xsl:for-each select="tmks:MarkStandardCharacterIndicator">
										<MarkStandardCharacterIndicator>
											<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
										</MarkStandardCharacterIndicator>
									</xsl:for-each>
								</WordMarkSpecification>
							</xsl:for-each>
						</EarlierMark>
					</xsl:for-each>
				</EarlierMarkBag>
			</xsl:for-each>
			<PlaintiffBag>
				<xsl:for-each select="$Opposition/tmks:OpponentDetails/tmks:Opponent">
					<Plaintiff>
						<xsl:for-each select="tmks:OpponentLegalEntity">
							<com:LegalEntityName xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
								<xsl:sequence select="fn:string(.)"/>
							</com:LegalEntityName>
						</xsl:for-each>
						<xsl:for-each select="tmks:OpponentIdentifier">
							<com:PartyIdentifier xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
								<xsl:for-each select="@identifierKindCode">
									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
								</xsl:for-each>
								<xsl:sequence select="fn:string(.)"/>
							</com:PartyIdentifier>
						</xsl:for-each>
						<xsl:for-each select="tmks:OpponentAddressBook">
							<xsl:variable name="var16_resultof_MappingST__AddressBookToST__Contact" as="node()?">
								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
									<xsl:with-param name="AddressBook" as="node()">
										<tmks:AddressBookType>
											<xsl:sequence select="(./@node(), ./node())"/>
										</tmks:AddressBookType>
									</xsl:with-param>
								</xsl:call-template>
							</xsl:variable>
							<xsl:for-each select="$var16_resultof_MappingST__AddressBookToST__Contact">
								<com:Contact xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
									<xsl:sequence select="(./@node(), ./node())"/>
								</com:Contact>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="tmks:OpponentNationalityCode">
							<com:NationalityCode xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
								<xsl:sequence select="fn:string(.)"/>
							</com:NationalityCode>
						</xsl:for-each>
						<xsl:for-each select="tmks:OpponentIncorporationCountryCode">
							<com:IncorporationCountryCode xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
								<xsl:sequence select="fn:string(.)"/>
							</com:IncorporationCountryCode>
						</xsl:for-each>
						<xsl:for-each select="tmks:OpponentIncorporationState">
							<com:IncorporationState xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
								<xsl:sequence select="fn:string(.)"/>
							</com:IncorporationState>
						</xsl:for-each>
						<xsl:for-each select="tmks:Comment">
							<com:CommentText xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
								<xsl:for-each select="@languageCode">
									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
								</xsl:for-each>
								<xsl:sequence select="fn:string(.)"/>
							</com:CommentText>
						</xsl:for-each>
						<xsl:for-each select="tmks:OpponentEntitlement">
							<Entitlement>
								<xsl:for-each select="tmks:EntitlementNationalityCode">
									<com:EntitlementNationalityCode xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
										<xsl:sequence select="fn:string(.)"/>
									</com:EntitlementNationalityCode>
								</xsl:for-each>
								<xsl:for-each select="tmks:EntitlementEstablishment">
									<com:EntitlementEstablishment xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
										<xsl:for-each select="tmks:EntitlementEstablishmentCode">
											<com:EntitlementEstablishmentCode>
												<xsl:sequence select="fn:string(.)"/>
											</com:EntitlementEstablishmentCode>
										</xsl:for-each>
										<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
											<xsl:variable name="var17_resultof_MappingST__AddressBookToST__Contact" as="node()?">
												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
													<xsl:with-param name="AddressBook" as="node()">
														<tmks:AddressBookType>
															<xsl:sequence select="(./@node(), ./node())"/>
														</tmks:AddressBookType>
													</xsl:with-param>
												</xsl:call-template>
											</xsl:variable>
											<xsl:for-each select="$var17_resultof_MappingST__AddressBookToST__Contact">
												<com:Contact>
													<xsl:sequence select="(./@node(), ./node())"/>
												</com:Contact>
											</xsl:for-each>
										</xsl:for-each>
									</com:EntitlementEstablishment>
								</xsl:for-each>
								<xsl:for-each select="tmks:EntitlementDomiciled">
									<com:EntitlementDomiciled xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
										<xsl:for-each select="tmks:EntitlementDomiciledCode">
											<com:EntitlementDomiciledCode>
												<xsl:sequence select="fn:string(.)"/>
											</com:EntitlementDomiciledCode>
										</xsl:for-each>
										<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
											<xsl:variable name="var18_resultof_MappingST__AddressBookToST__Contact" as="node()?">
												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
													<xsl:with-param name="AddressBook" as="node()">
														<tmks:AddressBookType>
															<xsl:sequence select="(./@node(), ./node())"/>
														</tmks:AddressBookType>
													</xsl:with-param>
												</xsl:call-template>
											</xsl:variable>
											<xsl:for-each select="$var18_resultof_MappingST__AddressBookToST__Contact">
												<com:Contact>
													<xsl:sequence select="(./@node(), ./node())"/>
												</com:Contact>
											</xsl:for-each>
										</xsl:for-each>
									</com:EntitlementDomiciled>
								</xsl:for-each>
							</Entitlement>
						</xsl:for-each>
					</Plaintiff>
				</xsl:for-each>
			</PlaintiffBag>
			<xsl:for-each select="$Opposition/tmks:OppositionEventDetails">
				<OppositionEventBag>
					<xsl:for-each select="tmks:OppositionEvent">
						<OppositionEvent>
							<xsl:for-each select="tmks:OppositionEventCode">
								<xsl:variable name="var19_resultof_vmf___inputtoresult" as="xs:string?">
									<xsl:call-template name="vmf:vmf56_inputtoresult">
										<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:for-each select="$var19_resultof_vmf___inputtoresult">
									<OppositionEventCategory>
										<xsl:sequence select="."/>
									</OppositionEventCategory>
								</xsl:for-each>
							</xsl:for-each>
							<xsl:for-each select="tmks:OppositionEventResponseDate">
								<com:OppositionEventResponseDate xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
									<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
								</com:OppositionEventResponseDate>
							</xsl:for-each>
							<xsl:for-each select="tmks:Comment">
								<com:CommentText xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
									<xsl:for-each select="@languageCode">
										<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
									</xsl:for-each>
									<xsl:sequence select="fn:string(.)"/>
								</com:CommentText>
							</xsl:for-each>
							<xsl:for-each select="tmks:OppositionEventDate">
								<com:OppositionEventDate xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
									<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
								</com:OppositionEventDate>
							</xsl:for-each>
							<xsl:for-each select="tmks:OppositionEventDateTime">
								<com:OppositionEventDateTime xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
									<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
								</com:OppositionEventDateTime>
							</xsl:for-each>
						</OppositionEvent>
					</xsl:for-each>
				</OppositionEventBag>
			</xsl:for-each>
			<xsl:for-each select="$Opposition/tmks:OppositionDocumentDetails">
				<com:OppositionDocumentBag xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
					<xsl:for-each select="tmks:OppositionDocument">
						<com:OppositionDocument>
							<xsl:for-each select="tmks:DocumentLanguageCode">
								<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
							</xsl:for-each>
							<xsl:for-each select="tmks:DocumentName">
								<com:DocumentName>
									<xsl:sequence select="fn:string(.)"/>
								</com:DocumentName>
							</xsl:for-each>
							<xsl:for-each select="tmks:DocumentFilename">
								<com:FileName>
									<xsl:sequence select="fn:string(.)"/>
								</com:FileName>
							</xsl:for-each>
							<xsl:for-each select="tmks:DocumentFileFormat">
								<xsl:variable name="var20_resultof_vmf___inputtoresult" as="xs:string?">
									<xsl:call-template name="vmf:vmf22_inputtoresult">
										<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:for-each select="$var20_resultof_vmf___inputtoresult">
									<com:DocumentFormatCategory>
										<xsl:sequence select="."/>
									</com:DocumentFormatCategory>
								</xsl:for-each>
							</xsl:for-each>
							<xsl:for-each select="tmks:DocumentDate">
								<com:DocumentDate>
									<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
								</com:DocumentDate>
							</xsl:for-each>
							<xsl:for-each select="tmks:DocumentMedia">
								<xsl:variable name="var21_resultof_vmf___inputtoresult" as="xs:string?">
									<xsl:call-template name="vmf:vmf23_inputtoresult">
										<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:for-each select="$var21_resultof_vmf___inputtoresult">
									<com:DocumentMediaCategory>
										<xsl:sequence select="."/>
									</com:DocumentMediaCategory>
								</xsl:for-each>
							</xsl:for-each>
							<xsl:for-each select="tmks:DocumentLocation">
								<com:DocumentLocationURI>
									<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
								</com:DocumentLocationURI>
							</xsl:for-each>
							<xsl:for-each select="tmks:DocumentVersion">
								<com:DocumentVersion>
									<xsl:sequence select="fn:string(.)"/>
								</com:DocumentVersion>
							</xsl:for-each>
							<xsl:for-each select="tmks:DocumentSizeInByte">
								<com:DocumentSizeQuantity>
									<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
								</com:DocumentSizeQuantity>
							</xsl:for-each>
							<xsl:for-each select="tmks:Comment">
								<com:CommentText>
									<xsl:for-each select="@languageCode">
										<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
									</xsl:for-each>
									<xsl:sequence select="fn:string(.)"/>
								</com:CommentText>
							</xsl:for-each>
						</com:OppositionDocument>
					</xsl:for-each>
				</com:OppositionDocumentBag>
			</xsl:for-each>
		</tmks:Opposition>
	</xsl:template>
	<xsl:template name="vmf:vmf1_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Trade Mark E-Filing'">
				<xsl:copy-of select="'Undefined'"/>
			</xsl:when>
			<xsl:when test="$input='Trade Mark B2B-Filing'">
				<xsl:copy-of select="'Trademark B2B Filing'"/>
			</xsl:when>
			<xsl:when test="$input='Trade Mark Information'">
				<xsl:copy-of select="'Trademark information'"/>
			</xsl:when>
			<xsl:when test="$input='Trade Mark Identifier List'">
				<xsl:copy-of select="'Trademark identifier list'"/>
			</xsl:when>
			<xsl:when test="$input='Trade Mark List'">
				<xsl:copy-of select="'Trademark list'"/>
			</xsl:when>
			<xsl:when test="$input='Opposition E-Filing'">
				<xsl:copy-of select="'Opposition eFiling'"/>
			</xsl:when>
			<xsl:when test="$input='Opposition Information'">
				<xsl:copy-of select="'Opposition information'"/>
			</xsl:when>
			<xsl:when test="$input='Opposition Identifier List'">
				<xsl:copy-of select="'Opposition identifier list'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf2_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Accelerated Registration'">
				<xsl:copy-of select="'Accelerated registration'"/>
			</xsl:when>
			<xsl:when test="$input='Normal'">
				<xsl:copy-of select="'Normal'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf3_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Certification Agreement Date'">
				<xsl:copy-of select="'Certification agreement date'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf4_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Action before Court of Justice pending'">
				<xsl:copy-of select="'Action before court of justice pending'"/>
			</xsl:when>
			<xsl:when test="$input='Appeal pending'">
				<xsl:copy-of select="'Appeal pending'"/>
			</xsl:when>
			<xsl:when test="$input='Application accepted'">
				<xsl:copy-of select="'Application accepted'"/>
			</xsl:when>
			<xsl:when test="$input='Application deemed withdrawn'">
				<xsl:copy-of select="'Application deemed withdrawn'"/>
			</xsl:when>
			<xsl:when test="$input='Application filed'">
				<xsl:copy-of select="'Application filed'"/>
			</xsl:when>
			<xsl:when test="$input='Application opposed'">
				<xsl:copy-of select="'Application opposed'"/>
			</xsl:when>
			<xsl:when test="$input='Application published'">
				<xsl:copy-of select="'Application published'"/>
			</xsl:when>
			<xsl:when test="$input='Application refused'">
				<xsl:copy-of select="'Application refused'"/>
			</xsl:when>
			<xsl:when test="$input='Application withdrawn'">
				<xsl:copy-of select="'Application withdrawn'"/>
			</xsl:when>
			<xsl:when test="$input='Classification checked'">
				<xsl:copy-of select="'Classification checked'"/>
			</xsl:when>
			<xsl:when test="$input='Conversion requested'">
				<xsl:copy-of select="'Conversion requested'"/>
			</xsl:when>
			<xsl:when test="$input='Expired'">
				<xsl:copy-of select="'Expired'"/>
			</xsl:when>
			<xsl:when test="$input='Filing date accorded'">
				<xsl:copy-of select="'Filing date accorded'"/>
			</xsl:when>
			<xsl:when test="$input='Interruption of proceedings'">
				<xsl:copy-of select="'Interruption of proceedings'"/>
			</xsl:when>
			<xsl:when test="$input='Invalidity proceeding pending'">
				<xsl:copy-of select="'Invalidity proceeding pending'"/>
			</xsl:when>
			<xsl:when test="$input='Registered'">
				<xsl:copy-of select="'Registered'"/>
			</xsl:when>
			<xsl:when test="$input='Registration cancellation pending'">
				<xsl:copy-of select="'Registration cancellation pending'"/>
			</xsl:when>
			<xsl:when test="$input='Registration cancelled'">
				<xsl:copy-of select="'Registration cancelled'"/>
			</xsl:when>
			<xsl:when test="$input='Registration opposed'">
				<xsl:copy-of select="'Registration opposed'"/>
			</xsl:when>
			<xsl:when test="$input='Registration surrendered'">
				<xsl:copy-of select="'Registration surrendered'"/>
			</xsl:when>
			<xsl:when test="$input='Revocation proceeding pending'">
				<xsl:copy-of select="'Revocation proceeding pending'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf5_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Agreement'">
				<xsl:copy-of select="'Agreement'"/>
			</xsl:when>
			<xsl:when test="$input='Protocol'">
				<xsl:copy-of select="'Protocol'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf6_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Transformation'">
				<xsl:copy-of select="'Transformation'"/>
			</xsl:when>
			<xsl:when test="$input='Renewal'">
				<xsl:copy-of select="'Renewal'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf7_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Certificate'">
				<xsl:copy-of select="'Certificate'"/>
			</xsl:when>
			<xsl:when test="$input='Collective'">
				<xsl:copy-of select="'Collective'"/>
			</xsl:when>
			<xsl:when test="$input='Defensive'">
				<xsl:copy-of select="'Defensive'"/>
			</xsl:when>
			<xsl:when test="$input='Individual'">
				<xsl:copy-of select="'Individual'"/>
			</xsl:when>
			<xsl:when test="$input='Guarantee'">
				<xsl:copy-of select="'Guarantee'"/>
			</xsl:when>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf8_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Word'">
				<xsl:copy-of select="'Word'"/>
			</xsl:when>
			<xsl:when test="$input='Stylized characters'">
				<xsl:copy-of select="'Stylized characters'"/>
			</xsl:when>
			<xsl:when test="$input='Figurative'">
				<xsl:copy-of select="'Figurative'"/>
			</xsl:when>
			<xsl:when test="$input='Combined'">
				<xsl:copy-of select="'Combined'"/>
			</xsl:when>
			<xsl:when test="$input='3-D'">
				<xsl:copy-of select="'Three dimensional'"/>
			</xsl:when>
			<xsl:when test="$input='Colour'">
				<xsl:copy-of select="'Colour'"/>
			</xsl:when>
			<xsl:when test="$input='Sound'">
				<xsl:copy-of select="'Sound'"/>
			</xsl:when>
			<xsl:when test="$input='Hologram'">
				<xsl:copy-of select="'Hologram'"/>
			</xsl:when>
			<xsl:when test="$input='Olfactory'">
				<xsl:copy-of select="'Olfactory'"/>
			</xsl:when>
			<xsl:when test="$input='Motion'">
				<xsl:copy-of select="'Motion'"/>
			</xsl:when>
			<xsl:when test="$input='Municipal'">
				<xsl:copy-of select="' '"/>
			</xsl:when>
			<xsl:when test="$input='Chimney'">
				<xsl:copy-of select="' '"/>
			</xsl:when>
			<xsl:when test="$input='Kennfaden'">
				<xsl:copy-of select="'tracer'"/>
			</xsl:when>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
			<xsl:when test="$input='Undefined'">
				<xsl:copy-of select="'Undefined'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf9_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Arabic to Latin'">
				<xsl:copy-of select="'Arabic to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Armenian to Latin'">
				<xsl:copy-of select="'Armenian to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Chinese to Latin'">
				<xsl:copy-of select="'Chinese to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Cyrillic to Latin'">
				<xsl:copy-of select="'Cyrillic to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Georgian to Latin'">
				<xsl:copy-of select="'Georgian to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Greek to Latin'">
				<xsl:copy-of select="'Greek to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Hebrew to Latin'">
				<xsl:copy-of select="'Hebrew to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Indic to Latin'">
				<xsl:copy-of select="'Indic to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Japanese to Latin'">
				<xsl:copy-of select="'Japanese to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Korean to Latin'">
				<xsl:copy-of select="'Korean to Latin'"/>
			</xsl:when>
			<xsl:when test="$input='Thai to Latin'">
				<xsl:copy-of select="'Thai to Latin'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf10_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='To Lowercase'">
				<xsl:copy-of select="'To lowercase'"/>
			</xsl:when>
			<xsl:when test="$input='To Uppercase'">
				<xsl:copy-of select="'To uppercase'"/>
			</xsl:when>
			<xsl:when test="$input='To Phonetic Code'">
				<xsl:copy-of select="'To phonetic code'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf11_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='JPEG'">
				<xsl:copy-of select="'JPEG'"/>
			</xsl:when>
			<xsl:when test="$input='TIFF'">
				<xsl:copy-of select="'TIFF'"/>
			</xsl:when>
			<xsl:when test="$input='PNG'">
				<xsl:copy-of select="'PNG'"/>
			</xsl:when>
			<xsl:when test="$input='GIF'">
				<xsl:copy-of select="'GIF'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf12_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Centimeter'">
				<xsl:copy-of select="'Cm'"/>
			</xsl:when>
			<xsl:when test="$input='Pixel'">
				<xsl:copy-of select="'Px'"/>
			</xsl:when>
			<xsl:when test="$input='Inch'">
				<xsl:copy-of select="'In'"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="'mm'"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf13_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Greyscale'">
				<xsl:copy-of select="'Greyscale'"/>
			</xsl:when>
			<xsl:when test="$input='Office Copy'">
				<xsl:copy-of select="'Office copy'"/>
			</xsl:when>
			<xsl:when test="$input='Thumbnail'">
				<xsl:copy-of select="'Thumbnail'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf14_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='JPEG'">
				<xsl:copy-of select="'JPEG'"/>
			</xsl:when>
			<xsl:when test="$input='TIFF'">
				<xsl:copy-of select="'TIFF'"/>
			</xsl:when>
			<xsl:when test="$input='PNG'">
				<xsl:copy-of select="'PNG'"/>
			</xsl:when>
			<xsl:when test="$input='GIF'">
				<xsl:copy-of select="'GIF'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf15_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Centimetre'">
				<xsl:copy-of select="'Cm'"/>
			</xsl:when>
			<xsl:when test="$input='Inch'">
				<xsl:copy-of select="'In'"/>
			</xsl:when>
			<xsl:when test="$input='Pixel'">
				<xsl:copy-of select="'Px'"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="'mm'"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf16_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Black and White'">
				<xsl:copy-of select="'Black and white'"/>
			</xsl:when>
			<xsl:when test="$input='Greyscale'">
				<xsl:copy-of select="'Greyscale'"/>
			</xsl:when>
			<xsl:when test="$input='Colour'">
				<xsl:copy-of select="'Colour'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf17_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='MP3'">
				<xsl:copy-of select="'MP3'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf18_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Provisional'">
				<xsl:copy-of select="'Provisional'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf19_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Nice'">
				<xsl:copy-of select="'Nice'"/>
			</xsl:when>
			<xsl:when test="$input='Office'">
				<xsl:copy-of select="'Office'"/>
			</xsl:when>
			<xsl:when test="$input='EM-JP-US'">
				<xsl:copy-of select="'EM_JP_US'"/>
			</xsl:when>
			<xsl:when test="$input='EM-US'">
				<xsl:copy-of select="'EM_US'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf20_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Requested'">
				<xsl:copy-of select="'Requested'"/>
			</xsl:when>
			<xsl:when test="$input='Accepted'">
				<xsl:copy-of select="'Accepted'"/>
			</xsl:when>
			<xsl:when test="$input='Refused'">
				<xsl:copy-of select="'Refused'"/>
			</xsl:when>
			<xsl:when test="$input='No longer in use'">
				<xsl:copy-of select="'No longer in use'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf21_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Abandoned'">
				<xsl:copy-of select="'Abandoned'"/>
			</xsl:when>
			<xsl:when test="$input='Accepted'">
				<xsl:copy-of select="'Accepted'"/>
			</xsl:when>
			<xsl:when test="$input='Claimed'">
				<xsl:copy-of select="'Claimed'"/>
			</xsl:when>
			<xsl:when test="$input='Partially Refused'">
				<xsl:copy-of select="'Partially refused'"/>
			</xsl:when>
			<xsl:when test="$input='Refused'">
				<xsl:copy-of select="'Refused'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf22_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='JPEG'">
				<xsl:copy-of select="'JPEG'"/>
			</xsl:when>
			<xsl:when test="$input='TIFF'">
				<xsl:copy-of select="'TIFF'"/>
			</xsl:when>
			<xsl:when test="$input='PNG'">
				<xsl:copy-of select="'PNG'"/>
			</xsl:when>
			<xsl:when test="$input='GIF'">
				<xsl:copy-of select="''"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf23_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Paper'">
				<xsl:copy-of select="'Paper'"/>
			</xsl:when>
			<xsl:when test="$input='Fax'">
				<xsl:copy-of select="'Fax'"/>
			</xsl:when>
			<xsl:when test="$input='File'">
				<xsl:copy-of select="'File'"/>
			</xsl:when>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf24_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Claimed'">
				<xsl:copy-of select="'Claimed'"/>
			</xsl:when>
			<xsl:when test="$input='Accepted'">
				<xsl:copy-of select="'Accepted'"/>
			</xsl:when>
			<xsl:when test="$input='Refused'">
				<xsl:copy-of select="'Refused'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf25_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Madrid'">
				<xsl:copy-of select="'Madrid'"/>
			</xsl:when>
			<xsl:when test="$input='EU'">
				<xsl:copy-of select="'EU'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf26_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Abandoned'">
				<xsl:copy-of select="'Abandoned'"/>
			</xsl:when>
			<xsl:when test="$input='Accepted'">
				<xsl:copy-of select="'Accepted'"/>
			</xsl:when>
			<xsl:when test="$input='Claimed'">
				<xsl:copy-of select="'Claimed'"/>
			</xsl:when>
			<xsl:when test="$input='Partially Refused'">
				<xsl:copy-of select="'Partially refused'"/>
			</xsl:when>
			<xsl:when test="$input='Refused'">
				<xsl:copy-of select="'Refused'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf27_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Amendments to applications'">
				<xsl:copy-of select="'Amendments to applications'"/>
			</xsl:when>
			<xsl:when test="$input='Applications'">
				<xsl:copy-of select="'Applications'"/>
			</xsl:when>
			<xsl:when test="$input='Appointment of a new representative'">
				<xsl:copy-of select="'Appointment of a new representative'"/>
			</xsl:when>
			<xsl:when test="$input='Change of name and address of proprietor'">
				<xsl:copy-of select="'Change of name and address of proprietor'"/>
			</xsl:when>
			<xsl:when test="$input='Change of name and professional address of representative'">
				<xsl:copy-of select="'Change of name and professional address of representative'"/>
			</xsl:when>
			<xsl:when test="$input='Correction of absolute errors on applications'">
				<xsl:copy-of select="'Correction of absolute errors on applications'"/>
			</xsl:when>
			<xsl:when test="$input='Correction of absolute errors on registrations'">
				<xsl:copy-of select="'Correction of absolute errors on registrations'"/>
			</xsl:when>
			<xsl:when test="$input='Correction of relative errors on applications'">
				<xsl:copy-of select="'Correction of relative errors on applications'"/>
			</xsl:when>
			<xsl:when test="$input='Correction of relative errors on registrations'">
				<xsl:copy-of select="'Correction of relative errors on registrations'"/>
			</xsl:when>
			<xsl:when test="$input='Deletion of the representative'">
				<xsl:copy-of select="'Deletion of the representative'"/>
			</xsl:when>
			<xsl:when test="$input='Partial refusals'">
				<xsl:copy-of select="'Partial refusals'"/>
			</xsl:when>
			<xsl:when test="$input='Partial surrender of trade mark'">
				<xsl:copy-of select="'Partial surrender of trademarks'"/>
			</xsl:when>
			<xsl:when test="$input='Partial transfers'">
				<xsl:copy-of select="'Partial transfers'"/>
			</xsl:when>
			<xsl:when test="$input='Registrations with amendments'">
				<xsl:copy-of select="'Registrations with amendments'"/>
			</xsl:when>
			<xsl:when test="$input='Registrations with no amendments'">
				<xsl:copy-of select="'Registrations with no amendments'"/>
			</xsl:when>
			<xsl:when test="$input='Replacement of representative'">
				<xsl:copy-of select="'Replacement of representative'"/>
			</xsl:when>
			<xsl:when test="$input='Restrictions'">
				<xsl:copy-of select="'Restrictions'"/>
			</xsl:when>
			<xsl:when test="$input='Total refusals'">
				<xsl:copy-of select="'Total refusals'"/>
			</xsl:when>
			<xsl:when test="$input='Total surrender of trade mark'">
				<xsl:copy-of select="'Total surrender of trademarks'"/>
			</xsl:when>
			<xsl:when test="$input='Total transfers'">
				<xsl:copy-of select="'Total transfers'"/>
			</xsl:when>
			<xsl:when test="$input='Withdrawals'">
				<xsl:copy-of select="'Withdrawals'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf28_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='General Authorization'">
				<xsl:copy-of select="'General authorization'"/>
			</xsl:when>
			<xsl:when test="$input='Specific Authorization'">
				<xsl:copy-of select="'Specific authorization'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf29_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Already on file'">
				<xsl:copy-of select="'Already on file'"/>
			</xsl:when>
			<xsl:when test="$input='Attached'">
				<xsl:copy-of select="'Attached'"/>
			</xsl:when>
			<xsl:when test="$input='To follow'">
				<xsl:copy-of select="'To follow'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf30_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Appeal Expired'">
				<xsl:copy-of select="'Appeal expired'"/>
			</xsl:when>
			<xsl:when test="$input='Appeal Lapsed'">
				<xsl:copy-of select="'Appeal lapsed'"/>
			</xsl:when>
			<xsl:when test="$input='Appeal Withdrawn'">
				<xsl:copy-of select="'Appeal withdrawn'"/>
			</xsl:when>
			<xsl:when test="$input='Complementary Renewal'">
				<xsl:copy-of select="'Complementary renewal'"/>
			</xsl:when>
			<xsl:when test="$input='Effect Continuation'">
				<xsl:copy-of select="'Effect continuation'"/>
			</xsl:when>
			<xsl:when test="$input='Final Confirmation Refusal'">
				<xsl:copy-of select="'Final confirmation refusal'"/>
			</xsl:when>
			<xsl:when test="$input='Final Other Decision'">
				<xsl:copy-of select="'Final other decision'"/>
			</xsl:when>
			<xsl:when test="$input='Final Reversing Refusal'">
				<xsl:copy-of select="'Final reversing refusal'"/>
			</xsl:when>
			<xsl:when test="$input='Final Total Refusal'">
				<xsl:copy-of select="'Final total refusal'"/>
			</xsl:when>
			<xsl:when test="$input='Judicial Action'">
				<xsl:copy-of select="'Judicial action'"/>
			</xsl:when>
			<xsl:when test="$input='Limitation'">
				<xsl:copy-of select="'Limitation'"/>
			</xsl:when>
			<xsl:when test="$input='No Effect Limitation'">
				<xsl:copy-of select="'No effect limitation'"/>
			</xsl:when>
			<xsl:when test="$input='Non Renewal'">
				<xsl:copy-of select="'NonRenewal'"/>
			</xsl:when>
			<xsl:when test="$input='Non Renewal Certain Parties'">
				<xsl:copy-of select="'NonRenewal certain parties'"/>
			</xsl:when>
			<xsl:when test="$input='Non Renewal Under Rule 40.3'">
				<xsl:copy-of select="'NonRenewal under rule 40_3'"/>
			</xsl:when>
			<xsl:when test="$input='Partial Cancellation'">
				<xsl:copy-of select="'Partial cancellation'"/>
			</xsl:when>
			<xsl:when test="$input='Partial Ceasing Effect'">
				<xsl:copy-of select="'Partial ceasing effect'"/>
			</xsl:when>
			<xsl:when test="$input='Partial Invalidation'">
				<xsl:copy-of select="'Partial invalidation'"/>
			</xsl:when>
			<xsl:when test="$input='Partial Refusal'">
				<xsl:copy-of select="'Partial refusal'"/>
			</xsl:when>
			<xsl:when test="$input='Protection Granted'">
				<xsl:copy-of select="'Protection granted'"/>
			</xsl:when>
			<xsl:when test="$input='Registration'">
				<xsl:copy-of select="'Registration'"/>
			</xsl:when>
			<xsl:when test="$input='Renewal'">
				<xsl:copy-of select="'Renewal'"/>
			</xsl:when>
			<xsl:when test="$input='Renewal Under Rule 40.3'">
				<xsl:copy-of select="'Renewal under rule 40_3'"/>
			</xsl:when>
			<xsl:when test="$input='Renunciation'">
				<xsl:copy-of select="'Renunciation'"/>
			</xsl:when>
			<xsl:when test="$input='Representative Appointed'">
				<xsl:copy-of select="'Representative appointed'"/>
			</xsl:when>
			<xsl:when test="$input='Second Part Fee Not Paid'">
				<xsl:copy-of select="'Second part fee not paid'"/>
			</xsl:when>
			<xsl:when test="$input='Second Part Fee Paid'">
				<xsl:copy-of select="'Second part fee paid'"/>
			</xsl:when>
			<xsl:when test="$input='Subsequent Designation'">
				<xsl:copy-of select="'Subsequent designation'"/>
			</xsl:when>
			<xsl:when test="$input='Total Cancellation'">
				<xsl:copy-of select="'Total cancellation'"/>
			</xsl:when>
			<xsl:when test="$input='Total Ceasing Effect'">
				<xsl:copy-of select="'Total ceasing effect'"/>
			</xsl:when>
			<xsl:when test="$input='Total Invalidation'">
				<xsl:copy-of select="'Total invalidation'"/>
			</xsl:when>
			<xsl:when test="$input='Total Refusal'">
				<xsl:copy-of select="'Total refusal'"/>
			</xsl:when>
			<xsl:when test="$input='Transfer Refusal'">
				<xsl:copy-of select="'Transfer refusal'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf31_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Record filed'">
				<xsl:copy-of select="'Record filed'"/>
			</xsl:when>
			<xsl:when test="$input='Undefined'">
				<xsl:copy-of select="'Undefined'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf32_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='List limited to'">
				<xsl:copy-of select="'List limited to'"/>
			</xsl:when>
			<xsl:when test="$input='Remove from list'">
				<xsl:copy-of select="'Remove from list'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf33_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Holder Right Restriction Opposition Period'">
				<xsl:copy-of select="'Holder right restriction opposition period'"/>
			</xsl:when>
			<xsl:when test="$input='Opposition Period'">
				<xsl:copy-of select="'Opposition period'"/>
			</xsl:when>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
			<xsl:when test="$input='Protection Granted Opposition Period'">
				<xsl:copy-of select="'Protection granted opposition period'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf34_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
			<xsl:when test="$input='Partial Transfer'">
				<xsl:copy-of select="'Partial transfer'"/>
			</xsl:when>
			<xsl:when test="$input='Total Transfer'">
				<xsl:copy-of select="'Total transfer'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf35_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Accepted'">
				<xsl:copy-of select="'Accepted'"/>
			</xsl:when>
			<xsl:when test="$input='Rejected'">
				<xsl:copy-of select="'Rejected'"/>
			</xsl:when>
			<xsl:when test="$input='To Check'">
				<xsl:copy-of select="'To check'"/>
			</xsl:when>
			<xsl:when test="$input='Withdrawn'">
				<xsl:copy-of select="'Withdrawn'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf36_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Record filed'">
				<xsl:copy-of select="'Record filed'"/>
			</xsl:when>
			<xsl:when test="$input='Undefined'">
				<xsl:copy-of select="'Undefined'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf37_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Applicant'">
				<xsl:copy-of select="'Applicant'"/>
			</xsl:when>
			<xsl:when test="$input='Representative'">
				<xsl:copy-of select="'Representative'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf38_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Change applicant name or address'">
				<xsl:copy-of select="'Change applicant name or address'"/>
			</xsl:when>
			<xsl:when test="$input='Holder'">
				<xsl:copy-of select="'Holder'"/>
			</xsl:when>
			<xsl:when test="$input='Licensee'">
				<xsl:copy-of select="'Licensee'"/>
			</xsl:when>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf39_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Record filed'">
				<xsl:copy-of select="'Record filed'"/>
			</xsl:when>
			<xsl:when test="$input='Undefined'">
				<xsl:copy-of select="'Undefined'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf40_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Licence'">
				<xsl:copy-of select="'Licence'"/>
			</xsl:when>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
			<xsl:when test="$input='Sub-Licence'">
				<xsl:copy-of select="'Sublicence'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf41_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Record filed'">
				<xsl:copy-of select="'Record filed'"/>
			</xsl:when>
			<xsl:when test="$input='Undefined'">
				<xsl:copy-of select="'Undefined'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf42_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Unknown'">
				<xsl:copy-of select="'Unknown'"/>
			</xsl:when>
			<xsl:when test="$input='Exclusive'">
				<xsl:copy-of select="'Exclusive'"/>
			</xsl:when>
			<xsl:when test="$input='Nonexclusive'">
				<xsl:copy-of select="'NonExclusive'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf43_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Cancelled'">
				<xsl:copy-of select="'Cancelled'"/>
			</xsl:when>
			<xsl:when test="$input='Expired'">
				<xsl:copy-of select="'Expired'"/>
			</xsl:when>
			<xsl:when test="$input='Valid'">
				<xsl:copy-of select="'Valid'"/>
			</xsl:when>
			<xsl:when test="$input='To Verify'">
				<xsl:copy-of select="'To verify'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf44_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Accepted'">
				<xsl:copy-of select="'Accepted'"/>
			</xsl:when>
			<xsl:when test="$input='Rejected'">
				<xsl:copy-of select="'Rejected'"/>
			</xsl:when>
			<xsl:when test="$input='To Check'">
				<xsl:copy-of select="'To check'"/>
			</xsl:when>
			<xsl:when test="$input='Withdrawn'">
				<xsl:copy-of select="'Withdrawn'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf45_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Merger'">
				<xsl:copy-of select="'Merger'"/>
			</xsl:when>
			<xsl:when test="$input='Partial Transfer'">
				<xsl:copy-of select="'Partial transfer'"/>
			</xsl:when>
			<xsl:when test="$input='Short Notation'">
				<xsl:copy-of select="'Short notation'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf46_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Action before Court of Justice pending'">
				<xsl:copy-of select="'Action before court of justice pending'"/>
			</xsl:when>
			<xsl:when test="$input='Appeal pending'">
				<xsl:copy-of select="'Appeal pending'"/>
			</xsl:when>
			<xsl:when test="$input='Application accepted'">
				<xsl:copy-of select="'Application accepted'"/>
			</xsl:when>
			<xsl:when test="$input='Application deemed withdrawn'">
				<xsl:copy-of select="'Application deemed withdrawn'"/>
			</xsl:when>
			<xsl:when test="$input='Application filed'">
				<xsl:copy-of select="'Application filed'"/>
			</xsl:when>
			<xsl:when test="$input='Application opposed'">
				<xsl:copy-of select="'Application opposed'"/>
			</xsl:when>
			<xsl:when test="$input='Application published'">
				<xsl:copy-of select="'Application published'"/>
			</xsl:when>
			<xsl:when test="$input='Application refused'">
				<xsl:copy-of select="'Application refused'"/>
			</xsl:when>
			<xsl:when test="$input='Application withdrawn'">
				<xsl:copy-of select="'Application withdrawn'"/>
			</xsl:when>
			<xsl:when test="$input='Classification checked'">
				<xsl:copy-of select="'Classification checked'"/>
			</xsl:when>
			<xsl:when test="$input='Conversion requested'">
				<xsl:copy-of select="'Conversion requested'"/>
			</xsl:when>
			<xsl:when test="$input='Expired'">
				<xsl:copy-of select="'Expired'"/>
			</xsl:when>
			<xsl:when test="$input='Filing date accorded'">
				<xsl:copy-of select="'Filing date accorded'"/>
			</xsl:when>
			<xsl:when test="$input='Interruption of proceedings'">
				<xsl:copy-of select="'Interruption of proceedings'"/>
			</xsl:when>
			<xsl:when test="$input='Invalidity proceeding pending'">
				<xsl:copy-of select="'Invalidity proceeding pending'"/>
			</xsl:when>
			<xsl:when test="$input='Registered'">
				<xsl:copy-of select="'Registered'"/>
			</xsl:when>
			<xsl:when test="$input='Registration cancellation pending'">
				<xsl:copy-of select="'Registration cancellation pending'"/>
			</xsl:when>
			<xsl:when test="$input='Registration cancelled'">
				<xsl:copy-of select="'Registration cancelled'"/>
			</xsl:when>
			<xsl:when test="$input='Registration opposed'">
				<xsl:copy-of select="'Registration opposed'"/>
			</xsl:when>
			<xsl:when test="$input='Registration surrendered'">
				<xsl:copy-of select="'Registration surrendered'"/>
			</xsl:when>
			<xsl:when test="$input='Revocation proceeding pending'">
				<xsl:copy-of select="'Revocation proceeding pending'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf47_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Insert'">
				<xsl:copy-of select="'Insert'"/>
			</xsl:when>
			<xsl:when test="$input='Update'">
				<xsl:copy-of select="'Update'"/>
			</xsl:when>
			<xsl:when test="$input='Delete'">
				<xsl:copy-of select="'Delete'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf48_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Insert'">
				<xsl:copy-of select="'Insert'"/>
			</xsl:when>
			<xsl:when test="$input='Update'">
				<xsl:copy-of select="'Update'"/>
			</xsl:when>
			<xsl:when test="$input='Delete'">
				<xsl:copy-of select="'Delete'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf49_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Association'">
				<xsl:copy-of select="'Association'"/>
			</xsl:when>
			<xsl:when test="$input='Employee'">
				<xsl:copy-of select="'Employee'"/>
			</xsl:when>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
			<xsl:when test="$input='Lawyer'">
				<xsl:copy-of select="'Lawyer'"/>
			</xsl:when>
			<xsl:when test="$input='Professional Representative'">
				<xsl:copy-of select="'Professional representative'"/>
			</xsl:when>
			<xsl:when test="$input='Undefined'">
				<xsl:copy-of select="'Undefined'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf50_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Fixed'">
				<xsl:copy-of select="'Business fixed'"/>
			</xsl:when>
			<xsl:when test="$input='Mobile Phone'">
				<xsl:copy-of select="'Business mobile'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf51_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Filing date'">
				<xsl:copy-of select="'Filing date'"/>
			</xsl:when>
			<xsl:when test="$input='Registration date'">
				<xsl:copy-of select="'Registration date'"/>
			</xsl:when>
			<xsl:when test="$input='Use date'">
				<xsl:copy-of select="'Use date'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf52_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Mark'">
				<xsl:copy-of select="'Mark'"/>
			</xsl:when>
			<xsl:when test="$input='Registered mark with reputation'">
				<xsl:copy-of select="'Registered mark with reputation'"/>
			</xsl:when>
			<xsl:when test="$input='Well-known mark'">
				<xsl:copy-of select="'Well known mark'"/>
			</xsl:when>
			<xsl:when test="$input='Non-registered mark'">
				<xsl:copy-of select="'NonRegistered mark'"/>
			</xsl:when>
			<xsl:when test="$input='Sign used in trade'">
				<xsl:copy-of select="'Sign used in trade'"/>
			</xsl:when>
			<xsl:when test="$input='Mark filed by an agent'">
				<xsl:copy-of select="'Mark filed by an agent'"/>
			</xsl:when>
			<xsl:when test="$input='Undefined'">
				<xsl:copy-of select="'Undefined'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf53_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Opposition filed'">
				<xsl:copy-of select="'Opposition filed'"/>
			</xsl:when>
			<xsl:when test="$input='Admissibility checked'">
				<xsl:copy-of select="'Admissibility of opposition filing checked'"/>
			</xsl:when>
			<xsl:when test="$input='Cooling-off period'">
				<xsl:copy-of select="'Cooling off period taken'"/>
			</xsl:when>
			<xsl:when test="$input='Commencement of proceeding'">
				<xsl:copy-of select="'Proceedings of opposition commenced'"/>
			</xsl:when>
			<xsl:when test="$input='Agreement between parties'">
				<xsl:copy-of select="'Agreement between parties reached'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM withdrawn'">
				<xsl:copy-of select="'Application or trademark finally withdrawn'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM limited'">
				<xsl:copy-of select="'Application or trademark finally  limited'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - Opposition withdrawn'">
				<xsl:copy-of select="'Final decision_Opposition withdrawn'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM rejected by ED'">
				<xsl:copy-of select="'Application or trademark finally rejected in full'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM rejected in part'">
				<xsl:copy-of select="'Application or trademark finally in part'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM rejected'">
				<xsl:copy-of select="' '"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - Opposition rejected'">
				<xsl:copy-of select="'Opposition finally rejected'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - Opposition not duly entered'">
				<xsl:copy-of select="' '"/>
			</xsl:when>
			<xsl:when test="$input='No decision - Opposition not duly entered'">
				<xsl:copy-of select="' '"/>
			</xsl:when>
			<xsl:when test="$input='Opposition closed'">
				<xsl:copy-of select="'Opposition closed'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf54_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Certificate'">
				<xsl:copy-of select="'Certificate'"/>
			</xsl:when>
			<xsl:when test="$input='Collective'">
				<xsl:copy-of select="'Collective'"/>
			</xsl:when>
			<xsl:when test="$input='Defensive'">
				<xsl:copy-of select="'Defensive'"/>
			</xsl:when>
			<xsl:when test="$input='Individual'">
				<xsl:copy-of select="'Individual'"/>
			</xsl:when>
			<xsl:when test="$input='Guarantee'">
				<xsl:copy-of select="'Guarantee'"/>
			</xsl:when>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf55_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Word'">
				<xsl:copy-of select="'Word'"/>
			</xsl:when>
			<xsl:when test="$input='Stylized characters'">
				<xsl:copy-of select="'Stylized characters'"/>
			</xsl:when>
			<xsl:when test="$input='Figurative'">
				<xsl:copy-of select="'Figurative'"/>
			</xsl:when>
			<xsl:when test="$input='Combined'">
				<xsl:copy-of select="'Combined'"/>
			</xsl:when>
			<xsl:when test="$input='3-D'">
				<xsl:copy-of select="'Three dimensional'"/>
			</xsl:when>
			<xsl:when test="$input='Colour'">
				<xsl:copy-of select="'Colour'"/>
			</xsl:when>
			<xsl:when test="$input='Sound'">
				<xsl:copy-of select="'Sound'"/>
			</xsl:when>
			<xsl:when test="$input='Hologram'">
				<xsl:copy-of select="'Hologram'"/>
			</xsl:when>
			<xsl:when test="$input='Olfactory'">
				<xsl:copy-of select="'Olfactory'"/>
			</xsl:when>
			<xsl:when test="$input='Motion'">
				<xsl:copy-of select="'Motion'"/>
			</xsl:when>
			<xsl:when test="$input='Municipal'">
				<xsl:copy-of select="'Municipal'"/>
			</xsl:when>
			<xsl:when test="$input='Chimney'">
				<xsl:copy-of select="'Chimney'"/>
			</xsl:when>
			<xsl:when test="$input='Kennfaden'">
				<xsl:copy-of select="'Kennfaden'"/>
			</xsl:when>
			<xsl:when test="$input='Other'">
				<xsl:copy-of select="'Other'"/>
			</xsl:when>
			<xsl:when test="$input='Undefined'">
				<xsl:copy-of select="'Undefined'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="vmf:vmf56_inputtoresult">
		<xsl:param name="input" select="()"/>
		<xsl:choose>
			<xsl:when test="$input='Opposition filed'">
				<xsl:copy-of select="'Opposition filed'"/>
			</xsl:when>
			<xsl:when test="$input='Admissibility checked'">
				<xsl:copy-of select="'Admissibility checked'"/>
			</xsl:when>
			<xsl:when test="$input='Cooling-off period'">
				<xsl:copy-of select="'Coolingoff period'"/>
			</xsl:when>
			<xsl:when test="$input='Commencement of proceeding'">
				<xsl:copy-of select="'Commencement of proceeding'"/>
			</xsl:when>
			<xsl:when test="$input='Agreement between parties'">
				<xsl:copy-of select="'Agreement between parties'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM withdrawn'">
				<xsl:copy-of select="'Final decision_CTM withdrawn'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM limited'">
				<xsl:copy-of select="'Final decision_CTM limited'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - Opposition withdrawn'">
				<xsl:copy-of select="'Final decision_Opposition withdrawn'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM rejected by ED'">
				<xsl:copy-of select="'Final decision_CTM rejected by ED'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM rejected in part'">
				<xsl:copy-of select="'Final decision_CTM rejected in part'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - CTM rejected'">
				<xsl:copy-of select="'Final decision_CTM rejected'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - Opposition rejected'">
				<xsl:copy-of select="'Final decision_Opposition rejected'"/>
			</xsl:when>
			<xsl:when test="$input='Final decision - Opposition not duly entered'">
				<xsl:copy-of select="'Final decision_Opposition not duly entered'"/>
			</xsl:when>
			<xsl:when test="$input='No decision - Opposition not duly entered'">
				<xsl:copy-of select="'No decision_Opposition not duly entered'"/>
			</xsl:when>
			<xsl:when test="$input='Opposition closed'">
				<xsl:copy-of select="'Opposition closed'"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="/">
		<xsl:variable name="var256_Transaction" as="node()?" select="tmks:Transaction"/>
		<tmks:TrademarkTransaction xmlns:tmk="http://www.wipo.int/standards/XMLSchema/ST96/Trademark" xmlns:tbl="http://www.oasis-open.org/tables/exchange/1.0" xmlns:mathml="http://www.w3.org/1998/Math/MathML" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:com="http://www.wipo.int/standards/XMLSchema/ST96/Common">
			<xsl:attribute name="xsi:schemaLocation" namespace="http://www.w3.org/2001/XMLSchema-instance" select="'http://www.wipo.int/standards/XMLSchema/ST96/Trademark ../../Schemas/ST96Schema/ST96XMLSchema_Current_Flattened/TrademarkTransaction_V8_0.xsd'"/>
			<xsl:for-each select="$var256_Transaction">
				<xsl:attribute name="com:st96Version" select="'V8_0'"/>
			</xsl:for-each>
			<xsl:for-each select="$var256_Transaction">
				<xsl:for-each select="tmks:TransactionHeader">
					<com:TransactionHeader>
						<xsl:for-each select="tmks:SenderDetails">
							<com:SenderBag>
								<xsl:for-each select="tmks:RequestIdentifier">
									<com:RequestIdentifier>
										<xsl:sequence select="fn:string(.)"/>
									</com:RequestIdentifier>
								</xsl:for-each>
								<xsl:for-each select="tmks:RequestLanguageCode">
									<com:RequestLanguageCode>
										<xsl:sequence select="fn:string(.)"/>
									</com:RequestLanguageCode>
								</xsl:for-each>
								<xsl:for-each select="tmks:RequestXSDVersion">
									<com:RequestXSDVersion>
										<xsl:sequence select="fn:string(.)"/>
									</com:RequestXSDVersion>
								</xsl:for-each>
								<xsl:for-each select="tmks:RequestFilename">
									<com:FileName>
										<xsl:sequence select="fn:string(.)"/>
									</com:FileName>
								</xsl:for-each>
								<xsl:for-each select="tmks:RequestStatus">
									<com:RequestStatusCategory>
										<xsl:sequence select="fn:string(.)"/>
									</com:RequestStatusCategory>
								</xsl:for-each>
								<xsl:for-each select="tmks:RequestProducer">
									<com:RequestProducer>
										<xsl:sequence select="fn:string(.)"/>
									</com:RequestProducer>
								</xsl:for-each>
								<xsl:for-each select="tmks:RequestReceivingOfficeCode">
									<com:RequestReceivingOfficeCode>
										<xsl:sequence select="fn:string(.)"/>
									</com:RequestReceivingOfficeCode>
								</xsl:for-each>
								<xsl:for-each select="tmks:LoginInformation">
									<com:LoginInformation>
										<xsl:for-each select="tmks:Login">
											<com:Login>
												<xsl:sequence select="fn:string(.)"/>
											</com:Login>
										</xsl:for-each>
										<xsl:for-each select="tmks:LoginEmail">
											<com:LoginEmail>
												<xsl:sequence select="fn:string(.)"/>
											</com:LoginEmail>
										</xsl:for-each>
										<xsl:for-each select="tmks:Password">
											<com:Password>
												<xsl:sequence select="fn:string(.)"/>
											</com:Password>
										</xsl:for-each>
									</com:LoginInformation>
								</xsl:for-each>
								<xsl:for-each select="tmks:RequestProducerDate">
									<com:RequestDate>
										<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
									</com:RequestDate>
								</xsl:for-each>
								<xsl:for-each select="tmks:RequestProducerDateTime">
									<com:RequestDateTime>
										<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
									</com:RequestDateTime>
								</xsl:for-each>
							</com:SenderBag>
						</xsl:for-each>
						<xsl:for-each select="tmks:ReceiverDetails">
							<com:ReceiverBag>
								<xsl:for-each select="tmks:ReceiverDateTime">
									<com:ReceiverDateTime>
										<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
									</com:ReceiverDateTime>
								</xsl:for-each>
								<xsl:for-each select="tmks:Comment">
									<com:CommentText>
										<xsl:for-each select="@languageCode">
											<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
										</xsl:for-each>
										<xsl:sequence select="fn:string(.)"/>
									</com:CommentText>
								</xsl:for-each>
							</com:ReceiverBag>
						</xsl:for-each>
					</com:TransactionHeader>
				</xsl:for-each>
				<xsl:for-each select="tmks:TradeMarkTransactionBody">
					<tmks:TrademarkTransactionBody>
						<xsl:attribute name="com:st96Version" select="'V8_0'"/>
						<xsl:for-each select="tmks:TransactionErrorDetails">
							<com:TransactionErrorBag>
								<xsl:for-each select="tmks:TransactionError">
									<com:TransactionError>
										<xsl:for-each select="tmks:TransactionErrorCode">
											<com:TransactionErrorCode>
												<xsl:sequence select="fn:string(.)"/>
											</com:TransactionErrorCode>
										</xsl:for-each>
										<xsl:for-each select="tmks:TransactionErrorText">
											<com:TransactionErrorText>
												<xsl:for-each select="@languageCode">
													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
												</xsl:for-each>
												<xsl:sequence select="fn:string(.)"/>
											</com:TransactionErrorText>
										</xsl:for-each>
									</com:TransactionError>
								</xsl:for-each>
							</com:TransactionErrorBag>
						</xsl:for-each>
						<xsl:variable name="var255_TransactionContentDetails" as="node()" select="tmks:TransactionContentDetails"/>
						<tmks:TransactionContentBag>
							<xsl:attribute name="com:st96Version" select="'V8_0'"/>
							<xsl:for-each select="$var255_TransactionContentDetails/tmks:TransactionIdentifier">
								<com:TransactionIdentifier>
									<xsl:sequence select="fn:string(.)"/>
								</com:TransactionIdentifier>
							</xsl:for-each>
							<xsl:variable name="var1_resultof_vmf__inputtoresult" as="xs:string?">
								<xsl:call-template name="vmf:vmf1_inputtoresult">
									<xsl:with-param name="input" select="fn:string($var255_TransactionContentDetails/tmks:TransactionCode)" as="xs:string"/>
								</xsl:call-template>
							</xsl:variable>
							<xsl:for-each select="$var1_resultof_vmf__inputtoresult">
								<com:TransactionCategory>
									<xsl:sequence select="."/>
								</com:TransactionCategory>
							</xsl:for-each>
							<xsl:for-each select="$var255_TransactionContentDetails/tmks:TransactionSubCode">
								<xsl:variable name="var2_resultof_vmf__inputtoresult" as="xs:string?">
									<xsl:call-template name="vmf:vmf2_inputtoresult">
										<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:for-each select="$var2_resultof_vmf__inputtoresult">
									<com:TransactionSubCode>
										<xsl:sequence select="."/>
									</com:TransactionSubCode>
								</xsl:for-each>
							</xsl:for-each>
							<xsl:variable name="var254_TransactionData" as="node()" select="$var255_TransactionContentDetails/tmks:TransactionData"/>
							<xsl:variable name="var253_TradeMarkApplication" as="node()?" select="$var254_TransactionData/tmks:TradeMarkApplication"/>
							<tmks:TransactionData>
								<xsl:attribute name="com:st96Version" select="'V8_0'"/>
								<xsl:for-each select="$var253_TradeMarkApplication">
									<tmks:TrademarkApplication>
										<xsl:attribute name="com:st96Version" select="'V8_0'"/>
										<xsl:for-each select="tmks:RequestSoftware">
											<com:RequestSoftware>
												<com:RequestSoftwareName>
													<xsl:sequence select="fn:string(tmks:RequestSoftwareName)"/>
												</com:RequestSoftwareName>
												<xsl:for-each select="tmks:RequestSoftwareVersion">
													<com:RequestSoftwareVersion>
														<xsl:sequence select="fn:string(.)"/>
													</com:RequestSoftwareVersion>
												</xsl:for-each>
											</com:RequestSoftware>
										</xsl:for-each>
										<xsl:for-each select="tmks:ApplicationFormName">
											<tmks:ApplicationFormName>
												<xsl:sequence select="fn:string(.)"/>
											</tmks:ApplicationFormName>
										</xsl:for-each>
										<xsl:for-each select="tmks:RequestSearch">
											<tmks:RequestSearch>
												<xsl:sequence select="()"/>
											</tmks:RequestSearch>
										</xsl:for-each>
										<xsl:for-each select="tmks:RequestExamination">
											<com:RequestExamination>
												<com:RequestExaminationCategory>
													<xsl:sequence select="fn:string(tmks:RequestExaminationKindCode)"/>
												</com:RequestExaminationCategory>
											</com:RequestExamination>
										</xsl:for-each>
										<xsl:for-each select="tmks:DocumentIncludedDetails">
											<com:DocumentIncludedBag>
												<xsl:for-each select="tmks:DocumentIncluded">
													<com:DocumentIncluded>
														<xsl:for-each select="tmks:DocumentName">
															<com:DocumentName>
																<xsl:sequence select="fn:string(.)"/>
															</com:DocumentName>
														</xsl:for-each>
													</com:DocumentIncluded>
												</xsl:for-each>
											</com:DocumentIncludedBag>
										</xsl:for-each>
										<xsl:for-each select="tmks:TradeMarkDetails">
											<tmks:TrademarkBag>
												<xsl:for-each select="tmks:TradeMark">
													<tmks:Trademark>
														<xsl:sequence select="()"/>
													</tmks:Trademark>
												</xsl:for-each>
											</tmks:TrademarkBag>
										</xsl:for-each>
										<xsl:for-each select="tmks:PaymentDetails">
											<com:PaymentBag>
												<xsl:for-each select="tmks:Payment">
													<com:Payment>
														<xsl:for-each select="tmks:PaymentFeeDetails/tmks:PaymentFee">
															<xsl:variable name="var3_FeeAmount" as="node()" select="tmks:FeeAmount"/>
															<com:FeePayableTotalAmount>
																<xsl:for-each select="$var3_FeeAmount/@currencyCode">
																	<xsl:attribute name="com:currencyCode" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:sequence select="xs:string(xs:decimal(fn:string($var3_FeeAmount)))"/>
															</com:FeePayableTotalAmount>
														</xsl:for-each>
													</com:Payment>
												</xsl:for-each>
											</com:PaymentBag>
										</xsl:for-each>
										<xsl:for-each select="tmks:ReimbursementDetails">
											<com:ReimbursementBag>
												<xsl:for-each select="tmks:Reimbursement">
													<com:Reimbursement>
														<xsl:sequence select="()"/>
													</com:Reimbursement>
												</xsl:for-each>
											</com:ReimbursementBag>
										</xsl:for-each>
										<xsl:for-each select="tmks:SignatoryDetails">
											<com:SignatureBag>
												<xsl:for-each select="tmks:Signatory">
													<com:Signature>
														<xsl:for-each select="tmks:SignatoryAddress">
															<com:Contact>
																<xsl:sequence select="()"/>
															</com:Contact>
														</xsl:for-each>
													</com:Signature>
												</xsl:for-each>
											</com:SignatureBag>
										</xsl:for-each>
									</tmks:TrademarkApplication>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:TradeMarkDetails">
									<tmks:TrademarkBag>
										<xsl:for-each select="tmks:TradeMark">
											<xsl:variable name="var151_cur" as="node()" select="."/>
											<tmks:Trademark>
												<xsl:for-each select="@operationCode">
													<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
												</xsl:for-each>
												<xsl:for-each select="tmks:RegistrationOfficeCode">
													<com:RegistrationOfficeCode>
														<xsl:sequence select="fn:string(.)"/>
													</com:RegistrationOfficeCode>
												</xsl:for-each>
												<xsl:for-each select="tmks:ReceivingOfficeCode">
													<com:ReceivingOfficeCode>
														<xsl:sequence select="fn:string(.)"/>
													</com:ReceivingOfficeCode>
												</xsl:for-each>
												<xsl:for-each select="tmks:ReceivingOfficeDate">
													<com:ReceivingOfficeDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</com:ReceivingOfficeDate>
												</xsl:for-each>
												<com:ApplicationNumber>
													<xsl:for-each select="tmks:ApplicationNumber">
														<com:ApplicationNumberText>
															<xsl:sequence select="fn:string(.)"/>
														</com:ApplicationNumberText>
													</xsl:for-each>
												</com:ApplicationNumber>
												<xsl:for-each select="tmks:RegistrationNumber">
													<com:RegistrationNumber>
														<xsl:sequence select="fn:string(.)"/>
													</com:RegistrationNumber>
												</xsl:for-each>
												<xsl:for-each select="tmks:ApplicationDate">
													<com:ApplicationDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</com:ApplicationDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:ApplicationDateTime">
													<com:ApplicationDateTime>
														<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
													</com:ApplicationDateTime>
												</xsl:for-each>
												<xsl:for-each select="tmks:RegistrationDate">
													<com:RegistrationDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</com:RegistrationDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:OtherDate">
													<tmks:OtherDate>
														<xsl:for-each select="@otherDateKind">
															<xsl:variable name="var4_resultof_vmf__inputtoresult" as="xs:string?">
																<xsl:call-template name="vmf:vmf3_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var4_resultof_vmf__inputtoresult">
																<xsl:attribute name="tmks:otherDateCategory" select="."/>
															</xsl:for-each>
														</xsl:for-each>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</tmks:OtherDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:FilingPlace">
													<com:FilingPlaceName>
														<xsl:sequence select="fn:string(.)"/>
													</com:FilingPlaceName>
												</xsl:for-each>
												<xsl:for-each select="tmks:ApplicationReference">
													<com:ApplicantFileReference>
														<xsl:sequence select="fn:string(.)"/>
													</com:ApplicantFileReference>
												</xsl:for-each>
												<xsl:for-each select="tmks:ApplicantSideCaseKey">
													<tmks:ApplicantSideCaseIdentifier>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:ApplicantSideCaseIdentifier>
												</xsl:for-each>
												<xsl:for-each select="tmks:ApplicationLanguageCode">
													<com:ApplicationLanguageCode>
														<xsl:sequence select="fn:string(.)"/>
													</com:ApplicationLanguageCode>
												</xsl:for-each>
												<xsl:for-each select="tmks:SecondLanguageCode">
													<com:SecondLanguageCode>
														<xsl:sequence select="fn:string(.)"/>
													</com:SecondLanguageCode>
												</xsl:for-each>
												<xsl:for-each select="tmks:CorrespondenceLanguageCode">
													<com:CorrespondenceLanguageCode>
														<xsl:sequence select="fn:string(.)"/>
													</com:CorrespondenceLanguageCode>
												</xsl:for-each>
												<xsl:for-each select="tmks:ExaminedApplicationNumber">
													<tmks:ExaminedApplicationNumber>
														<com:ApplicationNumberText>
															<xsl:sequence select="fn:string(.)"/>
														</com:ApplicationNumberText>
													</tmks:ExaminedApplicationNumber>
												</xsl:for-each>
												<xsl:for-each select="tmks:ExpiryDate">
													<com:ExpiryDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</com:ExpiryDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:TerminationDate">
													<tmks:TerminationDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</tmks:TerminationDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:MarkCurrentStatusCode">
													<xsl:variable name="var5_resultof_vmf__inputtoresult" as="xs:string?">
														<xsl:call-template name="vmf:vmf4_inputtoresult">
															<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
														</xsl:call-template>
													</xsl:variable>
													<xsl:for-each select="$var5_resultof_vmf__inputtoresult">
														<tmks:MarkCurrentStatusCode>
															<xsl:sequence select="."/>
														</tmks:MarkCurrentStatusCode>
													</xsl:for-each>
												</xsl:for-each>
												<xsl:for-each select="tmks:MarkCurrentStatusDate">
													<tmks:MarkCurrentStatusDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</tmks:MarkCurrentStatusDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:DesignatedCountryDetails">
													<tmks:DesignatedCountryBag>
														<xsl:for-each select="tmks:DesignatedCountry">
															<tmks:DesignatedCountry>
																<com:DesignatedCountryCode>
																	<xsl:sequence select="fn:string(tmks:DesignatedCountryCode)"/>
																</com:DesignatedCountryCode>
																<xsl:for-each select="tmks:DesignatedUnderCode">
																	<xsl:variable name="var6_resultof_vmf__inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf5_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var6_resultof_vmf__inputtoresult">
																		<tmks:MadridSystemCategory>
																			<xsl:sequence select="."/>
																		</tmks:MadridSystemCategory>
																	</xsl:for-each>
																</xsl:for-each>
															</tmks:DesignatedCountry>
														</xsl:for-each>
													</tmks:DesignatedCountryBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:PreviousRegistrationDetails">
													<tmks:PreviousRegistrationBag>
														<xsl:for-each select="tmks:PreviousRegistration">
															<tmks:PreviousRegistration>
																<xsl:for-each select="tmks:RegistrationOfficeCode">
																	<com:RegistrationOfficeCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:RegistrationOfficeCode>
																</xsl:for-each>
																<tmks:PreviousRegistrationNumber>
																	<xsl:sequence select="fn:string(tmks:PreviousRegistrationNumber)"/>
																</tmks:PreviousRegistrationNumber>
																<xsl:for-each select="tmks:PreviousRegistrationDate">
																	<tmks:PreviousRegistrationDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:PreviousRegistrationDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:PreviousRegistrationBasis">
																	<xsl:variable name="var7_resultof_vmf__inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf6_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var7_resultof_vmf__inputtoresult">
																		<tmks:PreviousRegistrationBasisCategory>
																			<xsl:sequence select="."/>
																		</tmks:PreviousRegistrationBasisCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:PreviousRegistrationCancellationDate">
																	<tmks:PreviousRegistrationCancellationDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:PreviousRegistrationCancellationDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:PreviousRegistrationPriorityDate">
																	<tmks:PreviousRegistrationPriorityDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:PreviousRegistrationPriorityDate>
																</xsl:for-each>
															</tmks:PreviousRegistration>
														</xsl:for-each>
													</tmks:PreviousRegistrationBag>
												</xsl:for-each>
												<tmks:AssociatedMarkBag>
													<xsl:for-each select="tmks:AssociatedMarkDetails">
														<tmks:AssociatedMark>
															<tmks:AssociatedApplicationNumber>
																<xsl:for-each select="tmks:AssociatedApplicationNumber">
																	<com:ApplicationNumberText>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:ApplicationNumberText>
																</xsl:for-each>
															</tmks:AssociatedApplicationNumber>
														</tmks:AssociatedMark>
													</xsl:for-each>
												</tmks:AssociatedMarkBag>
												<xsl:for-each select="tmks:DivisionalApplicationDetails">
													<tmks:DivisionalApplicationBag>
														<tmks:InitialApplicationNumber>
															<com:ApplicationNumberText>
																<xsl:sequence select="fn:string(tmks:InitialApplicationNumber)"/>
															</com:ApplicationNumberText>
														</tmks:InitialApplicationNumber>
														<xsl:for-each select="tmks:InitialApplicationDate">
															<tmks:InitialApplicationDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</tmks:InitialApplicationDate>
														</xsl:for-each>
													</tmks:DivisionalApplicationBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:BasicRegistrationApplicationDetails">
													<tmks:BasicRegistrationApplicationBag>
														<xsl:for-each select="tmks:BasicRegistrationApplication">
															<tmks:BasicRegistrationApplication>
																<xsl:for-each select="tmks:RegistrationOfficeCode">
																	<com:RegistrationOfficeCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:RegistrationOfficeCode>
																</xsl:for-each>
																<xsl:for-each select="tmks:BasicApplicationDetails">
																	<tmks:BasicApplicationBag>
																		<xsl:for-each select="tmks:BasicApplication">
																			<tmks:BasicApplication>
																				<tmks:BasicApplicationNumber>
																					<xsl:for-each select="tmks:BasicApplicationNumber">
																						<com:ApplicationNumberText>
																							<xsl:sequence select="fn:string(.)"/>
																						</com:ApplicationNumberText>
																					</xsl:for-each>
																				</tmks:BasicApplicationNumber>
																				<xsl:for-each select="tmks:BasicApplicationDate">
																					<tmks:BasicApplicationDate>
																						<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																					</tmks:BasicApplicationDate>
																				</xsl:for-each>
																			</tmks:BasicApplication>
																		</xsl:for-each>
																	</tmks:BasicApplicationBag>
																</xsl:for-each>
																<xsl:for-each select="tmks:BasicRegistrationDetails">
																	<tmks:BasicRegistrationBag>
																		<xsl:for-each select="tmks:BasicRegistration">
																			<tmks:BasicRegistration>
																				<xsl:for-each select="tmks:BasicRegistrationNumber">
																					<tmks:BasicRegistrationNumber>
																						<xsl:sequence select="fn:string(.)"/>
																					</tmks:BasicRegistrationNumber>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:BasicRegistrationDate">
																					<tmks:BasicRegistrationDate>
																						<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																					</tmks:BasicRegistrationDate>
																				</xsl:for-each>
																			</tmks:BasicRegistration>
																		</xsl:for-each>
																	</tmks:BasicRegistrationBag>
																</xsl:for-each>
															</tmks:BasicRegistrationApplication>
														</xsl:for-each>
													</tmks:BasicRegistrationApplicationBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:InternationalMarkKey">
													<tmks:InternationalMarkIdentifierBag>
														<xsl:for-each select="tmks:Identifier">
															<tmks:InternationalMarkIdentifier>
																<xsl:for-each select="@identifierKindCode">
																	<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:sequence select="fn:string(.)"/>
															</tmks:InternationalMarkIdentifier>
														</xsl:for-each>
													</tmks:InternationalMarkIdentifierBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:KindMark">
													<xsl:variable name="var8_resultof_vmf__inputtoresult" as="xs:string?">
														<xsl:call-template name="vmf:vmf7_inputtoresult">
															<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
														</xsl:call-template>
													</xsl:variable>
													<xsl:for-each select="$var8_resultof_vmf__inputtoresult">
														<tmks:MarkCategory>
															<xsl:sequence select="."/>
														</tmks:MarkCategory>
													</xsl:for-each>
												</xsl:for-each>
												<tmks:MarkRepresentation>
													<xsl:for-each select="tmks:MarkFeature">
														<xsl:variable name="var9_resultof_vmf__inputtoresult" as="xs:string?">
															<xsl:call-template name="vmf:vmf8_inputtoresult">
																<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
															</xsl:call-template>
														</xsl:variable>
														<xsl:for-each select="$var9_resultof_vmf__inputtoresult">
															<tmks:MarkFeatureCategory>
																<xsl:sequence select="."/>
															</tmks:MarkFeatureCategory>
														</xsl:for-each>
													</xsl:for-each>
													<tmks:MarkReproduction>
														<xsl:for-each select="tmks:WordMarkSpecification">
															<tmks:WordMarkSpecification>
																<xsl:for-each select="tmks:MarkVerbalElementText">
																	<tmks:MarkVerbalElementText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:MarkVerbalElementText>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkSignificantVerbalElement">
																	<tmks:MarkSignificantVerbalElementText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:MarkSignificantVerbalElementText>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkVerbalElementSignificantIndicator">
																	<tmks:MarkVerbalElementSignificantIndicator>
																		<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																	</tmks:MarkVerbalElementSignificantIndicator>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkTranslation">
																	<tmks:MarkTranslationText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="@sequenceNumber">
																			<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:MarkTranslationText>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkTransliteration">
																	<tmks:MarkTransliteration>
																		<xsl:for-each select="@transliterationKind">
																			<xsl:variable name="var10_resultof_vmf__inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf9_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var10_resultof_vmf__inputtoresult">
																				<xsl:attribute name="tmks:transliterationCategory" select="."/>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:MarkTransliteration>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkTranscription">
																	<tmks:MarkTranscription>
																		<xsl:for-each select="@transcriptionKind">
																			<xsl:variable name="var11_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf10_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var11_resultof_vmf___inputtoresult">
																				<xsl:attribute name="tmks:transcriptionCategory" select="."/>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:MarkTranscription>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkStandardCharacterIndicator">
																	<tmks:MarkStandardCharacterIndicator>
																		<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																	</tmks:MarkStandardCharacterIndicator>
																</xsl:for-each>
															</tmks:WordMarkSpecification>
														</xsl:for-each>
														<xsl:for-each select="tmks:MarkImageDetails">
															<tmks:MarkImageBag>
																<xsl:for-each select="tmks:MarkImage">
																	<xsl:variable name="var21_MarkImageRepresentationSize" as="node()?" select="tmks:MarkImageRepresentationSize"/>
																	<tmks:MarkImage>
																		<xsl:for-each select="tmks:MarkImageFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:MarkImageFileFormat">
																			<xsl:variable name="var12_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf11_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var12_resultof_vmf___inputtoresult">
																				<com:ImageFormatCategory>
																					<xsl:sequence select="."/>
																				</com:ImageFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:MarkImageColourClaimedText">
																			<tmks:MarkImageColourClaimedText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:for-each select="@sequenceNumber">
																					<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:MarkImageColourClaimedText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:MarkImageColourPartClaimedText">
																			<tmks:MarkImageColourPartClaimedText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:for-each select="@sequenceNumber">
																					<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:MarkImageColourPartClaimedText>
																		</xsl:for-each>
																		<xsl:for-each select="$var21_MarkImageRepresentationSize">
																			<xsl:variable name="var13_cur" as="node()" select="."/>
																			<xsl:for-each select="tmks:Height">
																				<com:HeightMeasure>
																					<xsl:for-each select="$var13_cur/tmks:Unit">
																						<xsl:attribute name="com:measureUnitCode">
																							<xsl:call-template name="vmf:vmf12_inputtoresult">
																								<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																							</xsl:call-template>
																						</xsl:attribute>
																					</xsl:for-each>
																					<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																				</com:HeightMeasure>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="$var21_MarkImageRepresentationSize">
																			<xsl:variable name="var14_cur" as="node()" select="."/>
																			<xsl:for-each select="tmks:Width">
																				<com:WidthMeasure>
																					<xsl:for-each select="$var14_cur/tmks:Unit">
																						<xsl:attribute name="com:measureUnitCode">
																							<xsl:call-template name="vmf:vmf12_inputtoresult">
																								<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																							</xsl:call-template>
																						</xsl:attribute>
																					</xsl:for-each>
																					<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																				</com:WidthMeasure>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:MarkImageCategory">
																			<tmks:MarkImageClassification>
																				<com:FigurativeElementClassificationBag>
																					<com:NationalFigurativeElementClassificationBag>
																						<xsl:for-each select="tmks:CategoryVersion">
																							<com:NationalClassificationEdition>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:NationalClassificationEdition>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:CategoryCodeDetails/tmks:CategoryCode">
																							<com:NationalFigurativeElementClassification>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:NationalFigurativeElementClassification>
																						</xsl:for-each>
																					</com:NationalFigurativeElementClassificationBag>
																				</com:FigurativeElementClassificationBag>
																			</tmks:MarkImageClassification>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:MarkImageQualityIndicator">
																			<tmks:MarkImageQualityIndicator>
																				<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																			</tmks:MarkImageQualityIndicator>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:MarkImageRenditionDetails">
																			<tmks:MarkImageRenditionBag>
																				<xsl:for-each select="tmks:MarkImageRendition">
																					<xsl:variable name="var19_MarkImageRenditionRepresentati" as="node()?" select="tmks:MarkImageRenditionRepresentationSize"/>
																					<tmks:MarkImageRendition>
																						<xsl:for-each select="tmks:MarkImageRenditionKind">
																							<xsl:variable name="var15_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf13_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var15_resultof_vmf___inputtoresult">
																								<tmks:MarkImageRenditionCategory>
																									<xsl:sequence select="."/>
																								</tmks:MarkImageRenditionCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:MarkImageRenditionFilename">
																							<com:FileName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:FileName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:MarkImageRenditionFileFormat">
																							<xsl:variable name="var16_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf14_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var16_resultof_vmf___inputtoresult">
																								<com:ImageFormatCategory>
																									<xsl:sequence select="."/>
																								</com:ImageFormatCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:MarkImageRenditionColourMode">
																							<com:ColourModeCategory>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:ColourModeCategory>
																						</xsl:for-each>
																						<xsl:for-each select="$var19_MarkImageRenditionRepresentati">
																							<xsl:variable name="var17_cur" as="node()" select="."/>
																							<xsl:for-each select="tmks:Height">
																								<com:HeightMeasure>
																									<xsl:for-each select="$var17_cur/tmks:Unit">
																										<xsl:attribute name="com:measureUnitCode">
																											<xsl:call-template name="vmf:vmf15_inputtoresult">
																												<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																											</xsl:call-template>
																										</xsl:attribute>
																									</xsl:for-each>
																									<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																								</com:HeightMeasure>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="$var19_MarkImageRenditionRepresentati">
																							<xsl:variable name="var18_cur" as="node()" select="."/>
																							<xsl:for-each select="tmks:Width">
																								<com:WidthMeasure>
																									<xsl:for-each select="$var18_cur/tmks:Unit">
																										<xsl:attribute name="com:measureUnitCode">
																											<xsl:call-template name="vmf:vmf15_inputtoresult">
																												<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																											</xsl:call-template>
																										</xsl:attribute>
																									</xsl:for-each>
																									<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																								</com:WidthMeasure>
																							</xsl:for-each>
																						</xsl:for-each>
																					</tmks:MarkImageRendition>
																				</xsl:for-each>
																			</tmks:MarkImageRenditionBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:MarkImageColourIndicator">
																			<com:ColourIndicator>
																				<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																			</com:ColourIndicator>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:MarkImageColourMode">
																			<xsl:variable name="var20_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf16_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var20_resultof_vmf___inputtoresult">
																				<com:ColourModeCategory>
																					<xsl:sequence select="."/>
																				</com:ColourModeCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																	</tmks:MarkImage>
																</xsl:for-each>
															</tmks:MarkImageBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:MarkSoundDetails">
															<xsl:variable name="var23_MarkSound" as="node()" select="tmks:MarkSound"/>
															<tmks:MarkSoundBag>
																<tmks:MarkSound>
																	<com:FileName>
																		<xsl:sequence select="fn:string($var23_MarkSound/tmks:MarkSoundFilename)"/>
																	</com:FileName>
																	<xsl:for-each select="$var23_MarkSound/tmks:MarkSoundFileFormat">
																		<xsl:variable name="var22_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf17_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var22_resultof_vmf___inputtoresult">
																			<tmks:SoundFileFormatCategory>
																				<xsl:sequence select="."/>
																			</tmks:SoundFileFormatCategory>
																		</xsl:for-each>
																	</xsl:for-each>
																</tmks:MarkSound>
															</tmks:MarkSoundBag>
														</xsl:for-each>
													</tmks:MarkReproduction>
													<xsl:for-each select="tmks:MarkDescriptionDetails">
														<xsl:variable name="var24_MarkDescription" as="node()+" select="tmks:MarkDescription"/>
														<tmks:MarkDescriptionBag>
															<xsl:for-each select="$var24_MarkDescription">
																<tmks:MarkDescriptionText>
																	<xsl:sequence select="fn:string(.)"/>
																</tmks:MarkDescriptionText>
															</xsl:for-each>
															<tmks:MarkDescriptionImage>
																<xsl:for-each select="$var24_MarkDescription/@sequenceNumber">
																	<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																</xsl:for-each>
															</tmks:MarkDescriptionImage>
														</tmks:MarkDescriptionBag>
													</xsl:for-each>
												</tmks:MarkRepresentation>
												<xsl:for-each select="tmks:MarkDisclaimerDetails">
													<tmks:MarkDisclaimerBag>
														<xsl:for-each select="tmks:MarkDisclaimer">
															<tmks:MarkDisclaimerText>
																<xsl:for-each select="@languageCode">
																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:for-each select="@sequenceNumber">
																	<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																</xsl:for-each>
																<xsl:sequence select="fn:string(.)"/>
															</tmks:MarkDisclaimerText>
														</xsl:for-each>
													</tmks:MarkDisclaimerBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:NonUseCancelledIndicator">
													<tmks:NonUseCancelledIndicator>
														<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
													</tmks:NonUseCancelledIndicator>
												</xsl:for-each>
												<xsl:for-each select="tmks:SpecialCircumstanceText">
													<tmks:SpecialCircumstanceText>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:SpecialCircumstanceText>
												</xsl:for-each>
												<xsl:for-each select="tmks:TradeDistinctivenessIndicator">
													<tmks:TradeDistinctivenessIndicator>
														<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
													</tmks:TradeDistinctivenessIndicator>
												</xsl:for-each>
												<xsl:for-each select="tmks:TradeDistinctivenessText">
													<tmks:TradeDistinctivenessText>
														<xsl:for-each select="@languageCode">
															<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
														</xsl:for-each>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:TradeDistinctivenessText>
												</xsl:for-each>
												<xsl:for-each select="tmks:UseRight">
													<tmks:UseRight>
														<xsl:for-each select="tmks:UseRightIndicator">
															<tmks:UseRightIndicator>
																<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
															</tmks:UseRightIndicator>
														</xsl:for-each>
														<xsl:for-each select="tmks:UseRightText">
															<tmks:UseRightText>
																<xsl:for-each select="@languageCode">
																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:sequence select="fn:string(.)"/>
															</tmks:UseRightText>
														</xsl:for-each>
														<xsl:for-each select="tmks:UseRightGoodsServices">
															<tmks:UseRightGoodsServices>
																<xsl:for-each select="$var253_TradeMarkApplication/tmks:TradeMarkDetails/tmks:TradeMark/tmks:UseRight/tmks:UseRightGoodsServices">
																	<tmks:GoodsServicesClassificationBag>
																		<xsl:sequence select="()"/>
																	</tmks:GoodsServicesClassificationBag>
																</xsl:for-each>
																<xsl:for-each select="tmks:ClassificationKindCode">
																	<tmks:ClassificationKindCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:ClassificationKindCode>
																</xsl:for-each>
																<xsl:for-each select="tmks:ClassificationVersion">
																	<com:ClassificationVersion>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:ClassificationVersion>
																</xsl:for-each>
																<com:CommentTextBag>
																	<xsl:for-each select="tmks:Comment">
																		<com:CommentText>
																			<xsl:for-each select="@languageCode">
																				<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																			</xsl:for-each>
																			<xsl:sequence select="fn:string(.)"/>
																		</com:CommentText>
																	</xsl:for-each>
																</com:CommentTextBag>
																<xsl:for-each select="tmks:ProposedLeadingClassNumber">
																	<tmks:ProposedLeadingClassNumber>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:ProposedLeadingClassNumber>
																</xsl:for-each>
																<tmks:ClassDescriptionBag>
																	<xsl:for-each select="tmks:ClassDescriptionDetails/tmks:ClassDescription">
																		<tmks:ClassDescription>
																			<xsl:for-each select="tmks:ClassNumber">
																				<tmks:ClassNumber>
																					<xsl:sequence select="fn:string(.)"/>
																				</tmks:ClassNumber>
																			</xsl:for-each>
																			<xsl:for-each select="tmks:ClassNumberStatusCode">
																				<xsl:variable name="var25_resultof_vmf___inputtoresult" as="xs:string?">
																					<xsl:call-template name="vmf:vmf18_inputtoresult">
																						<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																					</xsl:call-template>
																				</xsl:variable>
																				<xsl:for-each select="$var25_resultof_vmf___inputtoresult">
																					<tmks:ClassNumberStatusCategory>
																						<xsl:sequence select="."/>
																					</tmks:ClassNumberStatusCategory>
																				</xsl:for-each>
																			</xsl:for-each>
																			<xsl:for-each select="tmks:GoodsServicesDescription">
																				<tmks:GoodsServicesDescriptionText>
																					<xsl:for-each select="@languageCode">
																						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																					</xsl:for-each>
																					<xsl:for-each select="@sequenceNumber">
																						<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																					</xsl:for-each>
																					<xsl:sequence select="fn:string(.)"/>
																				</tmks:GoodsServicesDescriptionText>
																			</xsl:for-each>
																			<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																				<tmks:UseNiceHeadingIndicator>
																					<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																				</tmks:UseNiceHeadingIndicator>
																			</xsl:for-each>
																			<xsl:for-each select="tmks:ClassificationTermDetails">
																				<tmks:ClassificationTermBag>
																					<xsl:for-each select="tmks:ClassificationTerm">
																						<tmks:ClassificationTerm>
																							<xsl:for-each select="@operationCode">
																								<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermIdentifier">
																								<tmks:ClassificationTermIdentifier>
																									<xsl:for-each select="@identifierKindCode">
																										<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																									</xsl:for-each>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermIdentifier>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermOffice">
																								<tmks:ClassificationTermOfficeCode>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermOfficeCode>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																								<tmks:ClassificationTermOfficeIdentification>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermOfficeIdentification>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermSource">
																								<xsl:variable name="var26_resultof_vmf___inputtoresult" as="xs:string?">
																									<xsl:call-template name="vmf:vmf19_inputtoresult">
																										<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																									</xsl:call-template>
																								</xsl:variable>
																								<xsl:for-each select="$var26_resultof_vmf___inputtoresult">
																									<tmks:ClassificationTermSourceCategory>
																										<xsl:sequence select="."/>
																									</tmks:ClassificationTermSourceCategory>
																								</xsl:for-each>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermEntryDate">
																								<tmks:ClassificationTermEntryDate>
																									<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																								</tmks:ClassificationTermEntryDate>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassNumber">
																								<tmks:ClassNumber>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassNumber>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermText">
																								<tmks:ClassificationTermText>
																									<xsl:for-each select="@languageCode">
																										<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																									</xsl:for-each>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermText>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																								<tmks:ClassificationTermEquivalentGroup>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermEquivalentGroup>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																								<tmks:ClassificationTermReferenceGroup>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermReferenceGroup>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																								<tmks:ClassificationTermTranslationGroup>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermTranslationGroup>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermStatus">
																								<xsl:variable name="var28_cur" as="node()" select="."/>
																								<xsl:variable name="var27_resultof_vmf___inputtoresult" as="xs:string?">
																									<xsl:call-template name="vmf:vmf20_inputtoresult">
																										<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																									</xsl:call-template>
																								</xsl:variable>
																								<xsl:for-each select="$var27_resultof_vmf___inputtoresult">
																									<tmks:ClassificationTermStatus>
																										<xsl:for-each select="$var28_cur/@officeCode">
																											<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																										</xsl:for-each>
																										<xsl:sequence select="."/>
																									</tmks:ClassificationTermStatus>
																								</xsl:for-each>
																							</xsl:for-each>
																							<xsl:for-each select="$var151_cur/tmks:AsItIsProtectionIndicator">
																								<tmks:WIPOBasicNumber>
																									<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																								</tmks:WIPOBasicNumber>
																							</xsl:for-each>
																						</tmks:ClassificationTerm>
																					</xsl:for-each>
																				</tmks:ClassificationTermBag>
																			</xsl:for-each>
																		</tmks:ClassDescription>
																	</xsl:for-each>
																</tmks:ClassDescriptionBag>
															</tmks:UseRightGoodsServices>
														</xsl:for-each>
													</tmks:UseRight>
												</xsl:for-each>
												<xsl:for-each select="tmks:UseRequirementText">
													<tmks:UseRequirementText>
														<xsl:for-each select="@languageCode">
															<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
														</xsl:for-each>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:UseRequirementText>
												</xsl:for-each>
												<xsl:for-each select="tmks:UseLimitationText">
													<tmks:UseLimitationText>
														<xsl:for-each select="@languageCode">
															<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
														</xsl:for-each>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:UseLimitationText>
												</xsl:for-each>
												<xsl:for-each select="tmks:Comment">
													<com:CommentText>
														<xsl:sequence select="fn:string(.)"/>
													</com:CommentText>
												</xsl:for-each>
												<xsl:for-each select="tmks:OppositionPeriodStartDate">
													<tmks:OppositionPeriodStartDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</tmks:OppositionPeriodStartDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:OppositionPeriodEndDate">
													<tmks:OppositionPeriodEndDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</tmks:OppositionPeriodEndDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:GoodsServicesDetails">
													<tmks:GoodsServicesBag>
														<xsl:for-each select="tmks:GoodsServices">
															<tmks:GoodsServices>
																<xsl:for-each select="tmks:ClassificationKindCode">
																	<tmks:ClassificationKindCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:ClassificationKindCode>
																</xsl:for-each>
																<xsl:for-each select="tmks:ClassificationVersion">
																	<com:ClassificationVersion>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:ClassificationVersion>
																</xsl:for-each>
																<com:CommentTextBag>
																	<xsl:for-each select="tmks:Comment">
																		<com:CommentText>
																			<xsl:for-each select="@languageCode">
																				<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																			</xsl:for-each>
																			<xsl:sequence select="fn:string(.)"/>
																		</com:CommentText>
																	</xsl:for-each>
																</com:CommentTextBag>
																<xsl:for-each select="tmks:ProposedLeadingClassNumber">
																	<tmks:ProposedLeadingClassNumber>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:ProposedLeadingClassNumber>
																</xsl:for-each>
																<tmks:ClassDescriptionBag>
																	<xsl:for-each select="tmks:ClassDescriptionDetails/tmks:ClassDescription">
																		<tmks:ClassDescription>
																			<xsl:for-each select="tmks:ClassNumber">
																				<tmks:ClassNumber>
																					<xsl:sequence select="fn:string(.)"/>
																				</tmks:ClassNumber>
																			</xsl:for-each>
																			<xsl:for-each select="tmks:ClassNumberStatusCode">
																				<tmks:ClassNumberStatusCategory>
																					<xsl:sequence select="fn:string(.)"/>
																				</tmks:ClassNumberStatusCategory>
																			</xsl:for-each>
																			<xsl:for-each select="tmks:GoodsServicesDescription">
																				<tmks:GoodsServicesDescriptionText>
																					<xsl:for-each select="@languageCode">
																						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																					</xsl:for-each>
																					<xsl:for-each select="@sequenceNumber">
																						<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																					</xsl:for-each>
																					<xsl:sequence select="fn:string(.)"/>
																				</tmks:GoodsServicesDescriptionText>
																			</xsl:for-each>
																			<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																				<tmks:UseNiceHeadingIndicator>
																					<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																				</tmks:UseNiceHeadingIndicator>
																			</xsl:for-each>
																			<xsl:for-each select="tmks:ClassificationTermDetails">
																				<tmks:ClassificationTermBag>
																					<xsl:for-each select="tmks:ClassificationTerm">
																						<tmks:ClassificationTerm>
																							<xsl:for-each select="@operationCode">
																								<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermIdentifier">
																								<tmks:ClassificationTermIdentifier>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermIdentifier>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermOffice">
																								<tmks:ClassificationTermOfficeCode>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermOfficeCode>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																								<tmks:ClassificationTermOfficeIdentification>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermOfficeIdentification>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermSource">
																								<tmks:ClassificationTermSourceCategory>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermSourceCategory>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermEntryDate">
																								<tmks:ClassificationTermEntryDate>
																									<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																								</tmks:ClassificationTermEntryDate>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassNumber">
																								<tmks:ClassNumber>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassNumber>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermText">
																								<tmks:ClassificationTermText>
																									<xsl:for-each select="@languageCode">
																										<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																									</xsl:for-each>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermText>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																								<tmks:ClassificationTermEquivalentGroup>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermEquivalentGroup>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																								<tmks:ClassificationTermReferenceGroup>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermReferenceGroup>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																								<tmks:ClassificationTermTranslationGroup>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermTranslationGroup>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:ClassificationTermStatus">
																								<tmks:ClassificationTermStatus>
																									<xsl:for-each select="@officeCode">
																										<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																									</xsl:for-each>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:ClassificationTermStatus>
																							</xsl:for-each>
																							<xsl:for-each select="tmks:WIPOBasicNumber">
																								<tmks:WIPOBasicNumber>
																									<xsl:sequence select="fn:string(.)"/>
																								</tmks:WIPOBasicNumber>
																							</xsl:for-each>
																						</tmks:ClassificationTerm>
																					</xsl:for-each>
																				</tmks:ClassificationTermBag>
																			</xsl:for-each>
																		</tmks:ClassDescription>
																	</xsl:for-each>
																</tmks:ClassDescriptionBag>
															</tmks:GoodsServices>
														</xsl:for-each>
													</tmks:GoodsServicesBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:PriorityDetails">
													<tmks:PriorityBag>
														<xsl:for-each select="tmks:Priority">
															<tmks:Priority>
																<com:PriorityCountryCode>
																	<xsl:sequence select="fn:string(tmks:PriorityCountryCode)"/>
																</com:PriorityCountryCode>
																<xsl:for-each select="tmks:PriorityNumber">
																	<com:ApplicationNumber>
																		<com:ApplicationNumberText>
																			<xsl:sequence select="fn:string(.)"/>
																		</com:ApplicationNumberText>
																	</com:ApplicationNumber>
																</xsl:for-each>
																<xsl:for-each select="tmks:PriorityDate">
																	<com:PriorityApplicationFilingDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</com:PriorityApplicationFilingDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:PriorityHolderName">
																	<com:PriorityHolderName>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:PriorityHolderName>
																</xsl:for-each>
																<xsl:for-each select="tmks:PriorityStatusCode">
																	<xsl:variable name="var29_resultof_vmf___inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf21_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var29_resultof_vmf___inputtoresult">
																		<com:PriorityStatusCategory>
																			<xsl:sequence select="."/>
																		</com:PriorityStatusCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:PriorityStatusDate">
																	<com:PriorityStatusDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</com:PriorityStatusDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:Comment">
																	<com:CommentText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:CommentText>
																</xsl:for-each>
																<xsl:for-each select="tmks:PriorityDocument">
																	<com:PriorityDocument>
																		<xsl:for-each select="tmks:DocumentLanguageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentName">
																			<com:DocumentName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFileFormat">
																			<xsl:variable name="var30_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf22_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var30_resultof_vmf___inputtoresult">
																				<com:DocumentFormatCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentDate">
																			<com:DocumentDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:DocumentDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentMedia">
																			<xsl:variable name="var31_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf23_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var31_resultof_vmf___inputtoresult">
																				<com:DocumentMediaCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentMediaCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentLocation">
																			<com:DocumentLocationURI>
																				<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																			</com:DocumentLocationURI>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentVersion">
																			<com:DocumentVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentSizeInByte">
																			<com:DocumentSizeQuantity>
																				<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																			</com:DocumentSizeQuantity>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																	</com:PriorityDocument>
																</xsl:for-each>
																<xsl:for-each select="tmks:PriorityPartialIndicator">
																	<tmks:PriorityPartialIndicator>
																		<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																	</tmks:PriorityPartialIndicator>
																</xsl:for-each>
																<xsl:for-each select="tmks:PriorityPartialGoodsServices">
																	<tmks:PriorityPartialGoodsServices>
																		<xsl:for-each select="tmks:ClassificationKindCode">
																			<tmks:ClassificationKindCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:ClassificationKindCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationVersion">
																			<com:ClassificationVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:ClassificationVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ProposedLeadingClassNumber">
																			<tmks:ProposedLeadingClassNumber>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:ProposedLeadingClassNumber>
																		</xsl:for-each>
																	</tmks:PriorityPartialGoodsServices>
																</xsl:for-each>
															</tmks:Priority>
														</xsl:for-each>
													</tmks:PriorityBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:ExhibitionPriorityDetails">
													<com:ExhibitionPriorityBag>
														<xsl:for-each select="tmks:ExhibitionPriority">
															<com:ExhibitionPriority>
																<xsl:for-each select="tmks:ExhibitionCountryCode">
																	<com:ExhibitionCountryCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:ExhibitionCountryCode>
																</xsl:for-each>
																<xsl:for-each select="tmks:ExhibitionCityName">
																	<com:ExhibitionCityName>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:ExhibitionCityName>
																</xsl:for-each>
																<xsl:for-each select="tmks:ExhibitionName">
																	<com:ExhibitionName>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:ExhibitionName>
																</xsl:for-each>
																<com:ExhibitionDate>
																	<xsl:sequence select="xs:string(xs:date(fn:string(tmks:ExhibitionDate)))"/>
																</com:ExhibitionDate>
																<xsl:for-each select="tmks:ExhibitionFirstDisplayDate">
																	<com:ExhibitionFirstDisplayDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</com:ExhibitionFirstDisplayDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:ExhibitionStatusCode">
																	<xsl:variable name="var32_resultof_vmf___inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf24_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var32_resultof_vmf___inputtoresult">
																		<com:ExhibitionStatusCategory>
																			<xsl:sequence select="."/>
																		</com:ExhibitionStatusCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:ExhibitionStatusDate">
																	<com:ExhibitionStatusDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</com:ExhibitionStatusDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:Comment">
																	<com:CommentText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:CommentText>
																</xsl:for-each>
																<xsl:for-each select="tmks:ExhibitionDocument">
																	<com:ExhibitionDocument>
																		<xsl:for-each select="tmks:DocumentLanguageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentName">
																			<com:DocumentName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFileFormat">
																			<xsl:variable name="var33_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf22_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var33_resultof_vmf___inputtoresult">
																				<com:DocumentFormatCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentDate">
																			<com:DocumentDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:DocumentDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentMedia">
																			<xsl:variable name="var34_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf23_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var34_resultof_vmf___inputtoresult">
																				<com:DocumentMediaCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentMediaCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentLocation">
																			<com:DocumentLocationURI>
																				<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																			</com:DocumentLocationURI>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentVersion">
																			<com:DocumentVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentSizeInByte">
																			<com:DocumentSizeQuantity>
																				<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																			</com:DocumentSizeQuantity>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																	</com:ExhibitionDocument>
																</xsl:for-each>
															</com:ExhibitionPriority>
														</xsl:for-each>
													</com:ExhibitionPriorityBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:SeniorityDetails">
													<tmks:SeniorityBag>
														<xsl:for-each select="tmks:Seniority">
															<tmks:Seniority>
																<tmks:SeniorityCountryCode>
																	<xsl:sequence select="fn:string(tmks:SeniorityCountryCode)"/>
																</tmks:SeniorityCountryCode>
																<tmks:SeniorityApplicationNumber>
																	<xsl:for-each select="tmks:SeniorityApplicationNumber">
																		<com:ApplicationNumberText>
																			<xsl:sequence select="fn:string(.)"/>
																		</com:ApplicationNumberText>
																	</xsl:for-each>
																</tmks:SeniorityApplicationNumber>
																<xsl:for-each select="tmks:SeniorityApplicationDate">
																	<tmks:SeniorityApplicationDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:SeniorityApplicationDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:SeniorityFilingDate">
																	<tmks:SeniorityFilingDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:SeniorityFilingDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:SeniorityRegistrationNumber">
																	<tmks:SeniorityRegistrationNumber>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:SeniorityRegistrationNumber>
																</xsl:for-each>
																<xsl:for-each select="tmks:SeniorityRegistrationDate">
																	<tmks:SeniorityRegistrationDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:SeniorityRegistrationDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:SeniorityPublicationDate">
																	<tmks:SeniorityPublicationDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:SeniorityPublicationDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:InternationalTradeMarkCode">
																	<xsl:variable name="var35_resultof_vmf___inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf25_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var35_resultof_vmf___inputtoresult">
																		<tmks:InternationalTrademarkCategory>
																			<xsl:sequence select="."/>
																		</tmks:InternationalTrademarkCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:SeniorityPartialIndicator">
																	<tmks:SeniorityPartialIndicator>
																		<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																	</tmks:SeniorityPartialIndicator>
																</xsl:for-each>
																<xsl:for-each select="tmks:SeniorityPartialGoodsServices">
																	<tmks:SeniorityPartialGoodsServices>
																		<xsl:for-each select="tmks:ClassificationKindCode">
																			<tmks:ClassificationKindCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:ClassificationKindCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClassificationVersion">
																			<com:ClassificationVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:ClassificationVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ProposedLeadingClassNumber">
																			<tmks:ProposedLeadingClassNumber>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:ProposedLeadingClassNumber>
																		</xsl:for-each>
																	</tmks:SeniorityPartialGoodsServices>
																</xsl:for-each>
																<xsl:for-each select="tmks:SeniorityStatusCode">
																	<xsl:variable name="var36_resultof_vmf___inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf26_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var36_resultof_vmf___inputtoresult">
																		<tmks:SeniorityStatusCategory>
																			<xsl:sequence select="."/>
																		</tmks:SeniorityStatusCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:SeniorityStatusDate">
																	<tmks:SeniorityStatusDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:SeniorityStatusDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:Comment">
																	<com:CommentText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:CommentText>
																</xsl:for-each>
																<xsl:for-each select="tmks:SeniorityDocument">
																	<tmks:SeniorityDocument>
																		<xsl:for-each select="tmks:DocumentLanguageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentName">
																			<com:DocumentName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFileFormat">
																			<xsl:variable name="var37_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf22_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var37_resultof_vmf___inputtoresult">
																				<com:DocumentFormatCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentDate">
																			<com:DocumentDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:DocumentDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentMedia">
																			<xsl:variable name="var38_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf23_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var38_resultof_vmf___inputtoresult">
																				<com:DocumentMediaCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentMediaCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentLocation">
																			<com:DocumentLocationURI>
																				<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																			</com:DocumentLocationURI>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentVersion">
																			<com:DocumentVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentSizeInByte">
																			<com:DocumentSizeQuantity>
																				<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																			</com:DocumentSizeQuantity>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																	</tmks:SeniorityDocument>
																</xsl:for-each>
															</tmks:Seniority>
														</xsl:for-each>
													</tmks:SeniorityBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:PublicationDetails">
													<tmks:PublicationBag>
														<xsl:for-each select="tmks:Publication">
															<tmks:Publication>
																<com:PublicationIdentifier>
																	<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																</com:PublicationIdentifier>
																<xsl:for-each select="tmks:PublicationSection">
																	<xsl:variable name="var39_resultof_vmf___inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf27_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var39_resultof_vmf___inputtoresult">
																		<tmks:PublicationSectionCategory>
																			<xsl:sequence select="."/>
																		</tmks:PublicationSectionCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:PublicationSubsection">
																	<com:PublicationSubsection>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:PublicationSubsection>
																</xsl:for-each>
																<xsl:for-each select="tmks:PublicationDate">
																	<com:PublicationDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</com:PublicationDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:PublicationPage">
																	<com:PublicationPage>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:PublicationPage>
																</xsl:for-each>
															</tmks:Publication>
														</xsl:for-each>
													</tmks:PublicationBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:ApplicantDetails">
													<tmks:ApplicantBag>
														<xsl:for-each select="tmks:ApplicantKey">
															<com:PartyIdentifierBag>
																<xsl:for-each select="tmks:Identifier">
																	<com:PartyIdentifier>
																		<xsl:for-each select="@identifierKindCode">
																			<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:PartyIdentifier>
																</xsl:for-each>
															</com:PartyIdentifierBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:Applicant">
															<tmks:Applicant>
																<xsl:for-each select="@operationCode">
																	<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantSequenceNumber">
																	<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantLegalEntity">
																	<com:LegalEntityName>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:LegalEntityName>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantIdentifier">
																	<com:PartyIdentifier>
																		<xsl:for-each select="@identifierKindCode">
																			<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:PartyIdentifier>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantAddressBook">
																	<xsl:variable name="var40_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																			<xsl:with-param name="AddressBook" as="node()">
																				<tmks:AddressBookType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:AddressBookType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var40_resultof_MappingST__AddressBookToST__Contact">
																		<com:Contact>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</com:Contact>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantNationalityCode">
																	<com:NationalityCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:NationalityCode>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantIncorporationCountryCode">
																	<com:IncorporationCountryCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:IncorporationCountryCode>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantIncorporationState">
																	<com:IncorporationState>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:IncorporationState>
																</xsl:for-each>
																<xsl:for-each select="tmks:Comment">
																	<com:CommentText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:CommentText>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantEntitlement">
																	<tmks:Entitlement>
																		<xsl:for-each select="tmks:EntitlementNationalityCode">
																			<com:EntitlementNationalityCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:EntitlementNationalityCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:EntitlementEstablishment">
																			<com:EntitlementEstablishment>
																				<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																					<com:EntitlementEstablishmentCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:EntitlementEstablishmentCode>
																				</xsl:for-each>
																			</com:EntitlementEstablishment>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:EntitlementDomiciled">
																			<com:EntitlementDomiciled>
																				<xsl:for-each select="tmks:EntitlementDomiciledCode">
																					<com:EntitlementDomiciledCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:EntitlementDomiciledCode>
																				</xsl:for-each>
																			</com:EntitlementDomiciled>
																		</xsl:for-each>
																	</tmks:Entitlement>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantVersion">
																	<com:Version>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:VersionNumber">
																			<com:VersionNumber>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:VersionNumber>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:VersionDate">
																			<com:VersionDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:VersionDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:VersionDateTime">
																			<com:VersionDateTime>
																				<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																			</com:VersionDateTime>
																		</xsl:for-each>
																	</com:Version>
																</xsl:for-each>
															</tmks:Applicant>
														</xsl:for-each>
													</tmks:ApplicantBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:RepresentativeDetails">
													<com:RepresentativeBag>
														<xsl:for-each select="tmks:Representative">
															<xsl:variable name="var41_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																	<xsl:with-param name="Representative" as="node()">
																		<tmks:RepresentativeType>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</tmks:RepresentativeType>
																	</xsl:with-param>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var41_resultof_MappingST__RepresentativeToST__Representative">
																<com:Representative>
																	<xsl:sequence select="(./@node(), ./node())"/>
																</com:Representative>
															</xsl:for-each>
														</xsl:for-each>
													</com:RepresentativeBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:StaffDetails">
													<com:StaffBag>
														<xsl:for-each select="tmks:Staff">
															<com:Staff>
																<xsl:for-each select="tmks:OfficialTitle">
																	<com:OfficialTitleText>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:OfficialTitleText>
																</xsl:for-each>
																<xsl:for-each select="tmks:StaffIdentifier">
																	<com:PartyIdentifier>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:PartyIdentifier>
																</xsl:for-each>
																<xsl:for-each select="tmks:StaffName">
																	<com:StaffName>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:StaffName>
																</xsl:for-each>
															</com:Staff>
														</xsl:for-each>
													</com:StaffBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:Authorization">
													<com:Authorization>
														<xsl:for-each select="tmks:AuthorizationIdentifier">
															<com:AuthorizationIdentifier>
																<xsl:sequence select="fn:string(.)"/>
															</com:AuthorizationIdentifier>
														</xsl:for-each>
														<xsl:for-each select="tmks:AuthorizationDate">
															<com:AuthorizationDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:AuthorizationDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:AuthorizationKind">
															<xsl:variable name="var42_resultof_vmf___inputtoresult" as="xs:string?">
																<xsl:call-template name="vmf:vmf28_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var42_resultof_vmf___inputtoresult">
																<com:AuthorizationCategory>
																	<xsl:sequence select="."/>
																</com:AuthorizationCategory>
															</xsl:for-each>
														</xsl:for-each>
														<xsl:for-each select="tmks:Comment">
															<com:CommentText>
																<xsl:for-each select="@languageCode">
																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:sequence select="fn:string(.)"/>
															</com:CommentText>
														</xsl:for-each>
														<xsl:for-each select="tmks:AuthorizationDocumentSupply">
															<xsl:variable name="var43_resultof_vmf___inputtoresult" as="xs:string?">
																<xsl:call-template name="vmf:vmf29_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var43_resultof_vmf___inputtoresult">
																<com:AuthorizationDocumentSupplyCategory>
																	<xsl:sequence select="."/>
																</com:AuthorizationDocumentSupplyCategory>
															</xsl:for-each>
														</xsl:for-each>
														<xsl:for-each select="tmks:AuthorizationDocument">
															<com:AuthorizationDocument>
																<xsl:for-each select="tmks:DocumentLanguageCode">
																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentName">
																	<com:DocumentName>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:DocumentName>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentFilename">
																	<com:FileName>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:FileName>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentFileFormat">
																	<xsl:variable name="var44_resultof_vmf___inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf22_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var44_resultof_vmf___inputtoresult">
																		<com:DocumentFormatCategory>
																			<xsl:sequence select="."/>
																		</com:DocumentFormatCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentDate">
																	<com:DocumentDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</com:DocumentDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentMedia">
																	<xsl:variable name="var45_resultof_vmf___inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf23_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var45_resultof_vmf___inputtoresult">
																		<com:DocumentMediaCategory>
																			<xsl:sequence select="."/>
																		</com:DocumentMediaCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentLocation">
																	<com:DocumentLocationURI>
																		<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																	</com:DocumentLocationURI>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentVersion">
																	<com:DocumentVersion>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:DocumentVersion>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentSizeInByte">
																	<com:DocumentSizeQuantity>
																		<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																	</com:DocumentSizeQuantity>
																</xsl:for-each>
																<xsl:for-each select="tmks:Comment">
																	<com:CommentText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:CommentText>
																</xsl:for-each>
															</com:AuthorizationDocument>
														</xsl:for-each>
													</com:Authorization>
												</xsl:for-each>
												<xsl:for-each select="tmks:OppositionDetails">
													<tmks:OppositionBag>
														<xsl:for-each select="tmks:Opposition">
															<xsl:variable name="var46_resultof_MappingST__OppositionToST__Opposition" as="node()?">
																<xsl:call-template name="WIPO:MappingST66OppositionToST96Opposition">
																	<xsl:with-param name="Opposition" as="node()">
																		<tmks:OppositionType>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</tmks:OppositionType>
																	</xsl:with-param>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var46_resultof_MappingST__OppositionToST__Opposition">
																<tmks:Opposition>
																	<xsl:sequence select="(./@node(), ./node())"/>
																</tmks:Opposition>
															</xsl:for-each>
														</xsl:for-each>
													</tmks:OppositionBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:MarkRecordDetails">
													<tmks:MarkRecordBag>
														<xsl:for-each select="tmks:MarkRecord">
															<tmks:MarkRecord>
																<xsl:for-each select="tmks:BasicRecord">
																	<tmks:BasicRecord>
																		<xsl:for-each select="tmks:RecordIdentifier">
																			<com:RecordIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordFilingDate">
																			<com:RecordFilingDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordFilingDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordNotificationDate">
																			<com:RecordNotificationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordNotificationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEffectiveDate">
																			<com:RecordEffectiveDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEffectiveDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:BasicRecordKind">
																			<xsl:variable name="var47_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf30_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var47_resultof_vmf___inputtoresult">
																				<tmks:BasicRecordCategory>
																					<xsl:sequence select="."/>
																				</tmks:BasicRecordCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordReference">
																			<com:RecordReference>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordReference>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordLanguageCode">
																			<com:RecordLanguageCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordLanguageCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:TradeMarkKeyDetails">
																			<tmks:TrademarkIdentification>
																				<xsl:for-each select="tmks:TradeMarkKey">
																					<tmks:TrademarkIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<tmks:TrademarkIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:TrademarkIdentifier>
																						</xsl:for-each>
																					</tmks:TrademarkIdentifierBag>
																				</xsl:for-each>
																			</tmks:TrademarkIdentification>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordPublicationDetails">
																			<tmks:RecordPublicationBag>
																				<xsl:for-each select="tmks:RecordPublication">
																					<tmks:RecordPublication>
																						<com:PublicationIdentifier>
																							<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																						</com:PublicationIdentifier>
																						<xsl:for-each select="tmks:PublicationSection">
																							<xsl:variable name="var48_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf27_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var48_resultof_vmf___inputtoresult">
																								<tmks:PublicationSectionCategory>
																									<xsl:sequence select="."/>
																								</tmks:PublicationSectionCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationSubsection">
																							<com:PublicationSubsection>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationSubsection>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationDate">
																							<com:PublicationDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:PublicationDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationPage">
																							<com:PublicationPage>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationPage>
																						</xsl:for-each>
																					</tmks:RecordPublication>
																				</xsl:for-each>
																			</tmks:RecordPublicationBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantDetails">
																			<tmks:ClaimantBag>
																				<xsl:for-each select="tmks:ClaimantKey">
																					<com:PartyIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																					</com:PartyIdentifierBag>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:Claimant">
																					<tmks:Claimant>
																						<xsl:for-each select="@operationCode">
																							<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantSequenceNumber">
																							<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantLegalEntity">
																							<com:LegalEntityName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LegalEntityName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIdentifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantAddressBook">
																							<xsl:variable name="var49_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var49_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantNationalityCode">
																							<com:NationalityCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:NationalityCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																							<com:IncorporationCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationCountryCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationState">
																							<com:IncorporationState>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationState>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantEntitlement">
																							<tmks:Entitlement>
																								<xsl:for-each select="tmks:EntitlementNationalityCode">
																									<com:EntitlementNationalityCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:EntitlementNationalityCode>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementEstablishment">
																									<com:EntitlementEstablishment>
																										<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																											<com:EntitlementEstablishmentCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementEstablishmentCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																											<xsl:variable name="var50_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																													<xsl:with-param name="AddressBook" as="node()">
																														<tmks:AddressBookType>
																															<xsl:sequence select="(./@node(), ./node())"/>
																														</tmks:AddressBookType>
																													</xsl:with-param>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var50_resultof_MappingST__AddressBookToST__Contact">
																												<com:Contact>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</com:Contact>
																											</xsl:for-each>
																										</xsl:for-each>
																									</com:EntitlementEstablishment>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementDomiciled">
																									<com:EntitlementDomiciled>
																										<xsl:for-each select="tmks:EntitlementDomiciledCode">
																											<com:EntitlementDomiciledCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementDomiciledCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																											<com:Contact>
																												<xsl:sequence select="()"/>
																											</com:Contact>
																										</xsl:for-each>
																									</com:EntitlementDomiciled>
																								</xsl:for-each>
																							</tmks:Entitlement>
																						</xsl:for-each>
																					</tmks:Claimant>
																				</xsl:for-each>
																			</tmks:ClaimantBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RepresentativeDetails">
																			<com:RepresentativeBag>
																				<xsl:for-each select="tmks:Representative">
																					<xsl:variable name="var51_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																							<xsl:with-param name="Representative" as="node()">
																								<tmks:RepresentativeType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:RepresentativeType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var51_resultof_MappingST__RepresentativeToST__Representative">
																						<com:Representative>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</com:Representative>
																					</xsl:for-each>
																				</xsl:for-each>
																			</com:RepresentativeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDetails">
																			<com:RecordEventBag>
																				<xsl:for-each select="tmks:RecordEvent">
																					<com:RecordEvent>
																						<com:RecordEventCategory>
																							<xsl:sequence select="fn:string(tmks:RecordEventCode)"/>
																						</com:RecordEventCategory>
																						<xsl:for-each select="tmks:RecordEventResponseDate">
																							<com:RecordEventResponseDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventResponseDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDate">
																							<com:RecordEventDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDateTime">
																							<com:RecordEventDateTime>
																								<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																							</com:RecordEventDateTime>
																						</xsl:for-each>
																					</com:RecordEvent>
																				</xsl:for-each>
																			</com:RecordEventBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordDocumentDetails">
																			<com:RecordDocumentBag>
																				<xsl:for-each select="tmks:RecordDocument">
																					<com:RecordDocument>
																						<xsl:for-each select="tmks:DocumentLanguageCode">
																							<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentName">
																							<com:DocumentName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFilename">
																							<com:FileName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:FileName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFileFormat">
																							<xsl:variable name="var52_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf22_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var52_resultof_vmf___inputtoresult">
																								<com:DocumentFormatCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentFormatCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentDate">
																							<com:DocumentDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:DocumentDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentMedia">
																							<xsl:variable name="var53_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf23_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var53_resultof_vmf___inputtoresult">
																								<com:DocumentMediaCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentMediaCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentLocation">
																							<com:DocumentLocationURI>
																								<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																							</com:DocumentLocationURI>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentVersion">
																							<com:DocumentVersion>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentVersion>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentSizeInByte">
																							<com:DocumentSizeQuantity>
																								<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																							</com:DocumentSizeQuantity>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																					</com:RecordDocument>
																				</xsl:for-each>
																			</com:RecordDocumentBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordCurrentStatusCode">
																			<xsl:variable name="var54_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf31_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var54_resultof_vmf___inputtoresult">
																				<com:RecordCurrentStatusCategory>
																					<xsl:sequence select="."/>
																				</com:RecordCurrentStatusCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordCurrentStatusDate">
																			<com:RecordCurrentStatusDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordCurrentStatusDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:FactDecisionText">
																			<tmks:ReasonDocument>
																				<com:FactDecisionText>
																					<xsl:for-each select="@languageCode">
																						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																					</xsl:for-each>
																					<xsl:sequence select="fn:string(.)"/>
																				</com:FactDecisionText>
																			</tmks:ReasonDocument>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordInterestedOfficeCode">
																			<com:RecordInterestedOfficeCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordInterestedOfficeCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordDesignatedCountryDetails">
																			<com:RecordDesignatedCountryCodeBag>
																				<xsl:for-each select="tmks:RecordDesignatedCountryCode">
																					<com:RecordDesignatedCountryCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:RecordDesignatedCountryCode>
																				</xsl:for-each>
																			</com:RecordDesignatedCountryCodeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordUseIntentDetails">
																			<tmks:RecordUseIntentBag>
																				<xsl:for-each select="tmks:RecordUseIntentCountryCode">
																					<tmks:RecordUseIntentCountryCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</tmks:RecordUseIntentCountryCode>
																				</xsl:for-each>
																			</tmks:RecordUseIntentBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:GoodsServicesLimitationDetails">
																			<tmks:GoodsServicesLimitationBag>
																				<xsl:for-each select="tmks:GoodsServicesLimitation">
																					<tmks:GoodsServicesLimitation>
																						<xsl:for-each select="tmks:LimitationCountryDetails">
																							<com:LimitationCountryCodeBag>
																								<xsl:for-each select="tmks:LimitationCountryCode">
																									<com:LimitationCountryCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:LimitationCountryCode>
																								</xsl:for-each>
																							</com:LimitationCountryCodeBag>
																						</xsl:for-each>
																						<com:CommentTextBag>
																							<xsl:for-each select="tmks:Comment">
																								<com:CommentText>
																									<xsl:for-each select="@languageCode">
																										<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																									</xsl:for-each>
																									<xsl:sequence select="fn:string(.)"/>
																								</com:CommentText>
																							</xsl:for-each>
																						</com:CommentTextBag>
																						<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																							<xsl:variable name="var55_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf32_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var55_resultof_vmf___inputtoresult">
																								<tmks:GoodsServicesLimitationCategory>
																									<xsl:sequence select="."/>
																								</tmks:GoodsServicesLimitationCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																							<tmks:LimitationClassDescriptionBag>
																								<xsl:for-each select="tmks:ClassDescription">
																									<tmks:ClassDescription>
																										<xsl:for-each select="tmks:ClassNumber">
																											<tmks:ClassNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassNumber>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassNumberStatusCode">
																											<xsl:variable name="var56_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf18_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var56_resultof_vmf___inputtoresult">
																												<tmks:ClassNumberStatusCategory>
																													<xsl:sequence select="."/>
																												</tmks:ClassNumberStatusCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:GoodsServicesDescription">
																											<tmks:GoodsServicesDescriptionText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:for-each select="@sequenceNumber">
																													<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:GoodsServicesDescriptionText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																											<tmks:UseNiceHeadingIndicator>
																												<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																											</tmks:UseNiceHeadingIndicator>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermDetails">
																											<tmks:ClassificationTermBag>
																												<xsl:for-each select="tmks:ClassificationTerm">
																													<tmks:ClassificationTerm>
																														<xsl:for-each select="@operationCode">
																															<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermIdentifier">
																															<tmks:ClassificationTermIdentifier>
																																<xsl:for-each select="@identifierKindCode">
																																	<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermIdentifier>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermOffice">
																															<tmks:ClassificationTermOfficeCode>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermOfficeCode>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																															<tmks:ClassificationTermOfficeIdentification>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermOfficeIdentification>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermSource">
																															<xsl:variable name="var57_resultof_vmf___inputtoresult" as="xs:string?">
																																<xsl:call-template name="vmf:vmf19_inputtoresult">
																																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var57_resultof_vmf___inputtoresult">
																																<tmks:ClassificationTermSourceCategory>
																																	<xsl:sequence select="."/>
																																</tmks:ClassificationTermSourceCategory>
																															</xsl:for-each>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermEntryDate">
																															<tmks:ClassificationTermEntryDate>
																																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																															</tmks:ClassificationTermEntryDate>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassNumber">
																															<tmks:ClassNumber>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassNumber>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermText">
																															<tmks:ClassificationTermText>
																																<xsl:for-each select="@languageCode">
																																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermText>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																															<tmks:ClassificationTermEquivalentGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermEquivalentGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																															<tmks:ClassificationTermReferenceGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermReferenceGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																															<tmks:ClassificationTermTranslationGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermTranslationGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermStatus">
																															<xsl:variable name="var59_cur" as="node()" select="."/>
																															<xsl:variable name="var58_resultof_vmf___inputtoresult" as="xs:string?">
																																<xsl:call-template name="vmf:vmf20_inputtoresult">
																																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var58_resultof_vmf___inputtoresult">
																																<tmks:ClassificationTermStatus>
																																	<xsl:for-each select="$var59_cur/@officeCode">
																																		<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																	</xsl:for-each>
																																	<xsl:sequence select="."/>
																																</tmks:ClassificationTermStatus>
																															</xsl:for-each>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:WIPOBasicNumber">
																															<tmks:WIPOBasicNumber>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:WIPOBasicNumber>
																														</xsl:for-each>
																													</tmks:ClassificationTerm>
																												</xsl:for-each>
																											</tmks:ClassificationTermBag>
																										</xsl:for-each>
																									</tmks:ClassDescription>
																								</xsl:for-each>
																							</tmks:LimitationClassDescriptionBag>
																						</xsl:for-each>
																					</tmks:GoodsServicesLimitation>
																				</xsl:for-each>
																			</tmks:GoodsServicesLimitationBag>
																		</xsl:for-each>
																	</tmks:BasicRecord>
																</xsl:for-each>
																<xsl:for-each select="tmks:RecordOppositionPeriod">
																	<tmks:RecordOppositionPeriod>
																		<xsl:for-each select="tmks:RecordIdentifier">
																			<com:RecordIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordFilingDate">
																			<com:RecordFilingDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordFilingDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordNotificationDate">
																			<com:RecordNotificationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordNotificationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEffectiveDate">
																			<com:RecordEffectiveDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEffectiveDate>
																		</xsl:for-each>
																		<xsl:variable name="var60_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf33_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordOppositionPeriodKind)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var60_resultof_vmf___inputtoresult">
																			<tmks:RecordOppositionPeriodCategory>
																				<xsl:sequence select="."/>
																			</tmks:RecordOppositionPeriodCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:TradeMarkKeyDetails">
																			<tmks:TrademarkIdentification>
																				<xsl:for-each select="tmks:TradeMarkKey">
																					<tmks:TrademarkIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<tmks:TrademarkIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:TrademarkIdentifier>
																						</xsl:for-each>
																					</tmks:TrademarkIdentifierBag>
																				</xsl:for-each>
																			</tmks:TrademarkIdentification>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordPublicationDetails">
																			<tmks:RecordPublicationBag>
																				<xsl:for-each select="tmks:RecordPublication">
																					<tmks:RecordPublication>
																						<com:PublicationIdentifier>
																							<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																						</com:PublicationIdentifier>
																						<xsl:for-each select="tmks:PublicationSection">
																							<xsl:variable name="var61_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf27_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var61_resultof_vmf___inputtoresult">
																								<tmks:PublicationSectionCategory>
																									<xsl:sequence select="."/>
																								</tmks:PublicationSectionCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationSubsection">
																							<com:PublicationSubsection>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationSubsection>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationDate">
																							<com:PublicationDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:PublicationDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationPage">
																							<com:PublicationPage>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationPage>
																						</xsl:for-each>
																					</tmks:RecordPublication>
																				</xsl:for-each>
																			</tmks:RecordPublicationBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordInterestedOfficeCode">
																			<com:RecordInterestedOfficeCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordInterestedOfficeCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordOppositionPeriodStartDate">
																			<tmks:RecordOppositionPeriodStartDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</tmks:RecordOppositionPeriodStartDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordOppositionPeriodEndDate">
																			<tmks:RecordOppositionPeriodEndDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</tmks:RecordOppositionPeriodEndDate>
																		</xsl:for-each>
																	</tmks:RecordOppositionPeriod>
																</xsl:for-each>
																<xsl:for-each select="tmks:RecordTransfer">
																	<tmks:RecordTransfer>
																		<xsl:for-each select="tmks:RecordIdentifier">
																			<com:RecordIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordFilingDate">
																			<com:RecordFilingDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordFilingDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordNotificationDate">
																			<com:RecordNotificationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordNotificationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEffectiveDate">
																			<com:RecordEffectiveDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEffectiveDate>
																		</xsl:for-each>
																		<xsl:variable name="var62_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf34_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordTransferKind)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var62_resultof_vmf___inputtoresult">
																			<com:RecordTransferCategory>
																				<xsl:sequence select="."/>
																			</com:RecordTransferCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordReference">
																			<com:RecordReference>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordReference>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordLanguageCode">
																			<com:RecordLanguageCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordLanguageCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:TradeMarkKeyDetails">
																			<tmks:TrademarkIdentification>
																				<xsl:for-each select="tmks:TradeMarkKey">
																					<tmks:TrademarkIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<tmks:TrademarkIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:TrademarkIdentifier>
																						</xsl:for-each>
																					</tmks:TrademarkIdentifierBag>
																				</xsl:for-each>
																			</tmks:TrademarkIdentification>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordPublicationDetails">
																			<tmks:RecordPublicationBag>
																				<xsl:for-each select="tmks:RecordPublication">
																					<tmks:RecordPublication>
																						<com:PublicationIdentifier>
																							<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																						</com:PublicationIdentifier>
																						<xsl:for-each select="tmks:PublicationSection">
																							<xsl:variable name="var63_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf27_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var63_resultof_vmf___inputtoresult">
																								<tmks:PublicationSectionCategory>
																									<xsl:sequence select="."/>
																								</tmks:PublicationSectionCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationSubsection">
																							<com:PublicationSubsection>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationSubsection>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationDate">
																							<com:PublicationDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:PublicationDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationPage">
																							<com:PublicationPage>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationPage>
																						</xsl:for-each>
																					</tmks:RecordPublication>
																				</xsl:for-each>
																			</tmks:RecordPublicationBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantDetails">
																			<tmks:ClaimantBag>
																				<xsl:for-each select="tmks:ClaimantKey">
																					<com:PartyIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																					</com:PartyIdentifierBag>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:Claimant">
																					<tmks:Claimant>
																						<xsl:for-each select="@operationCode">
																							<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantSequenceNumber">
																							<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantLegalEntity">
																							<com:LegalEntityName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LegalEntityName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIdentifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantAddressBook">
																							<xsl:variable name="var64_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var64_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantNationalityCode">
																							<com:NationalityCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:NationalityCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																							<com:IncorporationCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationCountryCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationState">
																							<com:IncorporationState>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationState>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantEntitlement">
																							<tmks:Entitlement>
																								<xsl:for-each select="tmks:EntitlementNationalityCode">
																									<com:EntitlementNationalityCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:EntitlementNationalityCode>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementEstablishment">
																									<com:EntitlementEstablishment>
																										<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																											<com:EntitlementEstablishmentCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementEstablishmentCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																											<xsl:variable name="var65_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																													<xsl:with-param name="AddressBook" as="node()">
																														<tmks:AddressBookType>
																															<xsl:sequence select="(./@node(), ./node())"/>
																														</tmks:AddressBookType>
																													</xsl:with-param>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var65_resultof_MappingST__AddressBookToST__Contact">
																												<com:Contact>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</com:Contact>
																											</xsl:for-each>
																										</xsl:for-each>
																									</com:EntitlementEstablishment>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementDomiciled">
																									<com:EntitlementDomiciled>
																										<xsl:for-each select="tmks:EntitlementDomiciledCode">
																											<com:EntitlementDomiciledCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementDomiciledCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																											<com:Contact>
																												<xsl:sequence select="()"/>
																											</com:Contact>
																										</xsl:for-each>
																									</com:EntitlementDomiciled>
																								</xsl:for-each>
																							</tmks:Entitlement>
																						</xsl:for-each>
																					</tmks:Claimant>
																				</xsl:for-each>
																			</tmks:ClaimantBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RepresentativeDetails">
																			<com:RepresentativeBag>
																				<xsl:for-each select="tmks:Representative">
																					<xsl:variable name="var66_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																							<xsl:with-param name="Representative" as="node()">
																								<tmks:RepresentativeType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:RepresentativeType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var66_resultof_MappingST__RepresentativeToST__Representative">
																						<com:Representative>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</com:Representative>
																					</xsl:for-each>
																				</xsl:for-each>
																			</com:RepresentativeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDetails">
																			<com:RecordEventBag>
																				<xsl:for-each select="tmks:RecordEvent">
																					<com:RecordEvent>
																						<xsl:variable name="var67_resultof_vmf___inputtoresult" as="xs:string?">
																							<xsl:call-template name="vmf:vmf35_inputtoresult">
																								<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																							</xsl:call-template>
																						</xsl:variable>
																						<xsl:for-each select="$var67_resultof_vmf___inputtoresult">
																							<com:RecordEventCategory>
																								<xsl:sequence select="."/>
																							</com:RecordEventCategory>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventResponseDate">
																							<com:RecordEventResponseDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventResponseDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDate">
																							<com:RecordEventDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDateTime">
																							<com:RecordEventDateTime>
																								<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																							</com:RecordEventDateTime>
																						</xsl:for-each>
																					</com:RecordEvent>
																				</xsl:for-each>
																			</com:RecordEventBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordDocumentDetails">
																			<com:RecordDocumentBag>
																				<xsl:for-each select="tmks:RecordDocument">
																					<com:RecordDocument>
																						<xsl:for-each select="tmks:DocumentLanguageCode">
																							<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentName">
																							<com:DocumentName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFilename">
																							<com:FileName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:FileName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFileFormat">
																							<xsl:variable name="var68_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf22_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var68_resultof_vmf___inputtoresult">
																								<com:DocumentFormatCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentFormatCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentDate">
																							<com:DocumentDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:DocumentDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentMedia">
																							<xsl:variable name="var69_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf23_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var69_resultof_vmf___inputtoresult">
																								<com:DocumentMediaCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentMediaCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentLocation">
																							<com:DocumentLocationURI>
																								<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																							</com:DocumentLocationURI>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentVersion">
																							<com:DocumentVersion>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentVersion>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentSizeInByte">
																							<com:DocumentSizeQuantity>
																								<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																							</com:DocumentSizeQuantity>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																					</com:RecordDocument>
																				</xsl:for-each>
																			</com:RecordDocumentBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordCurrentStatusCode">
																			<xsl:variable name="var70_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf36_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var70_resultof_vmf___inputtoresult">
																				<com:RecordCurrentStatusCategory>
																					<xsl:sequence select="."/>
																				</com:RecordCurrentStatusCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordCurrentStatusDate">
																			<com:RecordCurrentStatusDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordCurrentStatusDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:CorrespondenceAddress">
																			<com:CorrespondenceAddress>
																				<xsl:for-each select="tmks:CorrespondenceAddressParty">
																					<xsl:variable name="var71_resultof_vmf___inputtoresult" as="xs:string?">
																						<xsl:call-template name="vmf:vmf37_inputtoresult">
																							<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var71_resultof_vmf___inputtoresult">
																						<com:CorrespondenceAddressPartyCategory>
																							<xsl:sequence select="."/>
																						</com:CorrespondenceAddressPartyCategory>
																					</xsl:for-each>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:CorrespondenceAddressIdentifier">
																					<com:PartyIdentifier>
																						<xsl:for-each select="@identifierKindCode">
																							<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:PartyIdentifier>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:CorrespondenceAddressBook">
																					<xsl:variable name="var72_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																							<xsl:with-param name="AddressBook" as="node()">
																								<tmks:AddressBookType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:AddressBookType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var72_resultof_MappingST__AddressBookToST__Contact">
																						<com:Contact>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</com:Contact>
																					</xsl:for-each>
																				</xsl:for-each>
																			</com:CorrespondenceAddress>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:HolderDetails">
																			<tmks:HolderChangeBag>
																				<xsl:for-each select="tmks:PreviousHolder">
																					<xsl:variable name="var73_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																							<xsl:with-param name="Applicant" as="node()">
																								<tmks:ApplicantType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:ApplicantType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var73_resultof_MappingST__ApplicantToST__Applicant">
																						<tmks:PreviousHolderBag>
																							<xsl:sequence select="()"/>
																						</tmks:PreviousHolderBag>
																					</xsl:for-each>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:NewHolder">
																					<xsl:variable name="var74_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																							<xsl:with-param name="Applicant" as="node()">
																								<tmks:ApplicantType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:ApplicantType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var74_resultof_MappingST__ApplicantToST__Applicant">
																						<tmks:HolderBag>
																							<xsl:sequence select="()"/>
																						</tmks:HolderBag>
																					</xsl:for-each>
																				</xsl:for-each>
																			</tmks:HolderChangeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:GoodsServicesLimitationDetails">
																			<tmks:GoodsServicesLimitationBag>
																				<xsl:for-each select="tmks:GoodsServicesLimitation">
																					<tmks:GoodsServicesLimitation>
																						<xsl:for-each select="tmks:LimitationCountryDetails">
																							<com:LimitationCountryCodeBag>
																								<xsl:for-each select="tmks:LimitationCountryCode">
																									<com:LimitationCountryCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:LimitationCountryCode>
																								</xsl:for-each>
																							</com:LimitationCountryCodeBag>
																						</xsl:for-each>
																						<com:CommentTextBag>
																							<xsl:for-each select="tmks:Comment">
																								<com:CommentText>
																									<xsl:for-each select="@languageCode">
																										<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																									</xsl:for-each>
																									<xsl:sequence select="fn:string(.)"/>
																								</com:CommentText>
																							</xsl:for-each>
																						</com:CommentTextBag>
																						<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																							<xsl:variable name="var75_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf32_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var75_resultof_vmf___inputtoresult">
																								<tmks:GoodsServicesLimitationCategory>
																									<xsl:sequence select="."/>
																								</tmks:GoodsServicesLimitationCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																							<tmks:LimitationClassDescriptionBag>
																								<xsl:for-each select="tmks:ClassDescription">
																									<tmks:ClassDescription>
																										<xsl:for-each select="tmks:ClassNumber">
																											<tmks:ClassNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassNumber>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassNumberStatusCode">
																											<xsl:variable name="var76_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf18_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var76_resultof_vmf___inputtoresult">
																												<tmks:ClassNumberStatusCategory>
																													<xsl:sequence select="."/>
																												</tmks:ClassNumberStatusCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:GoodsServicesDescription">
																											<tmks:GoodsServicesDescriptionText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:for-each select="@sequenceNumber">
																													<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:GoodsServicesDescriptionText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																											<tmks:UseNiceHeadingIndicator>
																												<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																											</tmks:UseNiceHeadingIndicator>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermDetails">
																											<tmks:ClassificationTermBag>
																												<xsl:for-each select="tmks:ClassificationTerm">
																													<tmks:ClassificationTerm>
																														<xsl:for-each select="@operationCode">
																															<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermIdentifier">
																															<tmks:ClassificationTermIdentifier>
																																<xsl:for-each select="@identifierKindCode">
																																	<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermIdentifier>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermOffice">
																															<tmks:ClassificationTermOfficeCode>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermOfficeCode>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																															<tmks:ClassificationTermOfficeIdentification>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermOfficeIdentification>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermSource">
																															<xsl:variable name="var77_resultof_vmf___inputtoresult" as="xs:string?">
																																<xsl:call-template name="vmf:vmf19_inputtoresult">
																																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var77_resultof_vmf___inputtoresult">
																																<tmks:ClassificationTermSourceCategory>
																																	<xsl:sequence select="."/>
																																</tmks:ClassificationTermSourceCategory>
																															</xsl:for-each>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermEntryDate">
																															<tmks:ClassificationTermEntryDate>
																																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																															</tmks:ClassificationTermEntryDate>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassNumber">
																															<tmks:ClassNumber>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassNumber>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermText">
																															<tmks:ClassificationTermText>
																																<xsl:for-each select="@languageCode">
																																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermText>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																															<tmks:ClassificationTermEquivalentGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermEquivalentGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																															<tmks:ClassificationTermReferenceGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermReferenceGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																															<tmks:ClassificationTermTranslationGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermTranslationGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermStatus">
																															<xsl:variable name="var79_cur" as="node()" select="."/>
																															<xsl:variable name="var78_resultof_vmf___inputtoresult" as="xs:string?">
																																<xsl:call-template name="vmf:vmf20_inputtoresult">
																																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var78_resultof_vmf___inputtoresult">
																																<tmks:ClassificationTermStatus>
																																	<xsl:for-each select="$var79_cur/@officeCode">
																																		<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																	</xsl:for-each>
																																	<xsl:sequence select="."/>
																																</tmks:ClassificationTermStatus>
																															</xsl:for-each>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:WIPOBasicNumber">
																															<tmks:WIPOBasicNumber>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:WIPOBasicNumber>
																														</xsl:for-each>
																													</tmks:ClassificationTerm>
																												</xsl:for-each>
																											</tmks:ClassificationTermBag>
																										</xsl:for-each>
																									</tmks:ClassDescription>
																								</xsl:for-each>
																							</tmks:LimitationClassDescriptionBag>
																						</xsl:for-each>
																					</tmks:GoodsServicesLimitation>
																				</xsl:for-each>
																			</tmks:GoodsServicesLimitationBag>
																		</xsl:for-each>
																	</tmks:RecordTransfer>
																</xsl:for-each>
																<xsl:for-each select="tmks:RecordChangeNameAddress">
																	<tmks:RecordChangeNameAddress>
																		<xsl:for-each select="tmks:RecordIdentifier">
																			<com:RecordIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordFilingDate">
																			<com:RecordFilingDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordFilingDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordNotificationDate">
																			<com:RecordNotificationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordNotificationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEffectiveDate">
																			<com:RecordEffectiveDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEffectiveDate>
																		</xsl:for-each>
																		<xsl:variable name="var80_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf38_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordChangeNameAddressKind)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var80_resultof_vmf___inputtoresult">
																			<com:RecordChangeNameAddressCategory>
																				<xsl:sequence select="."/>
																			</com:RecordChangeNameAddressCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordReference">
																			<com:RecordReference>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordReference>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordLanguageCode">
																			<com:RecordLanguageCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordLanguageCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:TradeMarkKeyDetails">
																			<tmks:TrademarkIdentification>
																				<xsl:for-each select="tmks:TradeMarkKey">
																					<tmks:TrademarkIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<tmks:TrademarkIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:TrademarkIdentifier>
																						</xsl:for-each>
																					</tmks:TrademarkIdentifierBag>
																				</xsl:for-each>
																			</tmks:TrademarkIdentification>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordPublicationDetails">
																			<tmks:RecordPublicationBag>
																				<xsl:for-each select="tmks:RecordPublication">
																					<tmks:RecordPublication>
																						<com:PublicationIdentifier>
																							<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																						</com:PublicationIdentifier>
																						<xsl:for-each select="tmks:PublicationSection">
																							<xsl:variable name="var81_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf27_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var81_resultof_vmf___inputtoresult">
																								<tmks:PublicationSectionCategory>
																									<xsl:sequence select="."/>
																								</tmks:PublicationSectionCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationSubsection">
																							<com:PublicationSubsection>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationSubsection>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationDate">
																							<com:PublicationDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:PublicationDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationPage">
																							<com:PublicationPage>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationPage>
																						</xsl:for-each>
																					</tmks:RecordPublication>
																				</xsl:for-each>
																			</tmks:RecordPublicationBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantDetails">
																			<tmks:ClaimantBag>
																				<xsl:for-each select="tmks:ClaimantKey">
																					<com:PartyIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																					</com:PartyIdentifierBag>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:Claimant">
																					<tmks:Claimant>
																						<xsl:for-each select="@operationCode">
																							<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantSequenceNumber">
																							<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantLegalEntity">
																							<com:LegalEntityName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LegalEntityName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIdentifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantAddressBook">
																							<xsl:variable name="var82_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var82_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantNationalityCode">
																							<com:NationalityCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:NationalityCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																							<com:IncorporationCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationCountryCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationState">
																							<com:IncorporationState>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationState>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantEntitlement">
																							<tmks:Entitlement>
																								<xsl:for-each select="tmks:EntitlementNationalityCode">
																									<com:EntitlementNationalityCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:EntitlementNationalityCode>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementEstablishment">
																									<com:EntitlementEstablishment>
																										<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																											<com:EntitlementEstablishmentCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementEstablishmentCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																											<xsl:variable name="var83_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																													<xsl:with-param name="AddressBook" as="node()">
																														<tmks:AddressBookType>
																															<xsl:sequence select="(./@node(), ./node())"/>
																														</tmks:AddressBookType>
																													</xsl:with-param>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var83_resultof_MappingST__AddressBookToST__Contact">
																												<com:Contact>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</com:Contact>
																											</xsl:for-each>
																										</xsl:for-each>
																									</com:EntitlementEstablishment>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementDomiciled">
																									<com:EntitlementDomiciled>
																										<xsl:for-each select="tmks:EntitlementDomiciledCode">
																											<com:EntitlementDomiciledCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementDomiciledCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																											<com:Contact>
																												<xsl:sequence select="()"/>
																											</com:Contact>
																										</xsl:for-each>
																									</com:EntitlementDomiciled>
																								</xsl:for-each>
																							</tmks:Entitlement>
																						</xsl:for-each>
																					</tmks:Claimant>
																				</xsl:for-each>
																			</tmks:ClaimantBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RepresentativeDetails">
																			<com:RepresentativeBag>
																				<xsl:for-each select="tmks:Representative">
																					<xsl:variable name="var84_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																							<xsl:with-param name="Representative" as="node()">
																								<tmks:RepresentativeType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:RepresentativeType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var84_resultof_MappingST__RepresentativeToST__Representative">
																						<com:Representative>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</com:Representative>
																					</xsl:for-each>
																				</xsl:for-each>
																			</com:RepresentativeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDetails">
																			<com:RecordEventBag>
																				<xsl:for-each select="tmks:RecordEvent">
																					<com:RecordEvent>
																						<xsl:variable name="var85_resultof_vmf___inputtoresult" as="xs:string?">
																							<xsl:call-template name="vmf:vmf35_inputtoresult">
																								<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																							</xsl:call-template>
																						</xsl:variable>
																						<xsl:for-each select="$var85_resultof_vmf___inputtoresult">
																							<com:RecordEventCategory>
																								<xsl:sequence select="."/>
																							</com:RecordEventCategory>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventResponseDate">
																							<com:RecordEventResponseDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventResponseDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDate">
																							<com:RecordEventDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDateTime">
																							<com:RecordEventDateTime>
																								<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																							</com:RecordEventDateTime>
																						</xsl:for-each>
																					</com:RecordEvent>
																				</xsl:for-each>
																			</com:RecordEventBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordDocumentDetails">
																			<com:RecordDocumentBag>
																				<xsl:for-each select="tmks:RecordDocument">
																					<com:RecordDocument>
																						<xsl:for-each select="tmks:DocumentLanguageCode">
																							<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentName">
																							<com:DocumentName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFilename">
																							<com:FileName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:FileName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFileFormat">
																							<xsl:variable name="var86_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf22_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var86_resultof_vmf___inputtoresult">
																								<com:DocumentFormatCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentFormatCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentDate">
																							<com:DocumentDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:DocumentDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentMedia">
																							<xsl:variable name="var87_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf23_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var87_resultof_vmf___inputtoresult">
																								<com:DocumentMediaCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentMediaCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentLocation">
																							<com:DocumentLocationURI>
																								<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																							</com:DocumentLocationURI>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentVersion">
																							<com:DocumentVersion>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentVersion>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentSizeInByte">
																							<com:DocumentSizeQuantity>
																								<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																							</com:DocumentSizeQuantity>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																					</com:RecordDocument>
																				</xsl:for-each>
																			</com:RecordDocumentBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordCurrentStatusCode">
																			<xsl:variable name="var88_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf39_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var88_resultof_vmf___inputtoresult">
																				<com:RecordCurrentStatusCategory>
																					<xsl:sequence select="."/>
																				</com:RecordCurrentStatusCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordCurrentStatusDate">
																			<com:RecordCurrentStatusDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordCurrentStatusDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:CorrespondenceAddress">
																			<com:CorrespondenceAddress>
																				<xsl:for-each select="tmks:CorrespondenceAddressParty">
																					<xsl:variable name="var89_resultof_vmf___inputtoresult" as="xs:string?">
																						<xsl:call-template name="vmf:vmf37_inputtoresult">
																							<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var89_resultof_vmf___inputtoresult">
																						<com:CorrespondenceAddressPartyCategory>
																							<xsl:sequence select="."/>
																						</com:CorrespondenceAddressPartyCategory>
																					</xsl:for-each>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:CorrespondenceAddressIdentifier">
																					<com:PartyIdentifier>
																						<xsl:for-each select="@identifierKindCode">
																							<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:PartyIdentifier>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:CorrespondenceAddressBook">
																					<xsl:variable name="var90_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																							<xsl:with-param name="AddressBook" as="node()">
																								<tmks:AddressBookType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:AddressBookType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var90_resultof_MappingST__AddressBookToST__Contact">
																						<com:Contact>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</com:Contact>
																					</xsl:for-each>
																				</xsl:for-each>
																			</com:CorrespondenceAddress>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:HolderDetails">
																			<tmks:HolderChangeBag>
																				<xsl:for-each select="tmks:PreviousHolder">
																					<xsl:variable name="var91_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																							<xsl:with-param name="Applicant" as="node()">
																								<tmks:ApplicantType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:ApplicantType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var91_resultof_MappingST__ApplicantToST__Applicant">
																						<tmks:PreviousHolderBag>
																							<xsl:sequence select="()"/>
																						</tmks:PreviousHolderBag>
																					</xsl:for-each>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:NewHolder">
																					<xsl:variable name="var92_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																							<xsl:with-param name="Applicant" as="node()">
																								<tmks:ApplicantType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:ApplicantType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var92_resultof_MappingST__ApplicantToST__Applicant">
																						<tmks:HolderBag>
																							<xsl:sequence select="()"/>
																						</tmks:HolderBag>
																					</xsl:for-each>
																				</xsl:for-each>
																			</tmks:HolderChangeBag>
																		</xsl:for-each>
																	</tmks:RecordChangeNameAddress>
																</xsl:for-each>
																<xsl:for-each select="tmks:RecordLicence">
																	<tmks:RecordLicence>
																		<xsl:for-each select="tmks:RecordIdentifier">
																			<com:RecordIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordFilingDate">
																			<com:RecordFilingDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordFilingDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordNotificationDate">
																			<com:RecordNotificationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordNotificationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEffectiveDate">
																			<com:RecordEffectiveDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEffectiveDate>
																		</xsl:for-each>
																		<xsl:variable name="var93_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf40_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordLicenceKind)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var93_resultof_vmf___inputtoresult">
																			<com:RecordLicenceCategory>
																				<xsl:sequence select="."/>
																			</com:RecordLicenceCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordReference">
																			<com:RecordReference>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordReference>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordLanguageCode">
																			<com:RecordLanguageCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordLanguageCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:TradeMarkKeyDetails">
																			<tmks:TrademarkIdentification>
																				<xsl:for-each select="tmks:TradeMarkKey">
																					<tmks:TrademarkIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<tmks:TrademarkIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:TrademarkIdentifier>
																						</xsl:for-each>
																					</tmks:TrademarkIdentifierBag>
																				</xsl:for-each>
																			</tmks:TrademarkIdentification>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordPublicationDetails">
																			<tmks:RecordPublicationBag>
																				<xsl:for-each select="tmks:RecordPublication">
																					<tmks:RecordPublication>
																						<com:PublicationIdentifier>
																							<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																						</com:PublicationIdentifier>
																						<xsl:for-each select="tmks:PublicationSection">
																							<xsl:variable name="var94_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf27_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var94_resultof_vmf___inputtoresult">
																								<tmks:PublicationSectionCategory>
																									<xsl:sequence select="."/>
																								</tmks:PublicationSectionCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationSubsection">
																							<com:PublicationSubsection>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationSubsection>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationDate">
																							<com:PublicationDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:PublicationDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationPage">
																							<com:PublicationPage>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationPage>
																						</xsl:for-each>
																					</tmks:RecordPublication>
																				</xsl:for-each>
																			</tmks:RecordPublicationBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantDetails">
																			<tmks:ClaimantBag>
																				<xsl:for-each select="tmks:ClaimantKey">
																					<com:PartyIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																					</com:PartyIdentifierBag>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:Claimant">
																					<tmks:Claimant>
																						<xsl:for-each select="@operationCode">
																							<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantSequenceNumber">
																							<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantLegalEntity">
																							<com:LegalEntityName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LegalEntityName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIdentifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantAddressBook">
																							<xsl:variable name="var95_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var95_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantNationalityCode">
																							<com:NationalityCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:NationalityCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																							<com:IncorporationCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationCountryCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationState">
																							<com:IncorporationState>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationState>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantEntitlement">
																							<tmks:Entitlement>
																								<xsl:for-each select="tmks:EntitlementNationalityCode">
																									<com:EntitlementNationalityCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:EntitlementNationalityCode>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementEstablishment">
																									<com:EntitlementEstablishment>
																										<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																											<com:EntitlementEstablishmentCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementEstablishmentCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																											<xsl:variable name="var96_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																													<xsl:with-param name="AddressBook" as="node()">
																														<tmks:AddressBookType>
																															<xsl:sequence select="(./@node(), ./node())"/>
																														</tmks:AddressBookType>
																													</xsl:with-param>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var96_resultof_MappingST__AddressBookToST__Contact">
																												<com:Contact>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</com:Contact>
																											</xsl:for-each>
																										</xsl:for-each>
																									</com:EntitlementEstablishment>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementDomiciled">
																									<com:EntitlementDomiciled>
																										<xsl:for-each select="tmks:EntitlementDomiciledCode">
																											<com:EntitlementDomiciledCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementDomiciledCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																											<com:Contact>
																												<xsl:sequence select="()"/>
																											</com:Contact>
																										</xsl:for-each>
																									</com:EntitlementDomiciled>
																								</xsl:for-each>
																							</tmks:Entitlement>
																						</xsl:for-each>
																					</tmks:Claimant>
																				</xsl:for-each>
																			</tmks:ClaimantBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RepresentativeDetails">
																			<com:RepresentativeBag>
																				<xsl:for-each select="tmks:Representative">
																					<xsl:variable name="var97_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																							<xsl:with-param name="Representative" as="node()">
																								<tmks:RepresentativeType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:RepresentativeType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var97_resultof_MappingST__RepresentativeToST__Representative">
																						<com:Representative>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</com:Representative>
																					</xsl:for-each>
																				</xsl:for-each>
																			</com:RepresentativeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDetails">
																			<com:RecordEventBag>
																				<xsl:for-each select="tmks:RecordEvent">
																					<com:RecordEvent>
																						<xsl:variable name="var98_resultof_vmf___inputtoresult" as="xs:string?">
																							<xsl:call-template name="vmf:vmf35_inputtoresult">
																								<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																							</xsl:call-template>
																						</xsl:variable>
																						<xsl:for-each select="$var98_resultof_vmf___inputtoresult">
																							<com:RecordEventCategory>
																								<xsl:sequence select="."/>
																							</com:RecordEventCategory>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventResponseDate">
																							<com:RecordEventResponseDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventResponseDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDate">
																							<com:RecordEventDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDateTime">
																							<com:RecordEventDateTime>
																								<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																							</com:RecordEventDateTime>
																						</xsl:for-each>
																					</com:RecordEvent>
																				</xsl:for-each>
																			</com:RecordEventBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordDocumentDetails">
																			<com:RecordDocumentBag>
																				<xsl:for-each select="tmks:RecordDocument">
																					<com:RecordDocument>
																						<xsl:for-each select="tmks:DocumentLanguageCode">
																							<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentName">
																							<com:DocumentName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFilename">
																							<com:FileName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:FileName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFileFormat">
																							<xsl:variable name="var99_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf22_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var99_resultof_vmf___inputtoresult">
																								<com:DocumentFormatCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentFormatCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentDate">
																							<com:DocumentDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:DocumentDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentMedia">
																							<xsl:variable name="var100_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf23_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var100_resultof_vmf___inputtoresult">
																								<com:DocumentMediaCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentMediaCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentLocation">
																							<com:DocumentLocationURI>
																								<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																							</com:DocumentLocationURI>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentVersion">
																							<com:DocumentVersion>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentVersion>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentSizeInByte">
																							<com:DocumentSizeQuantity>
																								<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																							</com:DocumentSizeQuantity>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																					</com:RecordDocument>
																				</xsl:for-each>
																			</com:RecordDocumentBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordCurrentStatusCode">
																			<xsl:variable name="var101_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf41_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var101_resultof_vmf___inputtoresult">
																				<com:RecordCurrentStatusCategory>
																					<xsl:sequence select="."/>
																				</com:RecordCurrentStatusCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordCurrentStatusDate">
																			<com:RecordCurrentStatusDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordCurrentStatusDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordInterestedOfficeCode">
																			<com:RecordInterestedOfficeCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordInterestedOfficeCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordDesignatedCountryDetails">
																			<com:RecordDesignatedCountryCodeBag>
																				<xsl:for-each select="tmks:RecordDesignatedCountryCode">
																					<com:RecordDesignatedCountryCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:RecordDesignatedCountryCode>
																				</xsl:for-each>
																			</com:RecordDesignatedCountryCodeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LicenceDetails">
																			<tmks:LicenceBag>
																				<xsl:for-each select="tmks:Licence">
																					<tmks:Licence>
																						<xsl:for-each select="tmks:LicenceIdentifier">
																							<com:LicenceIdentifier>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LicenceIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceDate">
																							<com:LicenceDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:LicenceDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceNumber">
																							<com:LicenceNumber>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LicenceNumber>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceReference">
																							<com:LicenceReference>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LicenceReference>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceKind">
																							<xsl:variable name="var102_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf42_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var102_resultof_vmf___inputtoresult">
																								<com:LicenceCategory>
																									<xsl:sequence select="."/>
																								</com:LicenceCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:SubLicenceIndicator">
																							<com:SublicenceIndicator>
																								<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																							</com:SublicenceIndicator>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RelatedLicenceIdentifier">
																							<com:RelatedLicenceIdentifier>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:RelatedLicenceIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:GoodsServicesLimitationIndicator">
																							<tmks:GoodsServicesLimitationIndicator>
																								<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																							</tmks:GoodsServicesLimitationIndicator>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:GoodsServicesLimitation">
																							<tmks:GoodsServicesLimitation>
																								<xsl:for-each select="tmks:LimitationCountryDetails">
																									<com:LimitationCountryCodeBag>
																										<xsl:for-each select="tmks:LimitationCountryCode">
																											<com:LimitationCountryCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:LimitationCountryCode>
																										</xsl:for-each>
																									</com:LimitationCountryCodeBag>
																								</xsl:for-each>
																								<com:CommentTextBag>
																									<xsl:for-each select="tmks:Comment">
																										<com:CommentText>
																											<xsl:for-each select="@languageCode">
																												<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																											</xsl:for-each>
																											<xsl:sequence select="fn:string(.)"/>
																										</com:CommentText>
																									</xsl:for-each>
																								</com:CommentTextBag>
																								<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																									<xsl:variable name="var103_resultof_vmf___inputtoresult" as="xs:string?">
																										<xsl:call-template name="vmf:vmf32_inputtoresult">
																											<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																										</xsl:call-template>
																									</xsl:variable>
																									<xsl:for-each select="$var103_resultof_vmf___inputtoresult">
																										<tmks:GoodsServicesLimitationCategory>
																											<xsl:sequence select="."/>
																										</tmks:GoodsServicesLimitationCategory>
																									</xsl:for-each>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																									<tmks:LimitationClassDescriptionBag>
																										<xsl:for-each select="tmks:ClassDescription">
																											<tmks:ClassDescription>
																												<xsl:for-each select="tmks:ClassNumber">
																													<tmks:ClassNumber>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassNumber>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassNumberStatusCode">
																													<xsl:variable name="var104_resultof_vmf___inputtoresult" as="xs:string?">
																														<xsl:call-template name="vmf:vmf18_inputtoresult">
																															<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																														</xsl:call-template>
																													</xsl:variable>
																													<xsl:for-each select="$var104_resultof_vmf___inputtoresult">
																														<tmks:ClassNumberStatusCategory>
																															<xsl:sequence select="."/>
																														</tmks:ClassNumberStatusCategory>
																													</xsl:for-each>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:GoodsServicesDescription">
																													<tmks:GoodsServicesDescriptionText>
																														<xsl:for-each select="@languageCode">
																															<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:for-each select="@sequenceNumber">
																															<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																														</xsl:for-each>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:GoodsServicesDescriptionText>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																													<tmks:UseNiceHeadingIndicator>
																														<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																													</tmks:UseNiceHeadingIndicator>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermDetails">
																													<tmks:ClassificationTermBag>
																														<xsl:for-each select="tmks:ClassificationTerm">
																															<tmks:ClassificationTerm>
																																<xsl:for-each select="@operationCode">
																																	<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermIdentifier">
																																	<tmks:ClassificationTermIdentifier>
																																		<xsl:for-each select="@identifierKindCode">
																																			<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																		</xsl:for-each>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermIdentifier>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermOffice">
																																	<tmks:ClassificationTermOfficeCode>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermOfficeCode>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																																	<tmks:ClassificationTermOfficeIdentification>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermOfficeIdentification>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermSource">
																																	<xsl:variable name="var105_resultof_vmf___inputtoresult" as="xs:string?">
																																		<xsl:call-template name="vmf:vmf19_inputtoresult">
																																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																		</xsl:call-template>
																																	</xsl:variable>
																																	<xsl:for-each select="$var105_resultof_vmf___inputtoresult">
																																		<tmks:ClassificationTermSourceCategory>
																																			<xsl:sequence select="."/>
																																		</tmks:ClassificationTermSourceCategory>
																																	</xsl:for-each>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermEntryDate">
																																	<tmks:ClassificationTermEntryDate>
																																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																																	</tmks:ClassificationTermEntryDate>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassNumber">
																																	<tmks:ClassNumber>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassNumber>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermText">
																																	<tmks:ClassificationTermText>
																																		<xsl:for-each select="@languageCode">
																																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																																		</xsl:for-each>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermText>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																																	<tmks:ClassificationTermEquivalentGroup>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermEquivalentGroup>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																																	<tmks:ClassificationTermReferenceGroup>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermReferenceGroup>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																																	<tmks:ClassificationTermTranslationGroup>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermTranslationGroup>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermStatus">
																																	<xsl:variable name="var107_cur" as="node()" select="."/>
																																	<xsl:variable name="var106_resultof_vmf___inputtoresult" as="xs:string?">
																																		<xsl:call-template name="vmf:vmf20_inputtoresult">
																																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																		</xsl:call-template>
																																	</xsl:variable>
																																	<xsl:for-each select="$var106_resultof_vmf___inputtoresult">
																																		<tmks:ClassificationTermStatus>
																																			<xsl:for-each select="$var107_cur/@officeCode">
																																				<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																			</xsl:for-each>
																																			<xsl:sequence select="."/>
																																		</tmks:ClassificationTermStatus>
																																	</xsl:for-each>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:WIPOBasicNumber">
																																	<tmks:WIPOBasicNumber>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:WIPOBasicNumber>
																																</xsl:for-each>
																															</tmks:ClassificationTerm>
																														</xsl:for-each>
																													</tmks:ClassificationTermBag>
																												</xsl:for-each>
																											</tmks:ClassDescription>
																										</xsl:for-each>
																									</tmks:LimitationClassDescriptionBag>
																								</xsl:for-each>
																							</tmks:GoodsServicesLimitation>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:TerritoryLimitationIndicator">
																							<com:TerritoryLimitationIndicator>
																								<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																							</com:TerritoryLimitationIndicator>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:TerritoryLimitationText">
																							<com:TerritoryLimitationText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:TerritoryLimitationText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PeriodLimitationIndicator">
																							<com:PeriodLimitationIndicator>
																								<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																							</com:PeriodLimitationIndicator>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PeriodLimitationText">
																							<com:PeriodLimitationText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PeriodLimitationText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PeriodLimitationStartDate">
																							<com:PeriodLimitationStartDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:PeriodLimitationStartDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PeriodLimitationEndDate">
																							<com:PeriodLimitationEndDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:PeriodLimitationEndDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceStatusCode">
																							<xsl:variable name="var108_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf43_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var108_resultof_vmf___inputtoresult">
																								<com:LicenceStatusCategory>
																									<xsl:sequence select="."/>
																								</com:LicenceStatusCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenseeDetails">
																							<tmks:LicenseeBag>
																								<xsl:for-each select="tmks:Licensee">
																									<tmks:Licensee>
																										<xsl:for-each select="@operationCode">
																											<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenseeSequenceNumber">
																											<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenseeLegalEntity">
																											<com:LegalEntityName>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:LegalEntityName>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenseeIdentifier">
																											<com:PartyIdentifier>
																												<xsl:for-each select="@identifierKindCode">
																													<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:PartyIdentifier>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenseeAddressBook">
																											<xsl:variable name="var109_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																													<xsl:with-param name="AddressBook" as="node()">
																														<tmks:AddressBookType>
																															<xsl:sequence select="(./@node(), ./node())"/>
																														</tmks:AddressBookType>
																													</xsl:with-param>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var109_resultof_MappingST__AddressBookToST__Contact">
																												<com:Contact>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</com:Contact>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenseeNationalityCode">
																											<com:NationalityCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:NationalityCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenseeIncorporationCountryCode">
																											<com:IncorporationCountryCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:IncorporationCountryCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenseeIncorporationState">
																											<com:IncorporationState>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:IncorporationState>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:Comment">
																											<com:CommentText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:CommentText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenseeEntitlement">
																											<tmks:Entitlement>
																												<xsl:for-each select="tmks:EntitlementNationalityCode">
																													<com:EntitlementNationalityCode>
																														<xsl:sequence select="fn:string(.)"/>
																													</com:EntitlementNationalityCode>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:EntitlementEstablishment">
																													<com:EntitlementEstablishment>
																														<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																															<com:EntitlementEstablishmentCode>
																																<xsl:sequence select="fn:string(.)"/>
																															</com:EntitlementEstablishmentCode>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																															<xsl:variable name="var110_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																																<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																																	<xsl:with-param name="AddressBook" as="node()">
																																		<tmks:AddressBookType>
																																			<xsl:sequence select="(./@node(), ./node())"/>
																																		</tmks:AddressBookType>
																																	</xsl:with-param>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var110_resultof_MappingST__AddressBookToST__Contact">
																																<com:Contact>
																																	<xsl:sequence select="(./@node(), ./node())"/>
																																</com:Contact>
																															</xsl:for-each>
																														</xsl:for-each>
																													</com:EntitlementEstablishment>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:EntitlementDomiciled">
																													<com:EntitlementDomiciled>
																														<xsl:for-each select="tmks:EntitlementDomiciledCode">
																															<com:EntitlementDomiciledCode>
																																<xsl:sequence select="fn:string(.)"/>
																															</com:EntitlementDomiciledCode>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																															<xsl:variable name="var111_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																																<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																																	<xsl:with-param name="AddressBook" as="node()">
																																		<tmks:AddressBookType>
																																			<xsl:sequence select="(./@node(), ./node())"/>
																																		</tmks:AddressBookType>
																																	</xsl:with-param>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var111_resultof_MappingST__AddressBookToST__Contact">
																																<com:Contact>
																																	<xsl:sequence select="(./@node(), ./node())"/>
																																</com:Contact>
																															</xsl:for-each>
																														</xsl:for-each>
																													</com:EntitlementDomiciled>
																												</xsl:for-each>
																											</tmks:Entitlement>
																										</xsl:for-each>
																									</tmks:Licensee>
																								</xsl:for-each>
																							</tmks:LicenseeBag>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RepresentativeDetails">
																							<com:RepresentativeBag>
																								<xsl:for-each select="tmks:Representative">
																									<xsl:variable name="var112_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																										<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																											<xsl:with-param name="Representative" as="node()">
																												<tmks:RepresentativeType>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</tmks:RepresentativeType>
																											</xsl:with-param>
																										</xsl:call-template>
																									</xsl:variable>
																									<xsl:for-each select="$var112_resultof_MappingST__RepresentativeToST__Representative">
																										<com:Representative>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</com:Representative>
																									</xsl:for-each>
																								</xsl:for-each>
																							</com:RepresentativeBag>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceEventDetails">
																							<com:LicenceEventBag>
																								<xsl:for-each select="tmks:LicenceEvent">
																									<com:LicenceEvent>
																										<xsl:variable name="var113_resultof_vmf___inputtoresult" as="xs:string?">
																											<xsl:call-template name="vmf:vmf44_inputtoresult">
																												<xsl:with-param name="input" select="fn:string(tmks:LicenceEventCode)" as="xs:string"/>
																											</xsl:call-template>
																										</xsl:variable>
																										<xsl:for-each select="$var113_resultof_vmf___inputtoresult">
																											<com:LicenceEventCategory>
																												<xsl:sequence select="."/>
																											</com:LicenceEventCategory>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenceEventResponseDate">
																											<com:LicenceEventResponseDate>
																												<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																											</com:LicenceEventResponseDate>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:Comment">
																											<com:CommentText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:CommentText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenceEventDate">
																											<com:LicenceEventDate>
																												<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																											</com:LicenceEventDate>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:LicenceEventDateTime">
																											<com:LicenceEventDateTime>
																												<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																											</com:LicenceEventDateTime>
																										</xsl:for-each>
																									</com:LicenceEvent>
																								</xsl:for-each>
																							</com:LicenceEventBag>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceDocumentDetails">
																							<com:LicenceDocumentBag>
																								<xsl:for-each select="tmks:LicenceDocument">
																									<com:LicenceDocument>
																										<xsl:for-each select="tmks:DocumentLanguageCode">
																											<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:DocumentName">
																											<com:DocumentName>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:DocumentName>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:DocumentFilename">
																											<com:FileName>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:FileName>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:DocumentFileFormat">
																											<xsl:variable name="var114_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf22_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var114_resultof_vmf___inputtoresult">
																												<com:DocumentFormatCategory>
																													<xsl:sequence select="."/>
																												</com:DocumentFormatCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:DocumentDate">
																											<com:DocumentDate>
																												<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																											</com:DocumentDate>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:DocumentMedia">
																											<xsl:variable name="var115_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf23_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var115_resultof_vmf___inputtoresult">
																												<com:DocumentMediaCategory>
																													<xsl:sequence select="."/>
																												</com:DocumentMediaCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:DocumentLocation">
																											<com:DocumentLocationURI>
																												<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																											</com:DocumentLocationURI>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:DocumentVersion">
																											<com:DocumentVersion>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:DocumentVersion>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:DocumentSizeInByte">
																											<com:DocumentSizeQuantity>
																												<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																											</com:DocumentSizeQuantity>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:Comment">
																											<com:CommentText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:CommentText>
																										</xsl:for-each>
																									</com:LicenceDocument>
																								</xsl:for-each>
																							</com:LicenceDocumentBag>
																						</xsl:for-each>
																					</tmks:Licence>
																				</xsl:for-each>
																			</tmks:LicenceBag>
																		</xsl:for-each>
																	</tmks:RecordLicence>
																</xsl:for-each>
																<xsl:for-each select="tmks:RecordNationalInternationalReplacement">
																	<tmks:RecordNationalInternationalReplacement>
																		<xsl:for-each select="tmks:RecordIdentifier">
																			<com:RecordIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordFilingDate">
																			<com:RecordFilingDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordFilingDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordNotificationDate">
																			<com:RecordNotificationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordNotificationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEffectiveDate">
																			<com:RecordEffectiveDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEffectiveDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:TradeMarkKeyDetails">
																			<tmks:TrademarkIdentification>
																				<xsl:for-each select="tmks:TradeMarkKey">
																					<tmks:TrademarkIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<tmks:TrademarkIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:TrademarkIdentifier>
																						</xsl:for-each>
																					</tmks:TrademarkIdentifierBag>
																				</xsl:for-each>
																			</tmks:TrademarkIdentification>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordPublicationDetails">
																			<tmks:RecordPublicationBag>
																				<xsl:for-each select="tmks:RecordPublication">
																					<tmks:RecordPublication>
																						<com:PublicationIdentifier>
																							<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																						</com:PublicationIdentifier>
																						<xsl:for-each select="tmks:PublicationSection">
																							<xsl:variable name="var116_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf27_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var116_resultof_vmf___inputtoresult">
																								<tmks:PublicationSectionCategory>
																									<xsl:sequence select="."/>
																								</tmks:PublicationSectionCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationSubsection">
																							<com:PublicationSubsection>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationSubsection>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationDate">
																							<com:PublicationDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:PublicationDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationPage">
																							<com:PublicationPage>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationPage>
																						</xsl:for-each>
																					</tmks:RecordPublication>
																				</xsl:for-each>
																			</tmks:RecordPublicationBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantDetails">
																			<tmks:ClaimantBag>
																				<xsl:for-each select="tmks:ClaimantKey">
																					<com:PartyIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																					</com:PartyIdentifierBag>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:Claimant">
																					<tmks:Claimant>
																						<xsl:for-each select="@operationCode">
																							<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantSequenceNumber">
																							<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantLegalEntity">
																							<com:LegalEntityName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LegalEntityName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIdentifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantAddressBook">
																							<xsl:variable name="var117_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var117_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantNationalityCode">
																							<com:NationalityCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:NationalityCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																							<com:IncorporationCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationCountryCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationState">
																							<com:IncorporationState>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationState>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantEntitlement">
																							<tmks:Entitlement>
																								<xsl:for-each select="tmks:EntitlementNationalityCode">
																									<com:EntitlementNationalityCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:EntitlementNationalityCode>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementEstablishment">
																									<com:EntitlementEstablishment>
																										<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																											<com:EntitlementEstablishmentCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementEstablishmentCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																											<xsl:variable name="var118_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																													<xsl:with-param name="AddressBook" as="node()">
																														<tmks:AddressBookType>
																															<xsl:sequence select="(./@node(), ./node())"/>
																														</tmks:AddressBookType>
																													</xsl:with-param>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var118_resultof_MappingST__AddressBookToST__Contact">
																												<com:Contact>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</com:Contact>
																											</xsl:for-each>
																										</xsl:for-each>
																									</com:EntitlementEstablishment>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementDomiciled">
																									<com:EntitlementDomiciled>
																										<xsl:for-each select="tmks:EntitlementDomiciledCode">
																											<com:EntitlementDomiciledCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementDomiciledCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																											<com:Contact>
																												<xsl:sequence select="()"/>
																											</com:Contact>
																										</xsl:for-each>
																									</com:EntitlementDomiciled>
																								</xsl:for-each>
																							</tmks:Entitlement>
																						</xsl:for-each>
																					</tmks:Claimant>
																				</xsl:for-each>
																			</tmks:ClaimantBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RepresentativeDetails">
																			<com:RepresentativeBag>
																				<xsl:for-each select="tmks:Representative">
																					<xsl:variable name="var119_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																							<xsl:with-param name="Representative" as="node()">
																								<tmks:RepresentativeType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:RepresentativeType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var119_resultof_MappingST__RepresentativeToST__Representative">
																						<com:Representative>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</com:Representative>
																					</xsl:for-each>
																				</xsl:for-each>
																			</com:RepresentativeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDetails">
																			<com:RecordEventBag>
																				<xsl:for-each select="tmks:RecordEvent">
																					<com:RecordEvent>
																						<xsl:variable name="var120_resultof_vmf___inputtoresult" as="xs:string?">
																							<xsl:call-template name="vmf:vmf35_inputtoresult">
																								<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																							</xsl:call-template>
																						</xsl:variable>
																						<xsl:for-each select="$var120_resultof_vmf___inputtoresult">
																							<com:RecordEventCategory>
																								<xsl:sequence select="."/>
																							</com:RecordEventCategory>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventResponseDate">
																							<com:RecordEventResponseDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventResponseDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDate">
																							<com:RecordEventDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDateTime">
																							<com:RecordEventDateTime>
																								<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																							</com:RecordEventDateTime>
																						</xsl:for-each>
																					</com:RecordEvent>
																				</xsl:for-each>
																			</com:RecordEventBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordDocumentDetails">
																			<com:RecordDocumentBag>
																				<xsl:for-each select="tmks:RecordDocument">
																					<com:RecordDocument>
																						<xsl:for-each select="tmks:DocumentLanguageCode">
																							<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentName">
																							<com:DocumentName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFilename">
																							<com:FileName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:FileName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFileFormat">
																							<xsl:variable name="var121_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf22_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var121_resultof_vmf___inputtoresult">
																								<com:DocumentFormatCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentFormatCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentDate">
																							<com:DocumentDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:DocumentDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentMedia">
																							<xsl:variable name="var122_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf23_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var122_resultof_vmf___inputtoresult">
																								<com:DocumentMediaCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentMediaCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentLocation">
																							<com:DocumentLocationURI>
																								<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																							</com:DocumentLocationURI>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentVersion">
																							<com:DocumentVersion>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentVersion>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentSizeInByte">
																							<com:DocumentSizeQuantity>
																								<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																							</com:DocumentSizeQuantity>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																					</com:RecordDocument>
																				</xsl:for-each>
																			</com:RecordDocumentBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordInterestedOfficeCode">
																			<com:RecordInterestedOfficeCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordInterestedOfficeCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:GoodsServicesLimitationDetails">
																			<tmks:GoodsServicesLimitationBag>
																				<xsl:for-each select="tmks:GoodsServicesLimitation">
																					<tmks:GoodsServicesLimitation>
																						<xsl:for-each select="tmks:LimitationCountryDetails">
																							<com:LimitationCountryCodeBag>
																								<xsl:for-each select="tmks:LimitationCountryCode">
																									<com:LimitationCountryCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:LimitationCountryCode>
																								</xsl:for-each>
																							</com:LimitationCountryCodeBag>
																						</xsl:for-each>
																						<com:CommentTextBag>
																							<xsl:for-each select="tmks:Comment">
																								<com:CommentText>
																									<xsl:for-each select="@languageCode">
																										<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																									</xsl:for-each>
																									<xsl:sequence select="fn:string(.)"/>
																								</com:CommentText>
																							</xsl:for-each>
																						</com:CommentTextBag>
																						<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																							<xsl:variable name="var123_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf32_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var123_resultof_vmf___inputtoresult">
																								<tmks:GoodsServicesLimitationCategory>
																									<xsl:sequence select="."/>
																								</tmks:GoodsServicesLimitationCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																							<tmks:LimitationClassDescriptionBag>
																								<xsl:for-each select="tmks:ClassDescription">
																									<tmks:ClassDescription>
																										<xsl:for-each select="tmks:ClassNumber">
																											<tmks:ClassNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassNumber>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassNumberStatusCode">
																											<xsl:variable name="var124_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf18_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var124_resultof_vmf___inputtoresult">
																												<tmks:ClassNumberStatusCategory>
																													<xsl:sequence select="."/>
																												</tmks:ClassNumberStatusCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:GoodsServicesDescription">
																											<tmks:GoodsServicesDescriptionText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:for-each select="@sequenceNumber">
																													<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:GoodsServicesDescriptionText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																											<tmks:UseNiceHeadingIndicator>
																												<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																											</tmks:UseNiceHeadingIndicator>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermDetails">
																											<tmks:ClassificationTermBag>
																												<xsl:for-each select="tmks:ClassificationTerm">
																													<tmks:ClassificationTerm>
																														<xsl:for-each select="@operationCode">
																															<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermIdentifier">
																															<tmks:ClassificationTermIdentifier>
																																<xsl:for-each select="@identifierKindCode">
																																	<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermIdentifier>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermOffice">
																															<tmks:ClassificationTermOfficeCode>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermOfficeCode>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																															<tmks:ClassificationTermOfficeIdentification>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermOfficeIdentification>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermSource">
																															<xsl:variable name="var125_resultof_vmf___inputtoresult" as="xs:string?">
																																<xsl:call-template name="vmf:vmf19_inputtoresult">
																																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var125_resultof_vmf___inputtoresult">
																																<tmks:ClassificationTermSourceCategory>
																																	<xsl:sequence select="."/>
																																</tmks:ClassificationTermSourceCategory>
																															</xsl:for-each>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermEntryDate">
																															<tmks:ClassificationTermEntryDate>
																																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																															</tmks:ClassificationTermEntryDate>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassNumber">
																															<tmks:ClassNumber>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassNumber>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermText">
																															<tmks:ClassificationTermText>
																																<xsl:for-each select="@languageCode">
																																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermText>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																															<tmks:ClassificationTermEquivalentGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermEquivalentGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																															<tmks:ClassificationTermReferenceGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermReferenceGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																															<tmks:ClassificationTermTranslationGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermTranslationGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermStatus">
																															<xsl:variable name="var127_cur" as="node()" select="."/>
																															<xsl:variable name="var126_resultof_vmf___inputtoresult" as="xs:string?">
																																<xsl:call-template name="vmf:vmf20_inputtoresult">
																																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var126_resultof_vmf___inputtoresult">
																																<tmks:ClassificationTermStatus>
																																	<xsl:for-each select="$var127_cur/@officeCode">
																																		<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																	</xsl:for-each>
																																	<xsl:sequence select="."/>
																																</tmks:ClassificationTermStatus>
																															</xsl:for-each>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:WIPOBasicNumber">
																															<tmks:WIPOBasicNumber>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:WIPOBasicNumber>
																														</xsl:for-each>
																													</tmks:ClassificationTerm>
																												</xsl:for-each>
																											</tmks:ClassificationTermBag>
																										</xsl:for-each>
																									</tmks:ClassDescription>
																								</xsl:for-each>
																							</tmks:LimitationClassDescriptionBag>
																						</xsl:for-each>
																					</tmks:GoodsServicesLimitation>
																				</xsl:for-each>
																			</tmks:GoodsServicesLimitationBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:NationalMarkDetails">
																			<tmks:NationalMarkBag>
																				<xsl:for-each select="tmks:NationalMark">
																					<tmks:NationalMark>
																						<tmks:NationalMarkRegistrationNumber>
																							<xsl:sequence select="fn:string(tmks:NationalMarkRegistrationNumber)"/>
																						</tmks:NationalMarkRegistrationNumber>
																						<xsl:for-each select="tmks:NationalMarkFilingDate">
																							<tmks:NationalMarkFilingDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</tmks:NationalMarkFilingDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:NationalMarkRegistrationDate">
																							<tmks:NationalMarkRegistrationDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</tmks:NationalMarkRegistrationDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:NationalMarkPriorityDate">
																							<tmks:NationalMarkPriorityDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</tmks:NationalMarkPriorityDate>
																						</xsl:for-each>
																					</tmks:NationalMark>
																				</xsl:for-each>
																			</tmks:NationalMarkBag>
																		</xsl:for-each>
																	</tmks:RecordNationalInternationalReplacement>
																</xsl:for-each>
																<xsl:for-each select="tmks:RecordShortNotation">
																	<tmks:RecordShortNotation>
																		<xsl:for-each select="tmks:RecordIdentifier">
																			<com:RecordIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordFilingDate">
																			<com:RecordFilingDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordFilingDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordNotificationDate">
																			<com:RecordNotificationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordNotificationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEffectiveDate">
																			<com:RecordEffectiveDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEffectiveDate>
																		</xsl:for-each>
																		<xsl:variable name="var128_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf45_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordShortNotationKind)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var128_resultof_vmf___inputtoresult">
																			<tmks:RecordShortNotationCategory>
																				<xsl:sequence select="."/>
																			</tmks:RecordShortNotationCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordReference">
																			<com:RecordReference>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordReference>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordLanguageCode">
																			<com:RecordLanguageCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordLanguageCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordPublicationDetails">
																			<tmks:RecordPublicationBag>
																				<xsl:for-each select="tmks:RecordPublication">
																					<tmks:RecordPublication>
																						<com:PublicationIdentifier>
																							<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																						</com:PublicationIdentifier>
																						<xsl:for-each select="tmks:PublicationSection">
																							<xsl:variable name="var129_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf27_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var129_resultof_vmf___inputtoresult">
																								<tmks:PublicationSectionCategory>
																									<xsl:sequence select="."/>
																								</tmks:PublicationSectionCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationSubsection">
																							<com:PublicationSubsection>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationSubsection>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationDate">
																							<com:PublicationDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:PublicationDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:PublicationPage">
																							<com:PublicationPage>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PublicationPage>
																						</xsl:for-each>
																					</tmks:RecordPublication>
																				</xsl:for-each>
																			</tmks:RecordPublicationBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantDetails">
																			<tmks:ClaimantBag>
																				<xsl:for-each select="tmks:ClaimantKey">
																					<com:PartyIdentifierBag>
																						<xsl:for-each select="tmks:Identifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																					</com:PartyIdentifierBag>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:Claimant">
																					<tmks:Claimant>
																						<xsl:for-each select="@operationCode">
																							<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantSequenceNumber">
																							<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantLegalEntity">
																							<com:LegalEntityName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LegalEntityName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIdentifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantAddressBook">
																							<xsl:variable name="var130_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var130_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantNationalityCode">
																							<com:NationalityCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:NationalityCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																							<com:IncorporationCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationCountryCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantIncorporationState">
																							<com:IncorporationState>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationState>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClaimantEntitlement">
																							<tmks:Entitlement>
																								<xsl:for-each select="tmks:EntitlementNationalityCode">
																									<com:EntitlementNationalityCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:EntitlementNationalityCode>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementEstablishment">
																									<com:EntitlementEstablishment>
																										<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																											<com:EntitlementEstablishmentCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementEstablishmentCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																											<xsl:variable name="var131_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																													<xsl:with-param name="AddressBook" as="node()">
																														<tmks:AddressBookType>
																															<xsl:sequence select="(./@node(), ./node())"/>
																														</tmks:AddressBookType>
																													</xsl:with-param>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var131_resultof_MappingST__AddressBookToST__Contact">
																												<com:Contact>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</com:Contact>
																											</xsl:for-each>
																										</xsl:for-each>
																									</com:EntitlementEstablishment>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementDomiciled">
																									<com:EntitlementDomiciled>
																										<xsl:for-each select="tmks:EntitlementDomiciledCode">
																											<com:EntitlementDomiciledCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementDomiciledCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																											<com:Contact>
																												<xsl:sequence select="()"/>
																											</com:Contact>
																										</xsl:for-each>
																									</com:EntitlementDomiciled>
																								</xsl:for-each>
																							</tmks:Entitlement>
																						</xsl:for-each>
																					</tmks:Claimant>
																				</xsl:for-each>
																			</tmks:ClaimantBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RepresentativeDetails">
																			<com:RepresentativeBag>
																				<xsl:for-each select="tmks:Representative">
																					<xsl:variable name="var132_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																							<xsl:with-param name="Representative" as="node()">
																								<tmks:RepresentativeType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:RepresentativeType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var132_resultof_MappingST__RepresentativeToST__Representative">
																						<com:Representative>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</com:Representative>
																					</xsl:for-each>
																				</xsl:for-each>
																			</com:RepresentativeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDetails">
																			<com:RecordEventBag>
																				<xsl:for-each select="tmks:RecordEvent">
																					<com:RecordEvent>
																						<xsl:variable name="var133_resultof_vmf___inputtoresult" as="xs:string?">
																							<xsl:call-template name="vmf:vmf35_inputtoresult">
																								<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																							</xsl:call-template>
																						</xsl:variable>
																						<xsl:for-each select="$var133_resultof_vmf___inputtoresult">
																							<com:RecordEventCategory>
																								<xsl:sequence select="."/>
																							</com:RecordEventCategory>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventResponseDate">
																							<com:RecordEventResponseDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventResponseDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDate">
																							<com:RecordEventDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RecordEventDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RecordEventDateTime">
																							<com:RecordEventDateTime>
																								<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																							</com:RecordEventDateTime>
																						</xsl:for-each>
																					</com:RecordEvent>
																				</xsl:for-each>
																			</com:RecordEventBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordDocumentDetails">
																			<com:RecordDocumentBag>
																				<xsl:for-each select="tmks:RecordDocument">
																					<com:RecordDocument>
																						<xsl:for-each select="tmks:DocumentLanguageCode">
																							<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentName">
																							<com:DocumentName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFilename">
																							<com:FileName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:FileName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFileFormat">
																							<xsl:variable name="var134_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf22_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var134_resultof_vmf___inputtoresult">
																								<com:DocumentFormatCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentFormatCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentDate">
																							<com:DocumentDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:DocumentDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentMedia">
																							<xsl:variable name="var135_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf23_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var135_resultof_vmf___inputtoresult">
																								<com:DocumentMediaCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentMediaCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentLocation">
																							<com:DocumentLocationURI>
																								<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																							</com:DocumentLocationURI>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentVersion">
																							<com:DocumentVersion>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentVersion>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentSizeInByte">
																							<com:DocumentSizeQuantity>
																								<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																							</com:DocumentSizeQuantity>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																					</com:RecordDocument>
																				</xsl:for-each>
																			</com:RecordDocumentBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordInterestedOfficeCode">
																			<com:RecordInterestedOfficeCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RecordInterestedOfficeCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordToRegistration">
																			<tmks:RecordToRegistration>
																				<xsl:for-each select="tmks:RegistrationIdentifier">
																					<tmks:RegistrationIdentifier>
																						<xsl:sequence select="fn:string(.)"/>
																					</tmks:RegistrationIdentifier>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:RegistrationDate">
																					<com:RegistrationDate>
																						<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																					</com:RegistrationDate>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:MarkVerbalElementText">
																					<tmks:MarkVerbalElementText>
																						<xsl:for-each select="@languageCode">
																							<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:sequence select="fn:string(.)"/>
																					</tmks:MarkVerbalElementText>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:DesignatedCountryDetails">
																					<tmks:DesignatedCountryCodeBag>
																						<xsl:for-each select="tmks:DesignatedCountryCode">
																							<com:DesignatedCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DesignatedCountryCode>
																						</xsl:for-each>
																					</tmks:DesignatedCountryCodeBag>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:GoodsServicesLimitation">
																					<tmks:GoodsServicesLimitation>
																						<xsl:for-each select="tmks:LimitationCountryDetails">
																							<com:LimitationCountryCodeBag>
																								<xsl:for-each select="tmks:LimitationCountryCode">
																									<com:LimitationCountryCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:LimitationCountryCode>
																								</xsl:for-each>
																							</com:LimitationCountryCodeBag>
																						</xsl:for-each>
																						<com:CommentTextBag>
																							<xsl:for-each select="tmks:Comment">
																								<com:CommentText>
																									<xsl:for-each select="@languageCode">
																										<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																									</xsl:for-each>
																									<xsl:sequence select="fn:string(.)"/>
																								</com:CommentText>
																							</xsl:for-each>
																						</com:CommentTextBag>
																						<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																							<xsl:variable name="var136_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf32_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var136_resultof_vmf___inputtoresult">
																								<tmks:GoodsServicesLimitationCategory>
																									<xsl:sequence select="."/>
																								</tmks:GoodsServicesLimitationCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																							<tmks:LimitationClassDescriptionBag>
																								<xsl:for-each select="tmks:ClassDescription">
																									<tmks:ClassDescription>
																										<xsl:for-each select="tmks:ClassNumber">
																											<tmks:ClassNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassNumber>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassNumberStatusCode">
																											<xsl:variable name="var137_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf18_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var137_resultof_vmf___inputtoresult">
																												<tmks:ClassNumberStatusCategory>
																													<xsl:sequence select="."/>
																												</tmks:ClassNumberStatusCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:GoodsServicesDescription">
																											<tmks:GoodsServicesDescriptionText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:for-each select="@sequenceNumber">
																													<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:GoodsServicesDescriptionText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																											<tmks:UseNiceHeadingIndicator>
																												<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																											</tmks:UseNiceHeadingIndicator>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermDetails">
																											<tmks:ClassificationTermBag>
																												<xsl:for-each select="tmks:ClassificationTerm">
																													<tmks:ClassificationTerm>
																														<xsl:for-each select="@operationCode">
																															<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermIdentifier">
																															<tmks:ClassificationTermIdentifier>
																																<xsl:for-each select="@identifierKindCode">
																																	<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermIdentifier>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermOffice">
																															<tmks:ClassificationTermOfficeCode>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermOfficeCode>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																															<tmks:ClassificationTermOfficeIdentification>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermOfficeIdentification>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermSource">
																															<xsl:variable name="var138_resultof_vmf___inputtoresult" as="xs:string?">
																																<xsl:call-template name="vmf:vmf19_inputtoresult">
																																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var138_resultof_vmf___inputtoresult">
																																<tmks:ClassificationTermSourceCategory>
																																	<xsl:sequence select="."/>
																																</tmks:ClassificationTermSourceCategory>
																															</xsl:for-each>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermEntryDate">
																															<tmks:ClassificationTermEntryDate>
																																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																															</tmks:ClassificationTermEntryDate>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassNumber">
																															<tmks:ClassNumber>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassNumber>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermText">
																															<tmks:ClassificationTermText>
																																<xsl:for-each select="@languageCode">
																																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermText>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																															<tmks:ClassificationTermEquivalentGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermEquivalentGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																															<tmks:ClassificationTermReferenceGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermReferenceGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																															<tmks:ClassificationTermTranslationGroup>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:ClassificationTermTranslationGroup>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:ClassificationTermStatus">
																															<xsl:variable name="var140_cur" as="node()" select="."/>
																															<xsl:variable name="var139_resultof_vmf___inputtoresult" as="xs:string?">
																																<xsl:call-template name="vmf:vmf20_inputtoresult">
																																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																</xsl:call-template>
																															</xsl:variable>
																															<xsl:for-each select="$var139_resultof_vmf___inputtoresult">
																																<tmks:ClassificationTermStatus>
																																	<xsl:for-each select="$var140_cur/@officeCode">
																																		<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																	</xsl:for-each>
																																	<xsl:sequence select="."/>
																																</tmks:ClassificationTermStatus>
																															</xsl:for-each>
																														</xsl:for-each>
																														<xsl:for-each select="tmks:WIPOBasicNumber">
																															<tmks:WIPOBasicNumber>
																																<xsl:sequence select="fn:string(.)"/>
																															</tmks:WIPOBasicNumber>
																														</xsl:for-each>
																													</tmks:ClassificationTerm>
																												</xsl:for-each>
																											</tmks:ClassificationTermBag>
																										</xsl:for-each>
																									</tmks:ClassDescription>
																								</xsl:for-each>
																							</tmks:LimitationClassDescriptionBag>
																						</xsl:for-each>
																					</tmks:GoodsServicesLimitation>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:ApplicantDetails">
																					<tmks:ApplicantBag>
																						<xsl:for-each select="tmks:Applicant">
																							<xsl:variable name="var141_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																									<xsl:with-param name="Applicant" as="node()">
																										<tmks:ApplicantType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:ApplicantType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var141_resultof_MappingST__ApplicantToST__Applicant">
																								<tmks:Applicant>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:Applicant>
																							</xsl:for-each>
																						</xsl:for-each>
																					</tmks:ApplicantBag>
																				</xsl:for-each>
																			</tmks:RecordToRegistration>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordFromRegistrationDetails">
																			<tmks:RecordFromRegistrationBag>
																				<xsl:for-each select="tmks:RecordFromRegistration">
																					<tmks:RecordFromRegistration>
																						<xsl:for-each select="tmks:RegistrationIdentifier">
																							<tmks:RegistrationIdentifier>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:RegistrationIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:RegistrationDate">
																							<com:RegistrationDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:RegistrationDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:MarkVerbalElementText">
																							<tmks:MarkVerbalElementText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:MarkVerbalElementText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DesignatedCountryDetails">
																							<tmks:DesignatedCountryCodeBag>
																								<xsl:for-each select="tmks:DesignatedCountryCode">
																									<com:DesignatedCountryCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:DesignatedCountryCode>
																								</xsl:for-each>
																							</tmks:DesignatedCountryCodeBag>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:GoodsServicesLimitation">
																							<tmks:GoodsServicesLimitation>
																								<xsl:for-each select="tmks:LimitationCountryDetails">
																									<com:LimitationCountryCodeBag>
																										<xsl:for-each select="tmks:LimitationCountryCode">
																											<com:LimitationCountryCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:LimitationCountryCode>
																										</xsl:for-each>
																									</com:LimitationCountryCodeBag>
																								</xsl:for-each>
																								<com:CommentTextBag>
																									<xsl:for-each select="tmks:Comment">
																										<com:CommentText>
																											<xsl:for-each select="@languageCode">
																												<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																											</xsl:for-each>
																											<xsl:sequence select="fn:string(.)"/>
																										</com:CommentText>
																									</xsl:for-each>
																								</com:CommentTextBag>
																								<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																									<xsl:variable name="var142_resultof_vmf___inputtoresult" as="xs:string?">
																										<xsl:call-template name="vmf:vmf32_inputtoresult">
																											<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																										</xsl:call-template>
																									</xsl:variable>
																									<xsl:for-each select="$var142_resultof_vmf___inputtoresult">
																										<tmks:GoodsServicesLimitationCategory>
																											<xsl:sequence select="."/>
																										</tmks:GoodsServicesLimitationCategory>
																									</xsl:for-each>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																									<tmks:LimitationClassDescriptionBag>
																										<xsl:for-each select="tmks:ClassDescription">
																											<tmks:ClassDescription>
																												<xsl:for-each select="tmks:ClassNumber">
																													<tmks:ClassNumber>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassNumber>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassNumberStatusCode">
																													<xsl:variable name="var143_resultof_vmf___inputtoresult" as="xs:string?">
																														<xsl:call-template name="vmf:vmf18_inputtoresult">
																															<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																														</xsl:call-template>
																													</xsl:variable>
																													<xsl:for-each select="$var143_resultof_vmf___inputtoresult">
																														<tmks:ClassNumberStatusCategory>
																															<xsl:sequence select="."/>
																														</tmks:ClassNumberStatusCategory>
																													</xsl:for-each>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:GoodsServicesDescription">
																													<tmks:GoodsServicesDescriptionText>
																														<xsl:for-each select="@languageCode">
																															<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:for-each select="@sequenceNumber">
																															<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																														</xsl:for-each>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:GoodsServicesDescriptionText>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																													<tmks:UseNiceHeadingIndicator>
																														<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																													</tmks:UseNiceHeadingIndicator>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermDetails">
																													<tmks:ClassificationTermBag>
																														<xsl:for-each select="tmks:ClassificationTerm">
																															<tmks:ClassificationTerm>
																																<xsl:for-each select="@operationCode">
																																	<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermIdentifier">
																																	<tmks:ClassificationTermIdentifier>
																																		<xsl:for-each select="@identifierKindCode">
																																			<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																		</xsl:for-each>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermIdentifier>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermOffice">
																																	<tmks:ClassificationTermOfficeCode>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermOfficeCode>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																																	<tmks:ClassificationTermOfficeIdentification>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermOfficeIdentification>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermSource">
																																	<xsl:variable name="var144_resultof_vmf___inputtoresult" as="xs:string?">
																																		<xsl:call-template name="vmf:vmf19_inputtoresult">
																																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																		</xsl:call-template>
																																	</xsl:variable>
																																	<xsl:for-each select="$var144_resultof_vmf___inputtoresult">
																																		<tmks:ClassificationTermSourceCategory>
																																			<xsl:sequence select="."/>
																																		</tmks:ClassificationTermSourceCategory>
																																	</xsl:for-each>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermEntryDate">
																																	<tmks:ClassificationTermEntryDate>
																																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																																	</tmks:ClassificationTermEntryDate>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassNumber">
																																	<tmks:ClassNumber>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassNumber>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermText">
																																	<tmks:ClassificationTermText>
																																		<xsl:for-each select="@languageCode">
																																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																																		</xsl:for-each>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermText>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																																	<tmks:ClassificationTermEquivalentGroup>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermEquivalentGroup>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																																	<tmks:ClassificationTermReferenceGroup>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermReferenceGroup>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																																	<tmks:ClassificationTermTranslationGroup>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:ClassificationTermTranslationGroup>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:ClassificationTermStatus">
																																	<xsl:variable name="var146_cur" as="node()" select="."/>
																																	<xsl:variable name="var145_resultof_vmf___inputtoresult" as="xs:string?">
																																		<xsl:call-template name="vmf:vmf20_inputtoresult">
																																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																																		</xsl:call-template>
																																	</xsl:variable>
																																	<xsl:for-each select="$var145_resultof_vmf___inputtoresult">
																																		<tmks:ClassificationTermStatus>
																																			<xsl:for-each select="$var146_cur/@officeCode">
																																				<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																																			</xsl:for-each>
																																			<xsl:sequence select="."/>
																																		</tmks:ClassificationTermStatus>
																																	</xsl:for-each>
																																</xsl:for-each>
																																<xsl:for-each select="tmks:WIPOBasicNumber">
																																	<tmks:WIPOBasicNumber>
																																		<xsl:sequence select="fn:string(.)"/>
																																	</tmks:WIPOBasicNumber>
																																</xsl:for-each>
																															</tmks:ClassificationTerm>
																														</xsl:for-each>
																													</tmks:ClassificationTermBag>
																												</xsl:for-each>
																											</tmks:ClassDescription>
																										</xsl:for-each>
																									</tmks:LimitationClassDescriptionBag>
																								</xsl:for-each>
																							</tmks:GoodsServicesLimitation>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ApplicantDetails">
																							<tmks:ApplicantBag>
																								<xsl:for-each select="tmks:Applicant">
																									<xsl:variable name="var147_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																										<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																											<xsl:with-param name="Applicant" as="node()">
																												<tmks:ApplicantType>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</tmks:ApplicantType>
																											</xsl:with-param>
																										</xsl:call-template>
																									</xsl:variable>
																									<xsl:for-each select="$var147_resultof_MappingST__ApplicantToST__Applicant">
																										<tmks:Applicant>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:Applicant>
																									</xsl:for-each>
																								</xsl:for-each>
																							</tmks:ApplicantBag>
																						</xsl:for-each>
																					</tmks:RecordFromRegistration>
																				</xsl:for-each>
																			</tmks:RecordFromRegistrationBag>
																		</xsl:for-each>
																	</tmks:RecordShortNotation>
																</xsl:for-each>
															</tmks:MarkRecord>
														</xsl:for-each>
													</tmks:MarkRecordBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:MarkEventDetails">
													<tmks:MarkEventBag>
														<xsl:for-each select="tmks:MarkEvent">
															<tmks:MarkEvent>
																<xsl:variable name="var148_resultof_vmf___inputtoresult" as="xs:string?">
																	<xsl:call-template name="vmf:vmf46_inputtoresult">
																		<xsl:with-param name="input" select="fn:string(tmks:MarkEventCode)" as="xs:string"/>
																	</xsl:call-template>
																</xsl:variable>
																<xsl:for-each select="$var148_resultof_vmf___inputtoresult">
																	<tmks:MarkEventCategory>
																		<xsl:sequence select="."/>
																	</tmks:MarkEventCategory>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkEventResponseDate">
																	<tmks:MarkEventResponseDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:MarkEventResponseDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:Comment">
																	<com:CommentText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:CommentText>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkEventDate">
																	<tmks:MarkEventDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</tmks:MarkEventDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkEventDateTime">
																	<tmks:MarkEventDateTime>
																		<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																	</tmks:MarkEventDateTime>
																</xsl:for-each>
															</tmks:MarkEvent>
														</xsl:for-each>
													</tmks:MarkEventBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:TradeMarkDocumentDetails">
													<tmks:TrademarkDocumentBag>
														<xsl:for-each select="tmks:TradeMarkDocument">
															<tmks:TrademarkDocument>
																<xsl:for-each select="tmks:DocumentLanguageCode">
																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentName">
																	<com:DocumentName>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:DocumentName>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentFilename">
																	<com:FileName>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:FileName>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentFileFormat">
																	<com:DocumentFormatCategory>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:DocumentFormatCategory>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentDate">
																	<com:DocumentDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</com:DocumentDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentMedia">
																	<com:DocumentMediaCategory>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:DocumentMediaCategory>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentLocation">
																	<com:DocumentLocationURI>
																		<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																	</com:DocumentLocationURI>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentVersion">
																	<com:DocumentVersion>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:DocumentVersion>
																</xsl:for-each>
																<xsl:for-each select="tmks:DocumentSizeInByte">
																	<com:DocumentSizeQuantity>
																		<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																	</com:DocumentSizeQuantity>
																</xsl:for-each>
																<xsl:for-each select="tmks:Comment">
																	<com:CommentText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="@sequenceNumber">
																			<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:CommentText>
																</xsl:for-each>
															</tmks:TrademarkDocument>
														</xsl:for-each>
													</tmks:TrademarkDocumentBag>
												</xsl:for-each>
												<xsl:for-each select="tmks:TradeMarkVersion">
													<com:Version>
														<xsl:for-each select="tmks:Comment">
															<com:CommentText>
																<xsl:for-each select="@languageCode">
																	<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:sequence select="fn:string(.)"/>
															</com:CommentText>
														</xsl:for-each>
														<xsl:for-each select="tmks:VersionNumber">
															<com:VersionNumber>
																<xsl:sequence select="fn:string(.)"/>
															</com:VersionNumber>
														</xsl:for-each>
														<xsl:for-each select="tmks:VersionDate">
															<com:VersionDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:VersionDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:VersionDateTime">
															<com:VersionDateTime>
																<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
															</com:VersionDateTime>
														</xsl:for-each>
													</com:Version>
												</xsl:for-each>
												<xsl:for-each select="tmks:CorrespondenceAddress">
													<com:CorrespondenceAddress>
														<xsl:for-each select="tmks:CorrespondenceAddressParty">
															<xsl:variable name="var149_resultof_vmf___inputtoresult" as="xs:string?">
																<xsl:call-template name="vmf:vmf37_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var149_resultof_vmf___inputtoresult">
																<com:CorrespondenceAddressPartyCategory>
																	<xsl:sequence select="."/>
																</com:CorrespondenceAddressPartyCategory>
															</xsl:for-each>
														</xsl:for-each>
														<xsl:for-each select="tmks:CorrespondenceAddressIdentifier">
															<com:PartyIdentifier>
																<xsl:for-each select="@identifierKindCode">
																	<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																</xsl:for-each>
																<xsl:sequence select="fn:string(.)"/>
															</com:PartyIdentifier>
														</xsl:for-each>
														<xsl:for-each select="tmks:CorrespondenceAddressBook">
															<xsl:variable name="var150_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																	<xsl:with-param name="AddressBook" as="node()">
																		<tmks:AddressBookType>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</tmks:AddressBookType>
																	</xsl:with-param>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var150_resultof_MappingST__AddressBookToST__Contact">
																<com:Contact>
																	<xsl:sequence select="(./@node(), ./node())"/>
																</com:Contact>
															</xsl:for-each>
														</xsl:for-each>
													</com:CorrespondenceAddress>
												</xsl:for-each>
											</tmks:Trademark>
										</xsl:for-each>
									</tmks:TrademarkBag>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:ApplicantDetails">
									<tmks:ApplicantBag>
										<xsl:for-each select="tmks:Applicant">
											<tmks:Applicant>
												<xsl:sequence select="()"/>
											</tmks:Applicant>
										</xsl:for-each>
									</tmks:ApplicantBag>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:RepresentativeDetails">
									<com:RepresentativeBag>
										<xsl:for-each select="tmks:Representative">
											<com:Representative>
												<xsl:sequence select="()"/>
											</com:Representative>
										</xsl:for-each>
									</com:RepresentativeBag>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:MarkRecordDetails">
									<tmks:MarkRecordBag>
										<xsl:for-each select="tmks:MarkRecord">
											<tmks:MarkRecord>
												<xsl:for-each select="tmks:BasicRecord">
													<tmks:BasicRecord>
														<xsl:for-each select="tmks:RecordIdentifier">
															<com:RecordIdentifier>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordIdentifier>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordFilingDate">
															<com:RecordFilingDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordFilingDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordNotificationDate">
															<com:RecordNotificationDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordNotificationDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEffectiveDate">
															<com:RecordEffectiveDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordEffectiveDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:BasicRecordKind">
															<xsl:variable name="var152_resultof_vmf___inputtoresult" as="xs:string?">
																<xsl:call-template name="vmf:vmf30_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var152_resultof_vmf___inputtoresult">
																<tmks:BasicRecordCategory>
																	<xsl:sequence select="."/>
																</tmks:BasicRecordCategory>
															</xsl:for-each>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordReference">
															<com:RecordReference>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordReference>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordLanguageCode">
															<com:RecordLanguageCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordLanguageCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:TradeMarkKeyDetails">
															<tmks:TrademarkIdentification>
																<xsl:for-each select="tmks:TradeMarkKey">
																	<tmks:TrademarkIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<tmks:TrademarkIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:TrademarkIdentifier>
																		</xsl:for-each>
																	</tmks:TrademarkIdentifierBag>
																</xsl:for-each>
															</tmks:TrademarkIdentification>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordPublicationDetails">
															<tmks:RecordPublicationBag>
																<xsl:for-each select="tmks:RecordPublication">
																	<tmks:RecordPublication>
																		<com:PublicationIdentifier>
																			<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																		</com:PublicationIdentifier>
																		<xsl:for-each select="tmks:PublicationSection">
																			<xsl:variable name="var153_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf27_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var153_resultof_vmf___inputtoresult">
																				<tmks:PublicationSectionCategory>
																					<xsl:sequence select="."/>
																				</tmks:PublicationSectionCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationSubsection">
																			<com:PublicationSubsection>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationSubsection>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationDate">
																			<com:PublicationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:PublicationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationPage">
																			<com:PublicationPage>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationPage>
																		</xsl:for-each>
																	</tmks:RecordPublication>
																</xsl:for-each>
															</tmks:RecordPublicationBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:ClaimantDetails">
															<tmks:ClaimantBag>
																<xsl:for-each select="tmks:ClaimantKey">
																	<com:PartyIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																	</com:PartyIdentifierBag>
																</xsl:for-each>
																<xsl:for-each select="tmks:Claimant">
																	<tmks:Claimant>
																		<xsl:for-each select="@operationCode">
																			<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantSequenceNumber">
																			<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantLegalEntity">
																			<com:LegalEntityName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:LegalEntityName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIdentifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantAddressBook">
																			<xsl:variable name="var154_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																				<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																					<xsl:with-param name="AddressBook" as="node()">
																						<tmks:AddressBookType>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</tmks:AddressBookType>
																					</xsl:with-param>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var154_resultof_MappingST__AddressBookToST__Contact">
																				<com:Contact>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</com:Contact>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantNationalityCode">
																			<com:NationalityCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:NationalityCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																			<com:IncorporationCountryCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationCountryCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationState">
																			<com:IncorporationState>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationState>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantEntitlement">
																			<tmks:Entitlement>
																				<xsl:for-each select="tmks:EntitlementNationalityCode">
																					<com:EntitlementNationalityCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:EntitlementNationalityCode>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementEstablishment">
																					<com:EntitlementEstablishment>
																						<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																							<com:EntitlementEstablishmentCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementEstablishmentCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																							<xsl:variable name="var155_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var155_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																					</com:EntitlementEstablishment>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementDomiciled">
																					<com:EntitlementDomiciled>
																						<xsl:for-each select="tmks:EntitlementDomiciledCode">
																							<com:EntitlementDomiciledCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementDomiciledCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																							<com:Contact>
																								<xsl:sequence select="()"/>
																							</com:Contact>
																						</xsl:for-each>
																					</com:EntitlementDomiciled>
																				</xsl:for-each>
																			</tmks:Entitlement>
																		</xsl:for-each>
																	</tmks:Claimant>
																</xsl:for-each>
															</tmks:ClaimantBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RepresentativeDetails">
															<com:RepresentativeBag>
																<xsl:for-each select="tmks:Representative">
																	<xsl:variable name="var156_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																			<xsl:with-param name="Representative" as="node()">
																				<tmks:RepresentativeType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:RepresentativeType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var156_resultof_MappingST__RepresentativeToST__Representative">
																		<com:Representative>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</com:Representative>
																	</xsl:for-each>
																</xsl:for-each>
															</com:RepresentativeBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEventDetails">
															<com:RecordEventBag>
																<xsl:for-each select="tmks:RecordEvent">
																	<com:RecordEvent>
																		<com:RecordEventCategory>
																			<xsl:sequence select="fn:string(tmks:RecordEventCode)"/>
																		</com:RecordEventCategory>
																		<xsl:for-each select="tmks:RecordEventResponseDate">
																			<com:RecordEventResponseDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventResponseDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDate">
																			<com:RecordEventDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDateTime">
																			<com:RecordEventDateTime>
																				<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																			</com:RecordEventDateTime>
																		</xsl:for-each>
																	</com:RecordEvent>
																</xsl:for-each>
															</com:RecordEventBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordDocumentDetails">
															<com:RecordDocumentBag>
																<xsl:for-each select="tmks:RecordDocument">
																	<com:RecordDocument>
																		<xsl:for-each select="tmks:DocumentLanguageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentName">
																			<com:DocumentName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFileFormat">
																			<xsl:variable name="var157_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf22_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var157_resultof_vmf___inputtoresult">
																				<com:DocumentFormatCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentDate">
																			<com:DocumentDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:DocumentDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentMedia">
																			<xsl:variable name="var158_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf23_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var158_resultof_vmf___inputtoresult">
																				<com:DocumentMediaCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentMediaCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentLocation">
																			<com:DocumentLocationURI>
																				<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																			</com:DocumentLocationURI>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentVersion">
																			<com:DocumentVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentSizeInByte">
																			<com:DocumentSizeQuantity>
																				<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																			</com:DocumentSizeQuantity>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																	</com:RecordDocument>
																</xsl:for-each>
															</com:RecordDocumentBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordCurrentStatusCode">
															<xsl:variable name="var159_resultof_vmf___inputtoresult" as="xs:string?">
																<xsl:call-template name="vmf:vmf31_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var159_resultof_vmf___inputtoresult">
																<com:RecordCurrentStatusCategory>
																	<xsl:sequence select="."/>
																</com:RecordCurrentStatusCategory>
															</xsl:for-each>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordCurrentStatusDate">
															<com:RecordCurrentStatusDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordCurrentStatusDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:FactDecisionText">
															<tmks:ReasonDocument>
																<com:FactDecisionText>
																	<xsl:for-each select="@languageCode">
																		<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																	</xsl:for-each>
																	<xsl:sequence select="fn:string(.)"/>
																</com:FactDecisionText>
															</tmks:ReasonDocument>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordInterestedOfficeCode">
															<com:RecordInterestedOfficeCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordInterestedOfficeCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordDesignatedCountryDetails">
															<com:RecordDesignatedCountryCodeBag>
																<xsl:for-each select="tmks:RecordDesignatedCountryCode">
																	<com:RecordDesignatedCountryCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:RecordDesignatedCountryCode>
																</xsl:for-each>
															</com:RecordDesignatedCountryCodeBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordUseIntentDetails">
															<tmks:RecordUseIntentBag>
																<xsl:for-each select="tmks:RecordUseIntentCountryCode">
																	<tmks:RecordUseIntentCountryCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:RecordUseIntentCountryCode>
																</xsl:for-each>
															</tmks:RecordUseIntentBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:GoodsServicesLimitationDetails">
															<tmks:GoodsServicesLimitationBag>
																<xsl:for-each select="tmks:GoodsServicesLimitation">
																	<tmks:GoodsServicesLimitation>
																		<xsl:for-each select="tmks:LimitationCountryDetails">
																			<com:LimitationCountryCodeBag>
																				<xsl:for-each select="tmks:LimitationCountryCode">
																					<com:LimitationCountryCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:LimitationCountryCode>
																				</xsl:for-each>
																			</com:LimitationCountryCodeBag>
																		</xsl:for-each>
																		<com:CommentTextBag>
																			<xsl:for-each select="tmks:Comment">
																				<com:CommentText>
																					<xsl:for-each select="@languageCode">
																						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																					</xsl:for-each>
																					<xsl:sequence select="fn:string(.)"/>
																				</com:CommentText>
																			</xsl:for-each>
																		</com:CommentTextBag>
																		<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																			<xsl:variable name="var160_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf32_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var160_resultof_vmf___inputtoresult">
																				<tmks:GoodsServicesLimitationCategory>
																					<xsl:sequence select="."/>
																				</tmks:GoodsServicesLimitationCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																			<tmks:LimitationClassDescriptionBag>
																				<xsl:for-each select="tmks:ClassDescription">
																					<tmks:ClassDescription>
																						<xsl:for-each select="tmks:ClassNumber">
																							<tmks:ClassNumber>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:ClassNumber>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClassNumberStatusCode">
																							<xsl:variable name="var161_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf18_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var161_resultof_vmf___inputtoresult">
																								<tmks:ClassNumberStatusCategory>
																									<xsl:sequence select="."/>
																								</tmks:ClassNumberStatusCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:GoodsServicesDescription">
																							<tmks:GoodsServicesDescriptionText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:for-each select="@sequenceNumber">
																									<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:GoodsServicesDescriptionText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																							<tmks:UseNiceHeadingIndicator>
																								<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																							</tmks:UseNiceHeadingIndicator>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClassificationTermDetails">
																							<tmks:ClassificationTermBag>
																								<xsl:for-each select="tmks:ClassificationTerm">
																									<tmks:ClassificationTerm>
																										<xsl:for-each select="@operationCode">
																											<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermIdentifier">
																											<tmks:ClassificationTermIdentifier>
																												<xsl:for-each select="@identifierKindCode">
																													<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermIdentifier>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermOffice">
																											<tmks:ClassificationTermOfficeCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermOfficeCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																											<tmks:ClassificationTermOfficeIdentification>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermOfficeIdentification>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermSource">
																											<xsl:variable name="var162_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf19_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var162_resultof_vmf___inputtoresult">
																												<tmks:ClassificationTermSourceCategory>
																													<xsl:sequence select="."/>
																												</tmks:ClassificationTermSourceCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermEntryDate">
																											<tmks:ClassificationTermEntryDate>
																												<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																											</tmks:ClassificationTermEntryDate>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassNumber">
																											<tmks:ClassNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassNumber>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermText">
																											<tmks:ClassificationTermText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																											<tmks:ClassificationTermEquivalentGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermEquivalentGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																											<tmks:ClassificationTermReferenceGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermReferenceGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																											<tmks:ClassificationTermTranslationGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermTranslationGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermStatus">
																											<xsl:variable name="var164_cur" as="node()" select="."/>
																											<xsl:variable name="var163_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf20_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var163_resultof_vmf___inputtoresult">
																												<tmks:ClassificationTermStatus>
																													<xsl:for-each select="$var164_cur/@officeCode">
																														<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																													</xsl:for-each>
																													<xsl:sequence select="."/>
																												</tmks:ClassificationTermStatus>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:WIPOBasicNumber">
																											<tmks:WIPOBasicNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:WIPOBasicNumber>
																										</xsl:for-each>
																									</tmks:ClassificationTerm>
																								</xsl:for-each>
																							</tmks:ClassificationTermBag>
																						</xsl:for-each>
																					</tmks:ClassDescription>
																				</xsl:for-each>
																			</tmks:LimitationClassDescriptionBag>
																		</xsl:for-each>
																	</tmks:GoodsServicesLimitation>
																</xsl:for-each>
															</tmks:GoodsServicesLimitationBag>
														</xsl:for-each>
													</tmks:BasicRecord>
												</xsl:for-each>
												<xsl:for-each select="tmks:RecordOppositionPeriod">
													<tmks:RecordOppositionPeriod>
														<xsl:for-each select="tmks:RecordIdentifier">
															<com:RecordIdentifier>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordIdentifier>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordFilingDate">
															<com:RecordFilingDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordFilingDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordNotificationDate">
															<com:RecordNotificationDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordNotificationDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEffectiveDate">
															<com:RecordEffectiveDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordEffectiveDate>
														</xsl:for-each>
														<xsl:variable name="var165_resultof_vmf___inputtoresult" as="xs:string?">
															<xsl:call-template name="vmf:vmf33_inputtoresult">
																<xsl:with-param name="input" select="fn:string(tmks:RecordOppositionPeriodKind)" as="xs:string"/>
															</xsl:call-template>
														</xsl:variable>
														<xsl:for-each select="$var165_resultof_vmf___inputtoresult">
															<tmks:RecordOppositionPeriodCategory>
																<xsl:sequence select="."/>
															</tmks:RecordOppositionPeriodCategory>
														</xsl:for-each>
														<xsl:for-each select="tmks:TradeMarkKeyDetails">
															<tmks:TrademarkIdentification>
																<xsl:for-each select="tmks:TradeMarkKey">
																	<tmks:TrademarkIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<tmks:TrademarkIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:TrademarkIdentifier>
																		</xsl:for-each>
																	</tmks:TrademarkIdentifierBag>
																</xsl:for-each>
															</tmks:TrademarkIdentification>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordPublicationDetails">
															<tmks:RecordPublicationBag>
																<xsl:for-each select="tmks:RecordPublication">
																	<tmks:RecordPublication>
																		<com:PublicationIdentifier>
																			<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																		</com:PublicationIdentifier>
																		<xsl:for-each select="tmks:PublicationSection">
																			<xsl:variable name="var166_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf27_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var166_resultof_vmf___inputtoresult">
																				<tmks:PublicationSectionCategory>
																					<xsl:sequence select="."/>
																				</tmks:PublicationSectionCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationSubsection">
																			<com:PublicationSubsection>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationSubsection>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationDate">
																			<com:PublicationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:PublicationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationPage">
																			<com:PublicationPage>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationPage>
																		</xsl:for-each>
																	</tmks:RecordPublication>
																</xsl:for-each>
															</tmks:RecordPublicationBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordInterestedOfficeCode">
															<com:RecordInterestedOfficeCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordInterestedOfficeCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordOppositionPeriodStartDate">
															<tmks:RecordOppositionPeriodStartDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</tmks:RecordOppositionPeriodStartDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordOppositionPeriodEndDate">
															<tmks:RecordOppositionPeriodEndDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</tmks:RecordOppositionPeriodEndDate>
														</xsl:for-each>
													</tmks:RecordOppositionPeriod>
												</xsl:for-each>
												<xsl:for-each select="tmks:RecordTransfer">
													<tmks:RecordTransfer>
														<xsl:for-each select="tmks:RecordIdentifier">
															<com:RecordIdentifier>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordIdentifier>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordFilingDate">
															<com:RecordFilingDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordFilingDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordNotificationDate">
															<com:RecordNotificationDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordNotificationDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEffectiveDate">
															<com:RecordEffectiveDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordEffectiveDate>
														</xsl:for-each>
														<xsl:variable name="var167_resultof_vmf___inputtoresult" as="xs:string?">
															<xsl:call-template name="vmf:vmf34_inputtoresult">
																<xsl:with-param name="input" select="fn:string(tmks:RecordTransferKind)" as="xs:string"/>
															</xsl:call-template>
														</xsl:variable>
														<xsl:for-each select="$var167_resultof_vmf___inputtoresult">
															<com:RecordTransferCategory>
																<xsl:sequence select="."/>
															</com:RecordTransferCategory>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordReference">
															<com:RecordReference>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordReference>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordLanguageCode">
															<com:RecordLanguageCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordLanguageCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:TradeMarkKeyDetails">
															<tmks:TrademarkIdentification>
																<xsl:for-each select="tmks:TradeMarkKey">
																	<tmks:TrademarkIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<tmks:TrademarkIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:TrademarkIdentifier>
																		</xsl:for-each>
																	</tmks:TrademarkIdentifierBag>
																</xsl:for-each>
															</tmks:TrademarkIdentification>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordPublicationDetails">
															<tmks:RecordPublicationBag>
																<xsl:for-each select="tmks:RecordPublication">
																	<tmks:RecordPublication>
																		<com:PublicationIdentifier>
																			<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																		</com:PublicationIdentifier>
																		<xsl:for-each select="tmks:PublicationSection">
																			<xsl:variable name="var168_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf27_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var168_resultof_vmf___inputtoresult">
																				<tmks:PublicationSectionCategory>
																					<xsl:sequence select="."/>
																				</tmks:PublicationSectionCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationSubsection">
																			<com:PublicationSubsection>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationSubsection>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationDate">
																			<com:PublicationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:PublicationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationPage">
																			<com:PublicationPage>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationPage>
																		</xsl:for-each>
																	</tmks:RecordPublication>
																</xsl:for-each>
															</tmks:RecordPublicationBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:ClaimantDetails">
															<tmks:ClaimantBag>
																<xsl:for-each select="tmks:ClaimantKey">
																	<com:PartyIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																	</com:PartyIdentifierBag>
																</xsl:for-each>
																<xsl:for-each select="tmks:Claimant">
																	<tmks:Claimant>
																		<xsl:for-each select="@operationCode">
																			<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantSequenceNumber">
																			<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantLegalEntity">
																			<com:LegalEntityName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:LegalEntityName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIdentifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantAddressBook">
																			<xsl:variable name="var169_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																				<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																					<xsl:with-param name="AddressBook" as="node()">
																						<tmks:AddressBookType>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</tmks:AddressBookType>
																					</xsl:with-param>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var169_resultof_MappingST__AddressBookToST__Contact">
																				<com:Contact>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</com:Contact>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantNationalityCode">
																			<com:NationalityCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:NationalityCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																			<com:IncorporationCountryCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationCountryCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationState">
																			<com:IncorporationState>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationState>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantEntitlement">
																			<tmks:Entitlement>
																				<xsl:for-each select="tmks:EntitlementNationalityCode">
																					<com:EntitlementNationalityCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:EntitlementNationalityCode>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementEstablishment">
																					<com:EntitlementEstablishment>
																						<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																							<com:EntitlementEstablishmentCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementEstablishmentCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																							<xsl:variable name="var170_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var170_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																					</com:EntitlementEstablishment>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementDomiciled">
																					<com:EntitlementDomiciled>
																						<xsl:for-each select="tmks:EntitlementDomiciledCode">
																							<com:EntitlementDomiciledCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementDomiciledCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																							<com:Contact>
																								<xsl:sequence select="()"/>
																							</com:Contact>
																						</xsl:for-each>
																					</com:EntitlementDomiciled>
																				</xsl:for-each>
																			</tmks:Entitlement>
																		</xsl:for-each>
																	</tmks:Claimant>
																</xsl:for-each>
															</tmks:ClaimantBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RepresentativeDetails">
															<com:RepresentativeBag>
																<xsl:for-each select="tmks:Representative">
																	<xsl:variable name="var171_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																			<xsl:with-param name="Representative" as="node()">
																				<tmks:RepresentativeType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:RepresentativeType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var171_resultof_MappingST__RepresentativeToST__Representative">
																		<com:Representative>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</com:Representative>
																	</xsl:for-each>
																</xsl:for-each>
															</com:RepresentativeBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEventDetails">
															<com:RecordEventBag>
																<xsl:for-each select="tmks:RecordEvent">
																	<com:RecordEvent>
																		<xsl:variable name="var172_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf35_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var172_resultof_vmf___inputtoresult">
																			<com:RecordEventCategory>
																				<xsl:sequence select="."/>
																			</com:RecordEventCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventResponseDate">
																			<com:RecordEventResponseDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventResponseDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDate">
																			<com:RecordEventDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDateTime">
																			<com:RecordEventDateTime>
																				<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																			</com:RecordEventDateTime>
																		</xsl:for-each>
																	</com:RecordEvent>
																</xsl:for-each>
															</com:RecordEventBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordDocumentDetails">
															<com:RecordDocumentBag>
																<xsl:for-each select="tmks:RecordDocument">
																	<com:RecordDocument>
																		<xsl:for-each select="tmks:DocumentLanguageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentName">
																			<com:DocumentName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFileFormat">
																			<xsl:variable name="var173_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf22_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var173_resultof_vmf___inputtoresult">
																				<com:DocumentFormatCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentDate">
																			<com:DocumentDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:DocumentDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentMedia">
																			<xsl:variable name="var174_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf23_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var174_resultof_vmf___inputtoresult">
																				<com:DocumentMediaCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentMediaCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentLocation">
																			<com:DocumentLocationURI>
																				<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																			</com:DocumentLocationURI>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentVersion">
																			<com:DocumentVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentSizeInByte">
																			<com:DocumentSizeQuantity>
																				<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																			</com:DocumentSizeQuantity>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																	</com:RecordDocument>
																</xsl:for-each>
															</com:RecordDocumentBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordCurrentStatusCode">
															<xsl:variable name="var175_resultof_vmf___inputtoresult" as="xs:string?">
																<xsl:call-template name="vmf:vmf36_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var175_resultof_vmf___inputtoresult">
																<com:RecordCurrentStatusCategory>
																	<xsl:sequence select="."/>
																</com:RecordCurrentStatusCategory>
															</xsl:for-each>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordCurrentStatusDate">
															<com:RecordCurrentStatusDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordCurrentStatusDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:CorrespondenceAddress">
															<com:CorrespondenceAddress>
																<xsl:for-each select="tmks:CorrespondenceAddressParty">
																	<xsl:variable name="var176_resultof_vmf___inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf37_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var176_resultof_vmf___inputtoresult">
																		<com:CorrespondenceAddressPartyCategory>
																			<xsl:sequence select="."/>
																		</com:CorrespondenceAddressPartyCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:CorrespondenceAddressIdentifier">
																	<com:PartyIdentifier>
																		<xsl:for-each select="@identifierKindCode">
																			<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:PartyIdentifier>
																</xsl:for-each>
																<xsl:for-each select="tmks:CorrespondenceAddressBook">
																	<xsl:variable name="var177_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																			<xsl:with-param name="AddressBook" as="node()">
																				<tmks:AddressBookType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:AddressBookType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var177_resultof_MappingST__AddressBookToST__Contact">
																		<com:Contact>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</com:Contact>
																	</xsl:for-each>
																</xsl:for-each>
															</com:CorrespondenceAddress>
														</xsl:for-each>
														<xsl:for-each select="tmks:HolderDetails">
															<tmks:HolderChangeBag>
																<xsl:for-each select="tmks:PreviousHolder">
																	<xsl:variable name="var178_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																			<xsl:with-param name="Applicant" as="node()">
																				<tmks:ApplicantType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:ApplicantType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var178_resultof_MappingST__ApplicantToST__Applicant">
																		<tmks:PreviousHolderBag>
																			<xsl:sequence select="()"/>
																		</tmks:PreviousHolderBag>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:NewHolder">
																	<xsl:variable name="var179_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																			<xsl:with-param name="Applicant" as="node()">
																				<tmks:ApplicantType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:ApplicantType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var179_resultof_MappingST__ApplicantToST__Applicant">
																		<tmks:HolderBag>
																			<xsl:sequence select="()"/>
																		</tmks:HolderBag>
																	</xsl:for-each>
																</xsl:for-each>
															</tmks:HolderChangeBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:GoodsServicesLimitationDetails">
															<tmks:GoodsServicesLimitationBag>
																<xsl:for-each select="tmks:GoodsServicesLimitation">
																	<tmks:GoodsServicesLimitation>
																		<xsl:for-each select="tmks:LimitationCountryDetails">
																			<com:LimitationCountryCodeBag>
																				<xsl:for-each select="tmks:LimitationCountryCode">
																					<com:LimitationCountryCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:LimitationCountryCode>
																				</xsl:for-each>
																			</com:LimitationCountryCodeBag>
																		</xsl:for-each>
																		<com:CommentTextBag>
																			<xsl:for-each select="tmks:Comment">
																				<com:CommentText>
																					<xsl:for-each select="@languageCode">
																						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																					</xsl:for-each>
																					<xsl:sequence select="fn:string(.)"/>
																				</com:CommentText>
																			</xsl:for-each>
																		</com:CommentTextBag>
																		<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																			<xsl:variable name="var180_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf32_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var180_resultof_vmf___inputtoresult">
																				<tmks:GoodsServicesLimitationCategory>
																					<xsl:sequence select="."/>
																				</tmks:GoodsServicesLimitationCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																			<tmks:LimitationClassDescriptionBag>
																				<xsl:for-each select="tmks:ClassDescription">
																					<tmks:ClassDescription>
																						<xsl:for-each select="tmks:ClassNumber">
																							<tmks:ClassNumber>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:ClassNumber>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClassNumberStatusCode">
																							<xsl:variable name="var181_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf18_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var181_resultof_vmf___inputtoresult">
																								<tmks:ClassNumberStatusCategory>
																									<xsl:sequence select="."/>
																								</tmks:ClassNumberStatusCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:GoodsServicesDescription">
																							<tmks:GoodsServicesDescriptionText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:for-each select="@sequenceNumber">
																									<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:GoodsServicesDescriptionText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																							<tmks:UseNiceHeadingIndicator>
																								<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																							</tmks:UseNiceHeadingIndicator>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClassificationTermDetails">
																							<tmks:ClassificationTermBag>
																								<xsl:for-each select="tmks:ClassificationTerm">
																									<tmks:ClassificationTerm>
																										<xsl:for-each select="@operationCode">
																											<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermIdentifier">
																											<tmks:ClassificationTermIdentifier>
																												<xsl:for-each select="@identifierKindCode">
																													<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermIdentifier>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermOffice">
																											<tmks:ClassificationTermOfficeCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermOfficeCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																											<tmks:ClassificationTermOfficeIdentification>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermOfficeIdentification>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermSource">
																											<xsl:variable name="var182_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf19_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var182_resultof_vmf___inputtoresult">
																												<tmks:ClassificationTermSourceCategory>
																													<xsl:sequence select="."/>
																												</tmks:ClassificationTermSourceCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermEntryDate">
																											<tmks:ClassificationTermEntryDate>
																												<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																											</tmks:ClassificationTermEntryDate>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassNumber">
																											<tmks:ClassNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassNumber>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermText">
																											<tmks:ClassificationTermText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																											<tmks:ClassificationTermEquivalentGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermEquivalentGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																											<tmks:ClassificationTermReferenceGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermReferenceGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																											<tmks:ClassificationTermTranslationGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermTranslationGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermStatus">
																											<xsl:variable name="var184_cur" as="node()" select="."/>
																											<xsl:variable name="var183_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf20_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var183_resultof_vmf___inputtoresult">
																												<tmks:ClassificationTermStatus>
																													<xsl:for-each select="$var184_cur/@officeCode">
																														<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																													</xsl:for-each>
																													<xsl:sequence select="."/>
																												</tmks:ClassificationTermStatus>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:WIPOBasicNumber">
																											<tmks:WIPOBasicNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:WIPOBasicNumber>
																										</xsl:for-each>
																									</tmks:ClassificationTerm>
																								</xsl:for-each>
																							</tmks:ClassificationTermBag>
																						</xsl:for-each>
																					</tmks:ClassDescription>
																				</xsl:for-each>
																			</tmks:LimitationClassDescriptionBag>
																		</xsl:for-each>
																	</tmks:GoodsServicesLimitation>
																</xsl:for-each>
															</tmks:GoodsServicesLimitationBag>
														</xsl:for-each>
													</tmks:RecordTransfer>
												</xsl:for-each>
												<xsl:for-each select="tmks:RecordChangeNameAddress">
													<tmks:RecordChangeNameAddress>
														<xsl:for-each select="tmks:RecordIdentifier">
															<com:RecordIdentifier>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordIdentifier>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordFilingDate">
															<com:RecordFilingDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordFilingDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordNotificationDate">
															<com:RecordNotificationDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordNotificationDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEffectiveDate">
															<com:RecordEffectiveDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordEffectiveDate>
														</xsl:for-each>
														<xsl:variable name="var185_resultof_vmf___inputtoresult" as="xs:string?">
															<xsl:call-template name="vmf:vmf38_inputtoresult">
																<xsl:with-param name="input" select="fn:string(tmks:RecordChangeNameAddressKind)" as="xs:string"/>
															</xsl:call-template>
														</xsl:variable>
														<xsl:for-each select="$var185_resultof_vmf___inputtoresult">
															<com:RecordChangeNameAddressCategory>
																<xsl:sequence select="."/>
															</com:RecordChangeNameAddressCategory>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordReference">
															<com:RecordReference>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordReference>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordLanguageCode">
															<com:RecordLanguageCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordLanguageCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:TradeMarkKeyDetails">
															<tmks:TrademarkIdentification>
																<xsl:for-each select="tmks:TradeMarkKey">
																	<tmks:TrademarkIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<tmks:TrademarkIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:TrademarkIdentifier>
																		</xsl:for-each>
																	</tmks:TrademarkIdentifierBag>
																</xsl:for-each>
															</tmks:TrademarkIdentification>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordPublicationDetails">
															<tmks:RecordPublicationBag>
																<xsl:for-each select="tmks:RecordPublication">
																	<tmks:RecordPublication>
																		<com:PublicationIdentifier>
																			<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																		</com:PublicationIdentifier>
																		<xsl:for-each select="tmks:PublicationSection">
																			<xsl:variable name="var186_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf27_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var186_resultof_vmf___inputtoresult">
																				<tmks:PublicationSectionCategory>
																					<xsl:sequence select="."/>
																				</tmks:PublicationSectionCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationSubsection">
																			<com:PublicationSubsection>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationSubsection>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationDate">
																			<com:PublicationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:PublicationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationPage">
																			<com:PublicationPage>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationPage>
																		</xsl:for-each>
																	</tmks:RecordPublication>
																</xsl:for-each>
															</tmks:RecordPublicationBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:ClaimantDetails">
															<tmks:ClaimantBag>
																<xsl:for-each select="tmks:ClaimantKey">
																	<com:PartyIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																	</com:PartyIdentifierBag>
																</xsl:for-each>
																<xsl:for-each select="tmks:Claimant">
																	<tmks:Claimant>
																		<xsl:for-each select="@operationCode">
																			<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantSequenceNumber">
																			<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantLegalEntity">
																			<com:LegalEntityName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:LegalEntityName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIdentifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantAddressBook">
																			<xsl:variable name="var187_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																				<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																					<xsl:with-param name="AddressBook" as="node()">
																						<tmks:AddressBookType>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</tmks:AddressBookType>
																					</xsl:with-param>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var187_resultof_MappingST__AddressBookToST__Contact">
																				<com:Contact>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</com:Contact>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantNationalityCode">
																			<com:NationalityCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:NationalityCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																			<com:IncorporationCountryCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationCountryCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationState">
																			<com:IncorporationState>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationState>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantEntitlement">
																			<tmks:Entitlement>
																				<xsl:for-each select="tmks:EntitlementNationalityCode">
																					<com:EntitlementNationalityCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:EntitlementNationalityCode>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementEstablishment">
																					<com:EntitlementEstablishment>
																						<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																							<com:EntitlementEstablishmentCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementEstablishmentCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																							<xsl:variable name="var188_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var188_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																					</com:EntitlementEstablishment>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementDomiciled">
																					<com:EntitlementDomiciled>
																						<xsl:for-each select="tmks:EntitlementDomiciledCode">
																							<com:EntitlementDomiciledCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementDomiciledCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																							<com:Contact>
																								<xsl:sequence select="()"/>
																							</com:Contact>
																						</xsl:for-each>
																					</com:EntitlementDomiciled>
																				</xsl:for-each>
																			</tmks:Entitlement>
																		</xsl:for-each>
																	</tmks:Claimant>
																</xsl:for-each>
															</tmks:ClaimantBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RepresentativeDetails">
															<com:RepresentativeBag>
																<xsl:for-each select="tmks:Representative">
																	<xsl:variable name="var189_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																			<xsl:with-param name="Representative" as="node()">
																				<tmks:RepresentativeType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:RepresentativeType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var189_resultof_MappingST__RepresentativeToST__Representative">
																		<com:Representative>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</com:Representative>
																	</xsl:for-each>
																</xsl:for-each>
															</com:RepresentativeBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEventDetails">
															<com:RecordEventBag>
																<xsl:for-each select="tmks:RecordEvent">
																	<com:RecordEvent>
																		<xsl:variable name="var190_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf35_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var190_resultof_vmf___inputtoresult">
																			<com:RecordEventCategory>
																				<xsl:sequence select="."/>
																			</com:RecordEventCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventResponseDate">
																			<com:RecordEventResponseDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventResponseDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDate">
																			<com:RecordEventDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDateTime">
																			<com:RecordEventDateTime>
																				<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																			</com:RecordEventDateTime>
																		</xsl:for-each>
																	</com:RecordEvent>
																</xsl:for-each>
															</com:RecordEventBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordDocumentDetails">
															<com:RecordDocumentBag>
																<xsl:for-each select="tmks:RecordDocument">
																	<com:RecordDocument>
																		<xsl:for-each select="tmks:DocumentLanguageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentName">
																			<com:DocumentName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFileFormat">
																			<xsl:variable name="var191_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf22_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var191_resultof_vmf___inputtoresult">
																				<com:DocumentFormatCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentDate">
																			<com:DocumentDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:DocumentDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentMedia">
																			<xsl:variable name="var192_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf23_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var192_resultof_vmf___inputtoresult">
																				<com:DocumentMediaCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentMediaCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentLocation">
																			<com:DocumentLocationURI>
																				<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																			</com:DocumentLocationURI>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentVersion">
																			<com:DocumentVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentSizeInByte">
																			<com:DocumentSizeQuantity>
																				<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																			</com:DocumentSizeQuantity>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																	</com:RecordDocument>
																</xsl:for-each>
															</com:RecordDocumentBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordCurrentStatusCode">
															<xsl:variable name="var193_resultof_vmf___inputtoresult" as="xs:string?">
																<xsl:call-template name="vmf:vmf39_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var193_resultof_vmf___inputtoresult">
																<com:RecordCurrentStatusCategory>
																	<xsl:sequence select="."/>
																</com:RecordCurrentStatusCategory>
															</xsl:for-each>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordCurrentStatusDate">
															<com:RecordCurrentStatusDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordCurrentStatusDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:CorrespondenceAddress">
															<com:CorrespondenceAddress>
																<xsl:for-each select="tmks:CorrespondenceAddressParty">
																	<xsl:variable name="var194_resultof_vmf___inputtoresult" as="xs:string?">
																		<xsl:call-template name="vmf:vmf37_inputtoresult">
																			<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var194_resultof_vmf___inputtoresult">
																		<com:CorrespondenceAddressPartyCategory>
																			<xsl:sequence select="."/>
																		</com:CorrespondenceAddressPartyCategory>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:CorrespondenceAddressIdentifier">
																	<com:PartyIdentifier>
																		<xsl:for-each select="@identifierKindCode">
																			<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:PartyIdentifier>
																</xsl:for-each>
																<xsl:for-each select="tmks:CorrespondenceAddressBook">
																	<xsl:variable name="var195_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																			<xsl:with-param name="AddressBook" as="node()">
																				<tmks:AddressBookType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:AddressBookType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var195_resultof_MappingST__AddressBookToST__Contact">
																		<com:Contact>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</com:Contact>
																	</xsl:for-each>
																</xsl:for-each>
															</com:CorrespondenceAddress>
														</xsl:for-each>
														<xsl:for-each select="tmks:HolderDetails">
															<tmks:HolderChangeBag>
																<xsl:for-each select="tmks:PreviousHolder">
																	<xsl:variable name="var196_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																			<xsl:with-param name="Applicant" as="node()">
																				<tmks:ApplicantType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:ApplicantType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var196_resultof_MappingST__ApplicantToST__Applicant">
																		<tmks:PreviousHolderBag>
																			<xsl:sequence select="()"/>
																		</tmks:PreviousHolderBag>
																	</xsl:for-each>
																</xsl:for-each>
																<xsl:for-each select="tmks:NewHolder">
																	<xsl:variable name="var197_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																			<xsl:with-param name="Applicant" as="node()">
																				<tmks:ApplicantType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:ApplicantType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var197_resultof_MappingST__ApplicantToST__Applicant">
																		<tmks:HolderBag>
																			<xsl:sequence select="()"/>
																		</tmks:HolderBag>
																	</xsl:for-each>
																</xsl:for-each>
															</tmks:HolderChangeBag>
														</xsl:for-each>
													</tmks:RecordChangeNameAddress>
												</xsl:for-each>
												<xsl:for-each select="tmks:RecordLicence">
													<tmks:RecordLicence>
														<xsl:for-each select="tmks:RecordIdentifier">
															<com:RecordIdentifier>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordIdentifier>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordFilingDate">
															<com:RecordFilingDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordFilingDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordNotificationDate">
															<com:RecordNotificationDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordNotificationDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEffectiveDate">
															<com:RecordEffectiveDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordEffectiveDate>
														</xsl:for-each>
														<xsl:variable name="var198_resultof_vmf___inputtoresult" as="xs:string?">
															<xsl:call-template name="vmf:vmf40_inputtoresult">
																<xsl:with-param name="input" select="fn:string(tmks:RecordLicenceKind)" as="xs:string"/>
															</xsl:call-template>
														</xsl:variable>
														<xsl:for-each select="$var198_resultof_vmf___inputtoresult">
															<com:RecordLicenceCategory>
																<xsl:sequence select="."/>
															</com:RecordLicenceCategory>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordReference">
															<com:RecordReference>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordReference>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordLanguageCode">
															<com:RecordLanguageCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordLanguageCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:TradeMarkKeyDetails">
															<tmks:TrademarkIdentification>
																<xsl:for-each select="tmks:TradeMarkKey">
																	<tmks:TrademarkIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<tmks:TrademarkIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:TrademarkIdentifier>
																		</xsl:for-each>
																	</tmks:TrademarkIdentifierBag>
																</xsl:for-each>
															</tmks:TrademarkIdentification>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordPublicationDetails">
															<tmks:RecordPublicationBag>
																<xsl:for-each select="tmks:RecordPublication">
																	<tmks:RecordPublication>
																		<com:PublicationIdentifier>
																			<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																		</com:PublicationIdentifier>
																		<xsl:for-each select="tmks:PublicationSection">
																			<xsl:variable name="var199_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf27_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var199_resultof_vmf___inputtoresult">
																				<tmks:PublicationSectionCategory>
																					<xsl:sequence select="."/>
																				</tmks:PublicationSectionCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationSubsection">
																			<com:PublicationSubsection>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationSubsection>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationDate">
																			<com:PublicationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:PublicationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationPage">
																			<com:PublicationPage>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationPage>
																		</xsl:for-each>
																	</tmks:RecordPublication>
																</xsl:for-each>
															</tmks:RecordPublicationBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:ClaimantDetails">
															<tmks:ClaimantBag>
																<xsl:for-each select="tmks:ClaimantKey">
																	<com:PartyIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																	</com:PartyIdentifierBag>
																</xsl:for-each>
																<xsl:for-each select="tmks:Claimant">
																	<tmks:Claimant>
																		<xsl:for-each select="@operationCode">
																			<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantSequenceNumber">
																			<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantLegalEntity">
																			<com:LegalEntityName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:LegalEntityName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIdentifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantAddressBook">
																			<xsl:variable name="var200_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																				<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																					<xsl:with-param name="AddressBook" as="node()">
																						<tmks:AddressBookType>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</tmks:AddressBookType>
																					</xsl:with-param>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var200_resultof_MappingST__AddressBookToST__Contact">
																				<com:Contact>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</com:Contact>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantNationalityCode">
																			<com:NationalityCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:NationalityCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																			<com:IncorporationCountryCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationCountryCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationState">
																			<com:IncorporationState>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationState>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantEntitlement">
																			<tmks:Entitlement>
																				<xsl:for-each select="tmks:EntitlementNationalityCode">
																					<com:EntitlementNationalityCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:EntitlementNationalityCode>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementEstablishment">
																					<com:EntitlementEstablishment>
																						<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																							<com:EntitlementEstablishmentCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementEstablishmentCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																							<xsl:variable name="var201_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var201_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																					</com:EntitlementEstablishment>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementDomiciled">
																					<com:EntitlementDomiciled>
																						<xsl:for-each select="tmks:EntitlementDomiciledCode">
																							<com:EntitlementDomiciledCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementDomiciledCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																							<com:Contact>
																								<xsl:sequence select="()"/>
																							</com:Contact>
																						</xsl:for-each>
																					</com:EntitlementDomiciled>
																				</xsl:for-each>
																			</tmks:Entitlement>
																		</xsl:for-each>
																	</tmks:Claimant>
																</xsl:for-each>
															</tmks:ClaimantBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RepresentativeDetails">
															<com:RepresentativeBag>
																<xsl:for-each select="tmks:Representative">
																	<xsl:variable name="var202_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																			<xsl:with-param name="Representative" as="node()">
																				<tmks:RepresentativeType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:RepresentativeType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var202_resultof_MappingST__RepresentativeToST__Representative">
																		<com:Representative>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</com:Representative>
																	</xsl:for-each>
																</xsl:for-each>
															</com:RepresentativeBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEventDetails">
															<com:RecordEventBag>
																<xsl:for-each select="tmks:RecordEvent">
																	<com:RecordEvent>
																		<xsl:variable name="var203_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf35_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var203_resultof_vmf___inputtoresult">
																			<com:RecordEventCategory>
																				<xsl:sequence select="."/>
																			</com:RecordEventCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventResponseDate">
																			<com:RecordEventResponseDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventResponseDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDate">
																			<com:RecordEventDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDateTime">
																			<com:RecordEventDateTime>
																				<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																			</com:RecordEventDateTime>
																		</xsl:for-each>
																	</com:RecordEvent>
																</xsl:for-each>
															</com:RecordEventBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordDocumentDetails">
															<com:RecordDocumentBag>
																<xsl:for-each select="tmks:RecordDocument">
																	<com:RecordDocument>
																		<xsl:for-each select="tmks:DocumentLanguageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentName">
																			<com:DocumentName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFileFormat">
																			<xsl:variable name="var204_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf22_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var204_resultof_vmf___inputtoresult">
																				<com:DocumentFormatCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentDate">
																			<com:DocumentDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:DocumentDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentMedia">
																			<xsl:variable name="var205_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf23_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var205_resultof_vmf___inputtoresult">
																				<com:DocumentMediaCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentMediaCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentLocation">
																			<com:DocumentLocationURI>
																				<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																			</com:DocumentLocationURI>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentVersion">
																			<com:DocumentVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentSizeInByte">
																			<com:DocumentSizeQuantity>
																				<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																			</com:DocumentSizeQuantity>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																	</com:RecordDocument>
																</xsl:for-each>
															</com:RecordDocumentBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordCurrentStatusCode">
															<xsl:variable name="var206_resultof_vmf___inputtoresult" as="xs:string?">
																<xsl:call-template name="vmf:vmf41_inputtoresult">
																	<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:for-each select="$var206_resultof_vmf___inputtoresult">
																<com:RecordCurrentStatusCategory>
																	<xsl:sequence select="."/>
																</com:RecordCurrentStatusCategory>
															</xsl:for-each>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordCurrentStatusDate">
															<com:RecordCurrentStatusDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordCurrentStatusDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordInterestedOfficeCode">
															<com:RecordInterestedOfficeCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordInterestedOfficeCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordDesignatedCountryDetails">
															<com:RecordDesignatedCountryCodeBag>
																<xsl:for-each select="tmks:RecordDesignatedCountryCode">
																	<com:RecordDesignatedCountryCode>
																		<xsl:sequence select="fn:string(.)"/>
																	</com:RecordDesignatedCountryCode>
																</xsl:for-each>
															</com:RecordDesignatedCountryCodeBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:LicenceDetails">
															<tmks:LicenceBag>
																<xsl:for-each select="tmks:Licence">
																	<tmks:Licence>
																		<xsl:for-each select="tmks:LicenceIdentifier">
																			<com:LicenceIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:LicenceIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LicenceDate">
																			<com:LicenceDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:LicenceDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LicenceNumber">
																			<com:LicenceNumber>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:LicenceNumber>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LicenceReference">
																			<com:LicenceReference>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:LicenceReference>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LicenceKind">
																			<xsl:variable name="var207_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf42_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var207_resultof_vmf___inputtoresult">
																				<com:LicenceCategory>
																					<xsl:sequence select="."/>
																				</com:LicenceCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:SubLicenceIndicator">
																			<com:SublicenceIndicator>
																				<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																			</com:SublicenceIndicator>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RelatedLicenceIdentifier">
																			<com:RelatedLicenceIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:RelatedLicenceIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:GoodsServicesLimitationIndicator">
																			<tmks:GoodsServicesLimitationIndicator>
																				<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																			</tmks:GoodsServicesLimitationIndicator>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:GoodsServicesLimitation">
																			<tmks:GoodsServicesLimitation>
																				<xsl:for-each select="tmks:LimitationCountryDetails">
																					<com:LimitationCountryCodeBag>
																						<xsl:for-each select="tmks:LimitationCountryCode">
																							<com:LimitationCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LimitationCountryCode>
																						</xsl:for-each>
																					</com:LimitationCountryCodeBag>
																				</xsl:for-each>
																				<com:CommentTextBag>
																					<xsl:for-each select="tmks:Comment">
																						<com:CommentText>
																							<xsl:for-each select="@languageCode">
																								<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																							</xsl:for-each>
																							<xsl:sequence select="fn:string(.)"/>
																						</com:CommentText>
																					</xsl:for-each>
																				</com:CommentTextBag>
																				<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																					<xsl:variable name="var208_resultof_vmf___inputtoresult" as="xs:string?">
																						<xsl:call-template name="vmf:vmf32_inputtoresult">
																							<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var208_resultof_vmf___inputtoresult">
																						<tmks:GoodsServicesLimitationCategory>
																							<xsl:sequence select="."/>
																						</tmks:GoodsServicesLimitationCategory>
																					</xsl:for-each>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																					<tmks:LimitationClassDescriptionBag>
																						<xsl:for-each select="tmks:ClassDescription">
																							<tmks:ClassDescription>
																								<xsl:for-each select="tmks:ClassNumber">
																									<tmks:ClassNumber>
																										<xsl:sequence select="fn:string(.)"/>
																									</tmks:ClassNumber>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:ClassNumberStatusCode">
																									<xsl:variable name="var209_resultof_vmf___inputtoresult" as="xs:string?">
																										<xsl:call-template name="vmf:vmf18_inputtoresult">
																											<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																										</xsl:call-template>
																									</xsl:variable>
																									<xsl:for-each select="$var209_resultof_vmf___inputtoresult">
																										<tmks:ClassNumberStatusCategory>
																											<xsl:sequence select="."/>
																										</tmks:ClassNumberStatusCategory>
																									</xsl:for-each>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:GoodsServicesDescription">
																									<tmks:GoodsServicesDescriptionText>
																										<xsl:for-each select="@languageCode">
																											<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																										</xsl:for-each>
																										<xsl:for-each select="@sequenceNumber">
																											<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																										</xsl:for-each>
																										<xsl:sequence select="fn:string(.)"/>
																									</tmks:GoodsServicesDescriptionText>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																									<tmks:UseNiceHeadingIndicator>
																										<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																									</tmks:UseNiceHeadingIndicator>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:ClassificationTermDetails">
																									<tmks:ClassificationTermBag>
																										<xsl:for-each select="tmks:ClassificationTerm">
																											<tmks:ClassificationTerm>
																												<xsl:for-each select="@operationCode">
																													<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermIdentifier">
																													<tmks:ClassificationTermIdentifier>
																														<xsl:for-each select="@identifierKindCode">
																															<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermIdentifier>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermOffice">
																													<tmks:ClassificationTermOfficeCode>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermOfficeCode>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																													<tmks:ClassificationTermOfficeIdentification>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermOfficeIdentification>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermSource">
																													<xsl:variable name="var210_resultof_vmf___inputtoresult" as="xs:string?">
																														<xsl:call-template name="vmf:vmf19_inputtoresult">
																															<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																														</xsl:call-template>
																													</xsl:variable>
																													<xsl:for-each select="$var210_resultof_vmf___inputtoresult">
																														<tmks:ClassificationTermSourceCategory>
																															<xsl:sequence select="."/>
																														</tmks:ClassificationTermSourceCategory>
																													</xsl:for-each>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermEntryDate">
																													<tmks:ClassificationTermEntryDate>
																														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																													</tmks:ClassificationTermEntryDate>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassNumber">
																													<tmks:ClassNumber>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassNumber>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermText">
																													<tmks:ClassificationTermText>
																														<xsl:for-each select="@languageCode">
																															<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermText>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																													<tmks:ClassificationTermEquivalentGroup>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermEquivalentGroup>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																													<tmks:ClassificationTermReferenceGroup>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermReferenceGroup>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																													<tmks:ClassificationTermTranslationGroup>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermTranslationGroup>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermStatus">
																													<xsl:variable name="var212_cur" as="node()" select="."/>
																													<xsl:variable name="var211_resultof_vmf___inputtoresult" as="xs:string?">
																														<xsl:call-template name="vmf:vmf20_inputtoresult">
																															<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																														</xsl:call-template>
																													</xsl:variable>
																													<xsl:for-each select="$var211_resultof_vmf___inputtoresult">
																														<tmks:ClassificationTermStatus>
																															<xsl:for-each select="$var212_cur/@officeCode">
																																<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																															</xsl:for-each>
																															<xsl:sequence select="."/>
																														</tmks:ClassificationTermStatus>
																													</xsl:for-each>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:WIPOBasicNumber">
																													<tmks:WIPOBasicNumber>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:WIPOBasicNumber>
																												</xsl:for-each>
																											</tmks:ClassificationTerm>
																										</xsl:for-each>
																									</tmks:ClassificationTermBag>
																								</xsl:for-each>
																							</tmks:ClassDescription>
																						</xsl:for-each>
																					</tmks:LimitationClassDescriptionBag>
																				</xsl:for-each>
																			</tmks:GoodsServicesLimitation>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:TerritoryLimitationIndicator">
																			<com:TerritoryLimitationIndicator>
																				<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																			</com:TerritoryLimitationIndicator>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:TerritoryLimitationText">
																			<com:TerritoryLimitationText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:TerritoryLimitationText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PeriodLimitationIndicator">
																			<com:PeriodLimitationIndicator>
																				<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																			</com:PeriodLimitationIndicator>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PeriodLimitationText">
																			<com:PeriodLimitationText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PeriodLimitationText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PeriodLimitationStartDate">
																			<com:PeriodLimitationStartDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:PeriodLimitationStartDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PeriodLimitationEndDate">
																			<com:PeriodLimitationEndDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:PeriodLimitationEndDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LicenceStatusCode">
																			<xsl:variable name="var213_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf43_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var213_resultof_vmf___inputtoresult">
																				<com:LicenceStatusCategory>
																					<xsl:sequence select="."/>
																				</com:LicenceStatusCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LicenseeDetails">
																			<tmks:LicenseeBag>
																				<xsl:for-each select="tmks:Licensee">
																					<tmks:Licensee>
																						<xsl:for-each select="@operationCode">
																							<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenseeSequenceNumber">
																							<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenseeLegalEntity">
																							<com:LegalEntityName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LegalEntityName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenseeIdentifier">
																							<com:PartyIdentifier>
																								<xsl:for-each select="@identifierKindCode">
																									<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:PartyIdentifier>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenseeAddressBook">
																							<xsl:variable name="var214_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var214_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenseeNationalityCode">
																							<com:NationalityCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:NationalityCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenseeIncorporationCountryCode">
																							<com:IncorporationCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationCountryCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenseeIncorporationState">
																							<com:IncorporationState>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:IncorporationState>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenseeEntitlement">
																							<tmks:Entitlement>
																								<xsl:for-each select="tmks:EntitlementNationalityCode">
																									<com:EntitlementNationalityCode>
																										<xsl:sequence select="fn:string(.)"/>
																									</com:EntitlementNationalityCode>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementEstablishment">
																									<com:EntitlementEstablishment>
																										<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																											<com:EntitlementEstablishmentCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementEstablishmentCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																											<xsl:variable name="var215_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																													<xsl:with-param name="AddressBook" as="node()">
																														<tmks:AddressBookType>
																															<xsl:sequence select="(./@node(), ./node())"/>
																														</tmks:AddressBookType>
																													</xsl:with-param>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var215_resultof_MappingST__AddressBookToST__Contact">
																												<com:Contact>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</com:Contact>
																											</xsl:for-each>
																										</xsl:for-each>
																									</com:EntitlementEstablishment>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:EntitlementDomiciled">
																									<com:EntitlementDomiciled>
																										<xsl:for-each select="tmks:EntitlementDomiciledCode">
																											<com:EntitlementDomiciledCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</com:EntitlementDomiciledCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																											<xsl:variable name="var216_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																												<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																													<xsl:with-param name="AddressBook" as="node()">
																														<tmks:AddressBookType>
																															<xsl:sequence select="(./@node(), ./node())"/>
																														</tmks:AddressBookType>
																													</xsl:with-param>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var216_resultof_MappingST__AddressBookToST__Contact">
																												<com:Contact>
																													<xsl:sequence select="(./@node(), ./node())"/>
																												</com:Contact>
																											</xsl:for-each>
																										</xsl:for-each>
																									</com:EntitlementDomiciled>
																								</xsl:for-each>
																							</tmks:Entitlement>
																						</xsl:for-each>
																					</tmks:Licensee>
																				</xsl:for-each>
																			</tmks:LicenseeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RepresentativeDetails">
																			<com:RepresentativeBag>
																				<xsl:for-each select="tmks:Representative">
																					<xsl:variable name="var217_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																							<xsl:with-param name="Representative" as="node()">
																								<tmks:RepresentativeType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:RepresentativeType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var217_resultof_MappingST__RepresentativeToST__Representative">
																						<com:Representative>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</com:Representative>
																					</xsl:for-each>
																				</xsl:for-each>
																			</com:RepresentativeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LicenceEventDetails">
																			<com:LicenceEventBag>
																				<xsl:for-each select="tmks:LicenceEvent">
																					<com:LicenceEvent>
																						<xsl:variable name="var218_resultof_vmf___inputtoresult" as="xs:string?">
																							<xsl:call-template name="vmf:vmf44_inputtoresult">
																								<xsl:with-param name="input" select="fn:string(tmks:LicenceEventCode)" as="xs:string"/>
																							</xsl:call-template>
																						</xsl:variable>
																						<xsl:for-each select="$var218_resultof_vmf___inputtoresult">
																							<com:LicenceEventCategory>
																								<xsl:sequence select="."/>
																							</com:LicenceEventCategory>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceEventResponseDate">
																							<com:LicenceEventResponseDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:LicenceEventResponseDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceEventDate">
																							<com:LicenceEventDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:LicenceEventDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:LicenceEventDateTime">
																							<com:LicenceEventDateTime>
																								<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																							</com:LicenceEventDateTime>
																						</xsl:for-each>
																					</com:LicenceEvent>
																				</xsl:for-each>
																			</com:LicenceEventBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LicenceDocumentDetails">
																			<com:LicenceDocumentBag>
																				<xsl:for-each select="tmks:LicenceDocument">
																					<com:LicenceDocument>
																						<xsl:for-each select="tmks:DocumentLanguageCode">
																							<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentName">
																							<com:DocumentName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFilename">
																							<com:FileName>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:FileName>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentFileFormat">
																							<xsl:variable name="var219_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf22_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var219_resultof_vmf___inputtoresult">
																								<com:DocumentFormatCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentFormatCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentDate">
																							<com:DocumentDate>
																								<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																							</com:DocumentDate>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentMedia">
																							<xsl:variable name="var220_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf23_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var220_resultof_vmf___inputtoresult">
																								<com:DocumentMediaCategory>
																									<xsl:sequence select="."/>
																								</com:DocumentMediaCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentLocation">
																							<com:DocumentLocationURI>
																								<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																							</com:DocumentLocationURI>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentVersion">
																							<com:DocumentVersion>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:DocumentVersion>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:DocumentSizeInByte">
																							<com:DocumentSizeQuantity>
																								<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																							</com:DocumentSizeQuantity>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:Comment">
																							<com:CommentText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:CommentText>
																						</xsl:for-each>
																					</com:LicenceDocument>
																				</xsl:for-each>
																			</com:LicenceDocumentBag>
																		</xsl:for-each>
																	</tmks:Licence>
																</xsl:for-each>
															</tmks:LicenceBag>
														</xsl:for-each>
													</tmks:RecordLicence>
												</xsl:for-each>
												<xsl:for-each select="tmks:RecordNationalInternationalReplacement">
													<tmks:RecordNationalInternationalReplacement>
														<xsl:for-each select="tmks:RecordIdentifier">
															<com:RecordIdentifier>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordIdentifier>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordFilingDate">
															<com:RecordFilingDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordFilingDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordNotificationDate">
															<com:RecordNotificationDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordNotificationDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEffectiveDate">
															<com:RecordEffectiveDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordEffectiveDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:TradeMarkKeyDetails">
															<tmks:TrademarkIdentification>
																<xsl:for-each select="tmks:TradeMarkKey">
																	<tmks:TrademarkIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<tmks:TrademarkIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:TrademarkIdentifier>
																		</xsl:for-each>
																	</tmks:TrademarkIdentifierBag>
																</xsl:for-each>
															</tmks:TrademarkIdentification>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordPublicationDetails">
															<tmks:RecordPublicationBag>
																<xsl:for-each select="tmks:RecordPublication">
																	<tmks:RecordPublication>
																		<com:PublicationIdentifier>
																			<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																		</com:PublicationIdentifier>
																		<xsl:for-each select="tmks:PublicationSection">
																			<xsl:variable name="var221_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf27_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var221_resultof_vmf___inputtoresult">
																				<tmks:PublicationSectionCategory>
																					<xsl:sequence select="."/>
																				</tmks:PublicationSectionCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationSubsection">
																			<com:PublicationSubsection>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationSubsection>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationDate">
																			<com:PublicationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:PublicationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationPage">
																			<com:PublicationPage>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationPage>
																		</xsl:for-each>
																	</tmks:RecordPublication>
																</xsl:for-each>
															</tmks:RecordPublicationBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:ClaimantDetails">
															<tmks:ClaimantBag>
																<xsl:for-each select="tmks:ClaimantKey">
																	<com:PartyIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																	</com:PartyIdentifierBag>
																</xsl:for-each>
																<xsl:for-each select="tmks:Claimant">
																	<tmks:Claimant>
																		<xsl:for-each select="@operationCode">
																			<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantSequenceNumber">
																			<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantLegalEntity">
																			<com:LegalEntityName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:LegalEntityName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIdentifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantAddressBook">
																			<xsl:variable name="var222_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																				<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																					<xsl:with-param name="AddressBook" as="node()">
																						<tmks:AddressBookType>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</tmks:AddressBookType>
																					</xsl:with-param>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var222_resultof_MappingST__AddressBookToST__Contact">
																				<com:Contact>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</com:Contact>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantNationalityCode">
																			<com:NationalityCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:NationalityCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																			<com:IncorporationCountryCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationCountryCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationState">
																			<com:IncorporationState>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationState>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantEntitlement">
																			<tmks:Entitlement>
																				<xsl:for-each select="tmks:EntitlementNationalityCode">
																					<com:EntitlementNationalityCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:EntitlementNationalityCode>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementEstablishment">
																					<com:EntitlementEstablishment>
																						<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																							<com:EntitlementEstablishmentCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementEstablishmentCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																							<xsl:variable name="var223_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var223_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																					</com:EntitlementEstablishment>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementDomiciled">
																					<com:EntitlementDomiciled>
																						<xsl:for-each select="tmks:EntitlementDomiciledCode">
																							<com:EntitlementDomiciledCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementDomiciledCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																							<com:Contact>
																								<xsl:sequence select="()"/>
																							</com:Contact>
																						</xsl:for-each>
																					</com:EntitlementDomiciled>
																				</xsl:for-each>
																			</tmks:Entitlement>
																		</xsl:for-each>
																	</tmks:Claimant>
																</xsl:for-each>
															</tmks:ClaimantBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RepresentativeDetails">
															<com:RepresentativeBag>
																<xsl:for-each select="tmks:Representative">
																	<xsl:variable name="var224_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																			<xsl:with-param name="Representative" as="node()">
																				<tmks:RepresentativeType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:RepresentativeType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var224_resultof_MappingST__RepresentativeToST__Representative">
																		<com:Representative>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</com:Representative>
																	</xsl:for-each>
																</xsl:for-each>
															</com:RepresentativeBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEventDetails">
															<com:RecordEventBag>
																<xsl:for-each select="tmks:RecordEvent">
																	<com:RecordEvent>
																		<xsl:variable name="var225_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf35_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var225_resultof_vmf___inputtoresult">
																			<com:RecordEventCategory>
																				<xsl:sequence select="."/>
																			</com:RecordEventCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventResponseDate">
																			<com:RecordEventResponseDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventResponseDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDate">
																			<com:RecordEventDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDateTime">
																			<com:RecordEventDateTime>
																				<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																			</com:RecordEventDateTime>
																		</xsl:for-each>
																	</com:RecordEvent>
																</xsl:for-each>
															</com:RecordEventBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordDocumentDetails">
															<com:RecordDocumentBag>
																<xsl:for-each select="tmks:RecordDocument">
																	<com:RecordDocument>
																		<xsl:for-each select="tmks:DocumentLanguageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentName">
																			<com:DocumentName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFileFormat">
																			<xsl:variable name="var226_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf22_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var226_resultof_vmf___inputtoresult">
																				<com:DocumentFormatCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentDate">
																			<com:DocumentDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:DocumentDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentMedia">
																			<xsl:variable name="var227_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf23_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var227_resultof_vmf___inputtoresult">
																				<com:DocumentMediaCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentMediaCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentLocation">
																			<com:DocumentLocationURI>
																				<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																			</com:DocumentLocationURI>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentVersion">
																			<com:DocumentVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentSizeInByte">
																			<com:DocumentSizeQuantity>
																				<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																			</com:DocumentSizeQuantity>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																	</com:RecordDocument>
																</xsl:for-each>
															</com:RecordDocumentBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordInterestedOfficeCode">
															<com:RecordInterestedOfficeCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordInterestedOfficeCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:GoodsServicesLimitationDetails">
															<tmks:GoodsServicesLimitationBag>
																<xsl:for-each select="tmks:GoodsServicesLimitation">
																	<tmks:GoodsServicesLimitation>
																		<xsl:for-each select="tmks:LimitationCountryDetails">
																			<com:LimitationCountryCodeBag>
																				<xsl:for-each select="tmks:LimitationCountryCode">
																					<com:LimitationCountryCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:LimitationCountryCode>
																				</xsl:for-each>
																			</com:LimitationCountryCodeBag>
																		</xsl:for-each>
																		<com:CommentTextBag>
																			<xsl:for-each select="tmks:Comment">
																				<com:CommentText>
																					<xsl:for-each select="@languageCode">
																						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																					</xsl:for-each>
																					<xsl:sequence select="fn:string(.)"/>
																				</com:CommentText>
																			</xsl:for-each>
																		</com:CommentTextBag>
																		<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																			<xsl:variable name="var228_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf32_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var228_resultof_vmf___inputtoresult">
																				<tmks:GoodsServicesLimitationCategory>
																					<xsl:sequence select="."/>
																				</tmks:GoodsServicesLimitationCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																			<tmks:LimitationClassDescriptionBag>
																				<xsl:for-each select="tmks:ClassDescription">
																					<tmks:ClassDescription>
																						<xsl:for-each select="tmks:ClassNumber">
																							<tmks:ClassNumber>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:ClassNumber>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClassNumberStatusCode">
																							<xsl:variable name="var229_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf18_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var229_resultof_vmf___inputtoresult">
																								<tmks:ClassNumberStatusCategory>
																									<xsl:sequence select="."/>
																								</tmks:ClassNumberStatusCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:GoodsServicesDescription">
																							<tmks:GoodsServicesDescriptionText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:for-each select="@sequenceNumber">
																									<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:GoodsServicesDescriptionText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																							<tmks:UseNiceHeadingIndicator>
																								<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																							</tmks:UseNiceHeadingIndicator>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClassificationTermDetails">
																							<tmks:ClassificationTermBag>
																								<xsl:for-each select="tmks:ClassificationTerm">
																									<tmks:ClassificationTerm>
																										<xsl:for-each select="@operationCode">
																											<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermIdentifier">
																											<tmks:ClassificationTermIdentifier>
																												<xsl:for-each select="@identifierKindCode">
																													<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermIdentifier>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermOffice">
																											<tmks:ClassificationTermOfficeCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermOfficeCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																											<tmks:ClassificationTermOfficeIdentification>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermOfficeIdentification>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermSource">
																											<xsl:variable name="var230_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf19_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var230_resultof_vmf___inputtoresult">
																												<tmks:ClassificationTermSourceCategory>
																													<xsl:sequence select="."/>
																												</tmks:ClassificationTermSourceCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermEntryDate">
																											<tmks:ClassificationTermEntryDate>
																												<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																											</tmks:ClassificationTermEntryDate>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassNumber">
																											<tmks:ClassNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassNumber>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermText">
																											<tmks:ClassificationTermText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																											<tmks:ClassificationTermEquivalentGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermEquivalentGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																											<tmks:ClassificationTermReferenceGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermReferenceGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																											<tmks:ClassificationTermTranslationGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermTranslationGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermStatus">
																											<xsl:variable name="var232_cur" as="node()" select="."/>
																											<xsl:variable name="var231_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf20_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var231_resultof_vmf___inputtoresult">
																												<tmks:ClassificationTermStatus>
																													<xsl:for-each select="$var232_cur/@officeCode">
																														<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																													</xsl:for-each>
																													<xsl:sequence select="."/>
																												</tmks:ClassificationTermStatus>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:WIPOBasicNumber">
																											<tmks:WIPOBasicNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:WIPOBasicNumber>
																										</xsl:for-each>
																									</tmks:ClassificationTerm>
																								</xsl:for-each>
																							</tmks:ClassificationTermBag>
																						</xsl:for-each>
																					</tmks:ClassDescription>
																				</xsl:for-each>
																			</tmks:LimitationClassDescriptionBag>
																		</xsl:for-each>
																	</tmks:GoodsServicesLimitation>
																</xsl:for-each>
															</tmks:GoodsServicesLimitationBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:NationalMarkDetails">
															<tmks:NationalMarkBag>
																<xsl:for-each select="tmks:NationalMark">
																	<tmks:NationalMark>
																		<tmks:NationalMarkRegistrationNumber>
																			<xsl:sequence select="fn:string(tmks:NationalMarkRegistrationNumber)"/>
																		</tmks:NationalMarkRegistrationNumber>
																		<xsl:for-each select="tmks:NationalMarkFilingDate">
																			<tmks:NationalMarkFilingDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</tmks:NationalMarkFilingDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:NationalMarkRegistrationDate">
																			<tmks:NationalMarkRegistrationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</tmks:NationalMarkRegistrationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:NationalMarkPriorityDate">
																			<tmks:NationalMarkPriorityDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</tmks:NationalMarkPriorityDate>
																		</xsl:for-each>
																	</tmks:NationalMark>
																</xsl:for-each>
															</tmks:NationalMarkBag>
														</xsl:for-each>
													</tmks:RecordNationalInternationalReplacement>
												</xsl:for-each>
												<xsl:for-each select="tmks:RecordShortNotation">
													<tmks:RecordShortNotation>
														<xsl:for-each select="tmks:RecordIdentifier">
															<com:RecordIdentifier>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordIdentifier>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordFilingDate">
															<com:RecordFilingDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordFilingDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordNotificationDate">
															<com:RecordNotificationDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordNotificationDate>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEffectiveDate">
															<com:RecordEffectiveDate>
																<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
															</com:RecordEffectiveDate>
														</xsl:for-each>
														<xsl:variable name="var233_resultof_vmf___inputtoresult" as="xs:string?">
															<xsl:call-template name="vmf:vmf45_inputtoresult">
																<xsl:with-param name="input" select="fn:string(tmks:RecordShortNotationKind)" as="xs:string"/>
															</xsl:call-template>
														</xsl:variable>
														<xsl:for-each select="$var233_resultof_vmf___inputtoresult">
															<tmks:RecordShortNotationCategory>
																<xsl:sequence select="."/>
															</tmks:RecordShortNotationCategory>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordReference">
															<com:RecordReference>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordReference>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordLanguageCode">
															<com:RecordLanguageCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordLanguageCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordPublicationDetails">
															<tmks:RecordPublicationBag>
																<xsl:for-each select="tmks:RecordPublication">
																	<tmks:RecordPublication>
																		<com:PublicationIdentifier>
																			<xsl:sequence select="fn:string(tmks:PublicationIdentifier)"/>
																		</com:PublicationIdentifier>
																		<xsl:for-each select="tmks:PublicationSection">
																			<xsl:variable name="var234_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf27_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var234_resultof_vmf___inputtoresult">
																				<tmks:PublicationSectionCategory>
																					<xsl:sequence select="."/>
																				</tmks:PublicationSectionCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationSubsection">
																			<com:PublicationSubsection>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationSubsection>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationDate">
																			<com:PublicationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:PublicationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:PublicationPage">
																			<com:PublicationPage>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PublicationPage>
																		</xsl:for-each>
																	</tmks:RecordPublication>
																</xsl:for-each>
															</tmks:RecordPublicationBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:ClaimantDetails">
															<tmks:ClaimantBag>
																<xsl:for-each select="tmks:ClaimantKey">
																	<com:PartyIdentifierBag>
																		<xsl:for-each select="tmks:Identifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																	</com:PartyIdentifierBag>
																</xsl:for-each>
																<xsl:for-each select="tmks:Claimant">
																	<tmks:Claimant>
																		<xsl:for-each select="@operationCode">
																			<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantSequenceNumber">
																			<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantLegalEntity">
																			<com:LegalEntityName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:LegalEntityName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIdentifier">
																			<com:PartyIdentifier>
																				<xsl:for-each select="@identifierKindCode">
																					<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:PartyIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantAddressBook">
																			<xsl:variable name="var235_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																				<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																					<xsl:with-param name="AddressBook" as="node()">
																						<tmks:AddressBookType>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</tmks:AddressBookType>
																					</xsl:with-param>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var235_resultof_MappingST__AddressBookToST__Contact">
																				<com:Contact>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</com:Contact>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantNationalityCode">
																			<com:NationalityCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:NationalityCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationCountryCode">
																			<com:IncorporationCountryCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationCountryCode>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantIncorporationState">
																			<com:IncorporationState>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:IncorporationState>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ClaimantEntitlement">
																			<tmks:Entitlement>
																				<xsl:for-each select="tmks:EntitlementNationalityCode">
																					<com:EntitlementNationalityCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:EntitlementNationalityCode>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementEstablishment">
																					<com:EntitlementEstablishment>
																						<xsl:for-each select="tmks:EntitlementEstablishmentCode">
																							<com:EntitlementEstablishmentCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementEstablishmentCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementEstablishmentAddressBook">
																							<xsl:variable name="var236_resultof_MappingST__AddressBookToST__Contact" as="node()?">
																								<xsl:call-template name="WIPO:MappingST66AddressBookToST96Contact">
																									<xsl:with-param name="AddressBook" as="node()">
																										<tmks:AddressBookType>
																											<xsl:sequence select="(./@node(), ./node())"/>
																										</tmks:AddressBookType>
																									</xsl:with-param>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var236_resultof_MappingST__AddressBookToST__Contact">
																								<com:Contact>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</com:Contact>
																							</xsl:for-each>
																						</xsl:for-each>
																					</com:EntitlementEstablishment>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:EntitlementDomiciled">
																					<com:EntitlementDomiciled>
																						<xsl:for-each select="tmks:EntitlementDomiciledCode">
																							<com:EntitlementDomiciledCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:EntitlementDomiciledCode>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:EntitlementDomiciledAddressBook">
																							<com:Contact>
																								<xsl:sequence select="()"/>
																							</com:Contact>
																						</xsl:for-each>
																					</com:EntitlementDomiciled>
																				</xsl:for-each>
																			</tmks:Entitlement>
																		</xsl:for-each>
																	</tmks:Claimant>
																</xsl:for-each>
															</tmks:ClaimantBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RepresentativeDetails">
															<com:RepresentativeBag>
																<xsl:for-each select="tmks:Representative">
																	<xsl:variable name="var237_resultof_MappingST__RepresentativeToST__Representative" as="node()?">
																		<xsl:call-template name="WIPO:MappingST66RepresentativeToST96Representative">
																			<xsl:with-param name="Representative" as="node()">
																				<tmks:RepresentativeType>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:RepresentativeType>
																			</xsl:with-param>
																		</xsl:call-template>
																	</xsl:variable>
																	<xsl:for-each select="$var237_resultof_MappingST__RepresentativeToST__Representative">
																		<com:Representative>
																			<xsl:sequence select="(./@node(), ./node())"/>
																		</com:Representative>
																	</xsl:for-each>
																</xsl:for-each>
															</com:RepresentativeBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordEventDetails">
															<com:RecordEventBag>
																<xsl:for-each select="tmks:RecordEvent">
																	<com:RecordEvent>
																		<xsl:variable name="var238_resultof_vmf___inputtoresult" as="xs:string?">
																			<xsl:call-template name="vmf:vmf35_inputtoresult">
																				<xsl:with-param name="input" select="fn:string(tmks:RecordEventCode)" as="xs:string"/>
																			</xsl:call-template>
																		</xsl:variable>
																		<xsl:for-each select="$var238_resultof_vmf___inputtoresult">
																			<com:RecordEventCategory>
																				<xsl:sequence select="."/>
																			</com:RecordEventCategory>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventResponseDate">
																			<com:RecordEventResponseDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventResponseDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDate">
																			<com:RecordEventDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RecordEventDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RecordEventDateTime">
																			<com:RecordEventDateTime>
																				<xsl:sequence select="xs:string(xs:dateTime(fn:string(.)))"/>
																			</com:RecordEventDateTime>
																		</xsl:for-each>
																	</com:RecordEvent>
																</xsl:for-each>
															</com:RecordEventBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordDocumentDetails">
															<com:RecordDocumentBag>
																<xsl:for-each select="tmks:RecordDocument">
																	<com:RecordDocument>
																		<xsl:for-each select="tmks:DocumentLanguageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentName">
																			<com:DocumentName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFilename">
																			<com:FileName>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:FileName>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentFileFormat">
																			<xsl:variable name="var239_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf22_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var239_resultof_vmf___inputtoresult">
																				<com:DocumentFormatCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentFormatCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentDate">
																			<com:DocumentDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:DocumentDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentMedia">
																			<xsl:variable name="var240_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf23_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var240_resultof_vmf___inputtoresult">
																				<com:DocumentMediaCategory>
																					<xsl:sequence select="."/>
																				</com:DocumentMediaCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentLocation">
																			<com:DocumentLocationURI>
																				<xsl:sequence select="xs:string(xs:anyURI(fn:string(.)))"/>
																			</com:DocumentLocationURI>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentVersion">
																			<com:DocumentVersion>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DocumentVersion>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DocumentSizeInByte">
																			<com:DocumentSizeQuantity>
																				<xsl:sequence select="xs:string(xs:integer(fn:string(.)))"/>
																			</com:DocumentSizeQuantity>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:Comment">
																			<com:CommentText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:CommentText>
																		</xsl:for-each>
																	</com:RecordDocument>
																</xsl:for-each>
															</com:RecordDocumentBag>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordInterestedOfficeCode">
															<com:RecordInterestedOfficeCode>
																<xsl:sequence select="fn:string(.)"/>
															</com:RecordInterestedOfficeCode>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordToRegistration">
															<tmks:RecordToRegistration>
																<xsl:for-each select="tmks:RegistrationIdentifier">
																	<tmks:RegistrationIdentifier>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:RegistrationIdentifier>
																</xsl:for-each>
																<xsl:for-each select="tmks:RegistrationDate">
																	<com:RegistrationDate>
																		<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																	</com:RegistrationDate>
																</xsl:for-each>
																<xsl:for-each select="tmks:MarkVerbalElementText">
																	<tmks:MarkVerbalElementText>
																		<xsl:for-each select="@languageCode">
																			<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																		</xsl:for-each>
																		<xsl:sequence select="fn:string(.)"/>
																	</tmks:MarkVerbalElementText>
																</xsl:for-each>
																<xsl:for-each select="tmks:DesignatedCountryDetails">
																	<tmks:DesignatedCountryCodeBag>
																		<xsl:for-each select="tmks:DesignatedCountryCode">
																			<com:DesignatedCountryCode>
																				<xsl:sequence select="fn:string(.)"/>
																			</com:DesignatedCountryCode>
																		</xsl:for-each>
																	</tmks:DesignatedCountryCodeBag>
																</xsl:for-each>
																<xsl:for-each select="tmks:GoodsServicesLimitation">
																	<tmks:GoodsServicesLimitation>
																		<xsl:for-each select="tmks:LimitationCountryDetails">
																			<com:LimitationCountryCodeBag>
																				<xsl:for-each select="tmks:LimitationCountryCode">
																					<com:LimitationCountryCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:LimitationCountryCode>
																				</xsl:for-each>
																			</com:LimitationCountryCodeBag>
																		</xsl:for-each>
																		<com:CommentTextBag>
																			<xsl:for-each select="tmks:Comment">
																				<com:CommentText>
																					<xsl:for-each select="@languageCode">
																						<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																					</xsl:for-each>
																					<xsl:sequence select="fn:string(.)"/>
																				</com:CommentText>
																			</xsl:for-each>
																		</com:CommentTextBag>
																		<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																			<xsl:variable name="var241_resultof_vmf___inputtoresult" as="xs:string?">
																				<xsl:call-template name="vmf:vmf32_inputtoresult">
																					<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var241_resultof_vmf___inputtoresult">
																				<tmks:GoodsServicesLimitationCategory>
																					<xsl:sequence select="."/>
																				</tmks:GoodsServicesLimitationCategory>
																			</xsl:for-each>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																			<tmks:LimitationClassDescriptionBag>
																				<xsl:for-each select="tmks:ClassDescription">
																					<tmks:ClassDescription>
																						<xsl:for-each select="tmks:ClassNumber">
																							<tmks:ClassNumber>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:ClassNumber>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClassNumberStatusCode">
																							<xsl:variable name="var242_resultof_vmf___inputtoresult" as="xs:string?">
																								<xsl:call-template name="vmf:vmf18_inputtoresult">
																									<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																								</xsl:call-template>
																							</xsl:variable>
																							<xsl:for-each select="$var242_resultof_vmf___inputtoresult">
																								<tmks:ClassNumberStatusCategory>
																									<xsl:sequence select="."/>
																								</tmks:ClassNumberStatusCategory>
																							</xsl:for-each>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:GoodsServicesDescription">
																							<tmks:GoodsServicesDescriptionText>
																								<xsl:for-each select="@languageCode">
																									<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																								</xsl:for-each>
																								<xsl:for-each select="@sequenceNumber">
																									<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																								</xsl:for-each>
																								<xsl:sequence select="fn:string(.)"/>
																							</tmks:GoodsServicesDescriptionText>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																							<tmks:UseNiceHeadingIndicator>
																								<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																							</tmks:UseNiceHeadingIndicator>
																						</xsl:for-each>
																						<xsl:for-each select="tmks:ClassificationTermDetails">
																							<tmks:ClassificationTermBag>
																								<xsl:for-each select="tmks:ClassificationTerm">
																									<tmks:ClassificationTerm>
																										<xsl:for-each select="@operationCode">
																											<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermIdentifier">
																											<tmks:ClassificationTermIdentifier>
																												<xsl:for-each select="@identifierKindCode">
																													<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermIdentifier>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermOffice">
																											<tmks:ClassificationTermOfficeCode>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermOfficeCode>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																											<tmks:ClassificationTermOfficeIdentification>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermOfficeIdentification>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermSource">
																											<xsl:variable name="var243_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf19_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var243_resultof_vmf___inputtoresult">
																												<tmks:ClassificationTermSourceCategory>
																													<xsl:sequence select="."/>
																												</tmks:ClassificationTermSourceCategory>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermEntryDate">
																											<tmks:ClassificationTermEntryDate>
																												<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																											</tmks:ClassificationTermEntryDate>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassNumber">
																											<tmks:ClassNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassNumber>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermText">
																											<tmks:ClassificationTermText>
																												<xsl:for-each select="@languageCode">
																													<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermText>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																											<tmks:ClassificationTermEquivalentGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermEquivalentGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																											<tmks:ClassificationTermReferenceGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermReferenceGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																											<tmks:ClassificationTermTranslationGroup>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:ClassificationTermTranslationGroup>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:ClassificationTermStatus">
																											<xsl:variable name="var245_cur" as="node()" select="."/>
																											<xsl:variable name="var244_resultof_vmf___inputtoresult" as="xs:string?">
																												<xsl:call-template name="vmf:vmf20_inputtoresult">
																													<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																												</xsl:call-template>
																											</xsl:variable>
																											<xsl:for-each select="$var244_resultof_vmf___inputtoresult">
																												<tmks:ClassificationTermStatus>
																													<xsl:for-each select="$var245_cur/@officeCode">
																														<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																													</xsl:for-each>
																													<xsl:sequence select="."/>
																												</tmks:ClassificationTermStatus>
																											</xsl:for-each>
																										</xsl:for-each>
																										<xsl:for-each select="tmks:WIPOBasicNumber">
																											<tmks:WIPOBasicNumber>
																												<xsl:sequence select="fn:string(.)"/>
																											</tmks:WIPOBasicNumber>
																										</xsl:for-each>
																									</tmks:ClassificationTerm>
																								</xsl:for-each>
																							</tmks:ClassificationTermBag>
																						</xsl:for-each>
																					</tmks:ClassDescription>
																				</xsl:for-each>
																			</tmks:LimitationClassDescriptionBag>
																		</xsl:for-each>
																	</tmks:GoodsServicesLimitation>
																</xsl:for-each>
																<xsl:for-each select="tmks:ApplicantDetails">
																	<tmks:ApplicantBag>
																		<xsl:for-each select="tmks:Applicant">
																			<xsl:variable name="var246_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																				<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																					<xsl:with-param name="Applicant" as="node()">
																						<tmks:ApplicantType>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</tmks:ApplicantType>
																					</xsl:with-param>
																				</xsl:call-template>
																			</xsl:variable>
																			<xsl:for-each select="$var246_resultof_MappingST__ApplicantToST__Applicant">
																				<tmks:Applicant>
																					<xsl:sequence select="(./@node(), ./node())"/>
																				</tmks:Applicant>
																			</xsl:for-each>
																		</xsl:for-each>
																	</tmks:ApplicantBag>
																</xsl:for-each>
															</tmks:RecordToRegistration>
														</xsl:for-each>
														<xsl:for-each select="tmks:RecordFromRegistrationDetails">
															<tmks:RecordFromRegistrationBag>
																<xsl:for-each select="tmks:RecordFromRegistration">
																	<tmks:RecordFromRegistration>
																		<xsl:for-each select="tmks:RegistrationIdentifier">
																			<tmks:RegistrationIdentifier>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:RegistrationIdentifier>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:RegistrationDate">
																			<com:RegistrationDate>
																				<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																			</com:RegistrationDate>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:MarkVerbalElementText">
																			<tmks:MarkVerbalElementText>
																				<xsl:for-each select="@languageCode">
																					<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																				</xsl:for-each>
																				<xsl:sequence select="fn:string(.)"/>
																			</tmks:MarkVerbalElementText>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:DesignatedCountryDetails">
																			<tmks:DesignatedCountryCodeBag>
																				<xsl:for-each select="tmks:DesignatedCountryCode">
																					<com:DesignatedCountryCode>
																						<xsl:sequence select="fn:string(.)"/>
																					</com:DesignatedCountryCode>
																				</xsl:for-each>
																			</tmks:DesignatedCountryCodeBag>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:GoodsServicesLimitation">
																			<tmks:GoodsServicesLimitation>
																				<xsl:for-each select="tmks:LimitationCountryDetails">
																					<com:LimitationCountryCodeBag>
																						<xsl:for-each select="tmks:LimitationCountryCode">
																							<com:LimitationCountryCode>
																								<xsl:sequence select="fn:string(.)"/>
																							</com:LimitationCountryCode>
																						</xsl:for-each>
																					</com:LimitationCountryCodeBag>
																				</xsl:for-each>
																				<com:CommentTextBag>
																					<xsl:for-each select="tmks:Comment">
																						<com:CommentText>
																							<xsl:for-each select="@languageCode">
																								<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																							</xsl:for-each>
																							<xsl:sequence select="fn:string(.)"/>
																						</com:CommentText>
																					</xsl:for-each>
																				</com:CommentTextBag>
																				<xsl:for-each select="tmks:GoodsServicesLimitationCode">
																					<xsl:variable name="var247_resultof_vmf___inputtoresult" as="xs:string?">
																						<xsl:call-template name="vmf:vmf32_inputtoresult">
																							<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var247_resultof_vmf___inputtoresult">
																						<tmks:GoodsServicesLimitationCategory>
																							<xsl:sequence select="."/>
																						</tmks:GoodsServicesLimitationCategory>
																					</xsl:for-each>
																				</xsl:for-each>
																				<xsl:for-each select="tmks:LimitationClassDescriptionDetails">
																					<tmks:LimitationClassDescriptionBag>
																						<xsl:for-each select="tmks:ClassDescription">
																							<tmks:ClassDescription>
																								<xsl:for-each select="tmks:ClassNumber">
																									<tmks:ClassNumber>
																										<xsl:sequence select="fn:string(.)"/>
																									</tmks:ClassNumber>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:ClassNumberStatusCode">
																									<xsl:variable name="var248_resultof_vmf___inputtoresult" as="xs:string?">
																										<xsl:call-template name="vmf:vmf18_inputtoresult">
																											<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																										</xsl:call-template>
																									</xsl:variable>
																									<xsl:for-each select="$var248_resultof_vmf___inputtoresult">
																										<tmks:ClassNumberStatusCategory>
																											<xsl:sequence select="."/>
																										</tmks:ClassNumberStatusCategory>
																									</xsl:for-each>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:GoodsServicesDescription">
																									<tmks:GoodsServicesDescriptionText>
																										<xsl:for-each select="@languageCode">
																											<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																										</xsl:for-each>
																										<xsl:for-each select="@sequenceNumber">
																											<xsl:attribute name="com:sequenceNumber" select="xs:string(xs:integer(fn:string(.)))"/>
																										</xsl:for-each>
																										<xsl:sequence select="fn:string(.)"/>
																									</tmks:GoodsServicesDescriptionText>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:UseNiceHeadingIndicator">
																									<tmks:UseNiceHeadingIndicator>
																										<xsl:sequence select="xs:string(xs:boolean(fn:string(.)))"/>
																									</tmks:UseNiceHeadingIndicator>
																								</xsl:for-each>
																								<xsl:for-each select="tmks:ClassificationTermDetails">
																									<tmks:ClassificationTermBag>
																										<xsl:for-each select="tmks:ClassificationTerm">
																											<tmks:ClassificationTerm>
																												<xsl:for-each select="@operationCode">
																													<xsl:attribute name="com:operationCategory" select="fn:string(.)"/>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermIdentifier">
																													<tmks:ClassificationTermIdentifier>
																														<xsl:for-each select="@identifierKindCode">
																															<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermIdentifier>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermOffice">
																													<tmks:ClassificationTermOfficeCode>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermOfficeCode>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermOfficeKey">
																													<tmks:ClassificationTermOfficeIdentification>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermOfficeIdentification>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermSource">
																													<xsl:variable name="var249_resultof_vmf___inputtoresult" as="xs:string?">
																														<xsl:call-template name="vmf:vmf19_inputtoresult">
																															<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																														</xsl:call-template>
																													</xsl:variable>
																													<xsl:for-each select="$var249_resultof_vmf___inputtoresult">
																														<tmks:ClassificationTermSourceCategory>
																															<xsl:sequence select="."/>
																														</tmks:ClassificationTermSourceCategory>
																													</xsl:for-each>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermEntryDate">
																													<tmks:ClassificationTermEntryDate>
																														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
																													</tmks:ClassificationTermEntryDate>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassNumber">
																													<tmks:ClassNumber>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassNumber>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermText">
																													<tmks:ClassificationTermText>
																														<xsl:for-each select="@languageCode">
																															<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
																														</xsl:for-each>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermText>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
																													<tmks:ClassificationTermEquivalentGroup>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermEquivalentGroup>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
																													<tmks:ClassificationTermReferenceGroup>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermReferenceGroup>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
																													<tmks:ClassificationTermTranslationGroup>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:ClassificationTermTranslationGroup>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:ClassificationTermStatus">
																													<xsl:variable name="var251_cur" as="node()" select="."/>
																													<xsl:variable name="var250_resultof_vmf___inputtoresult" as="xs:string?">
																														<xsl:call-template name="vmf:vmf20_inputtoresult">
																															<xsl:with-param name="input" select="fn:string(.)" as="xs:string"/>
																														</xsl:call-template>
																													</xsl:variable>
																													<xsl:for-each select="$var250_resultof_vmf___inputtoresult">
																														<tmks:ClassificationTermStatus>
																															<xsl:for-each select="$var251_cur/@officeCode">
																																<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
																															</xsl:for-each>
																															<xsl:sequence select="."/>
																														</tmks:ClassificationTermStatus>
																													</xsl:for-each>
																												</xsl:for-each>
																												<xsl:for-each select="tmks:WIPOBasicNumber">
																													<tmks:WIPOBasicNumber>
																														<xsl:sequence select="fn:string(.)"/>
																													</tmks:WIPOBasicNumber>
																												</xsl:for-each>
																											</tmks:ClassificationTerm>
																										</xsl:for-each>
																									</tmks:ClassificationTermBag>
																								</xsl:for-each>
																							</tmks:ClassDescription>
																						</xsl:for-each>
																					</tmks:LimitationClassDescriptionBag>
																				</xsl:for-each>
																			</tmks:GoodsServicesLimitation>
																		</xsl:for-each>
																		<xsl:for-each select="tmks:ApplicantDetails">
																			<tmks:ApplicantBag>
																				<xsl:for-each select="tmks:Applicant">
																					<xsl:variable name="var252_resultof_MappingST__ApplicantToST__Applicant" as="node()?">
																						<xsl:call-template name="WIPO:MappingST66ApplicantToST96Applicant">
																							<xsl:with-param name="Applicant" as="node()">
																								<tmks:ApplicantType>
																									<xsl:sequence select="(./@node(), ./node())"/>
																								</tmks:ApplicantType>
																							</xsl:with-param>
																						</xsl:call-template>
																					</xsl:variable>
																					<xsl:for-each select="$var252_resultof_MappingST__ApplicantToST__Applicant">
																						<tmks:Applicant>
																							<xsl:sequence select="(./@node(), ./node())"/>
																						</tmks:Applicant>
																					</xsl:for-each>
																				</xsl:for-each>
																			</tmks:ApplicantBag>
																		</xsl:for-each>
																	</tmks:RecordFromRegistration>
																</xsl:for-each>
															</tmks:RecordFromRegistrationBag>
														</xsl:for-each>
													</tmks:RecordShortNotation>
												</xsl:for-each>
											</tmks:MarkRecord>
										</xsl:for-each>
									</tmks:MarkRecordBag>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:MarkRecordRelationDetails">
									<tmks:MarkRecordRelationBag>
										<xsl:for-each select="tmks:MarkRecordRelation">
											<tmks:MarkRecordRelation>
												<tmks:TrademarkIdentifierBag>
													<xsl:for-each select="tmks:TradeMarkKey/tmks:Identifier">
														<tmks:TrademarkIdentifier>
															<xsl:sequence select="fn:string(.)"/>
														</tmks:TrademarkIdentifier>
													</xsl:for-each>
												</tmks:TrademarkIdentifierBag>
												<com:RecordIdentifierBag>
													<xsl:for-each select="tmks:RecordKey/tmks:Identifier">
														<com:RecordIdentifier>
															<xsl:sequence select="fn:string(.)"/>
														</com:RecordIdentifier>
													</xsl:for-each>
												</com:RecordIdentifierBag>
											</tmks:MarkRecordRelation>
										</xsl:for-each>
									</tmks:MarkRecordRelationBag>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:ClassificationTermDetails">
									<tmks:ClassificationTermBag>
										<xsl:for-each select="tmks:ClassificationTerm">
											<tmks:ClassificationTerm>
												<xsl:for-each select="tmks:ClassificationTermIdentifier">
													<tmks:ClassificationTermIdentifier>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:ClassificationTermIdentifier>
												</xsl:for-each>
												<xsl:for-each select="tmks:ClassificationTermEntryDate">
													<tmks:ClassificationTermEntryDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</tmks:ClassificationTermEntryDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:ClassNumber">
													<tmks:ClassNumber>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:ClassNumber>
												</xsl:for-each>
												<xsl:for-each select="tmks:ClassificationTermText">
													<tmks:ClassificationTermText>
														<xsl:for-each select="@languageCode">
															<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
														</xsl:for-each>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:ClassificationTermText>
												</xsl:for-each>
												<xsl:for-each select="tmks:ClassificationTermEquivalentGroup">
													<tmks:ClassificationTermEquivalentGroup>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:ClassificationTermEquivalentGroup>
												</xsl:for-each>
												<xsl:for-each select="tmks:ClassificationTermReferenceGroup">
													<tmks:ClassificationTermReferenceGroup>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:ClassificationTermReferenceGroup>
												</xsl:for-each>
												<xsl:for-each select="tmks:ClassificationTermTranslationGroup">
													<tmks:ClassificationTermTranslationGroup>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:ClassificationTermTranslationGroup>
												</xsl:for-each>
												<xsl:for-each select="tmks:ClassificationTermStatus">
													<tmks:ClassificationTermStatus>
														<xsl:for-each select="@officeCode">
															<xsl:attribute name="com:officeCode" select="fn:string(.)"/>
														</xsl:for-each>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:ClassificationTermStatus>
												</xsl:for-each>
												<xsl:for-each select="tmks:WIPOBasicNumber">
													<tmks:WIPOBasicNumber>
														<xsl:sequence select="fn:string(.)"/>
													</tmks:WIPOBasicNumber>
												</xsl:for-each>
											</tmks:ClassificationTerm>
										</xsl:for-each>
									</tmks:ClassificationTermBag>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:TermSynonymRelationDetails">
									<tmks:TermSynonymRelationBag>
										<xsl:for-each select="tmks:TermSynonymRelation">
											<tmks:TermSynonymRelation>
												<tmks:TermIdentifier>
													<xsl:sequence select="fn:string(tmks:TermKey)"/>
												</tmks:TermIdentifier>
												<tmks:TermSynonymIdentifier>
													<xsl:sequence select="fn:string(tmks:TermSynonymKey)"/>
												</tmks:TermSynonymIdentifier>
											</tmks:TermSynonymRelation>
										</xsl:for-each>
									</tmks:TermSynonymRelationBag>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:TermTranslationRelationDetails">
									<tmks:TermTranslationRelationBag>
										<xsl:for-each select="tmks:TermTranslationRelation">
											<tmks:TermTranslationRelation>
												<tmks:TermIdentifier>
													<xsl:sequence select="fn:string(tmks:TermKey)"/>
												</tmks:TermIdentifier>
												<tmks:TermTranslationIdentifier>
													<xsl:sequence select="fn:string(tmks:TermTranslationKey)"/>
												</tmks:TermTranslationIdentifier>
											</tmks:TermTranslationRelation>
										</xsl:for-each>
									</tmks:TermTranslationRelationBag>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:DecisionDetails">
									<tmks:DecisionBag>
										<xsl:for-each select="tmks:Decision">
											<tmks:Decision>
												<com:DecisionIdentifier>
													<xsl:sequence select="fn:string(tmks:DecisionIdentifier)"/>
												</com:DecisionIdentifier>
												<xsl:for-each select="tmks:DecisionDate">
													<com:DecisionDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</com:DecisionDate>
												</xsl:for-each>
												<xsl:for-each select="tmks:DecisionText">
													<com:DecisionText>
														<xsl:for-each select="@languageCode">
															<xsl:attribute name="com:languageCode" select="fn:string(.)"/>
														</xsl:for-each>
														<xsl:sequence select="fn:string(.)"/>
													</com:DecisionText>
												</xsl:for-each>
												<xsl:for-each select="tmks:DecisionCurrentStatusDate">
													<tmks:DecisionCurrentStatusDate>
														<xsl:sequence select="xs:string(xs:date(fn:string(.)))"/>
													</tmks:DecisionCurrentStatusDate>
												</xsl:for-each>
											</tmks:Decision>
										</xsl:for-each>
									</tmks:DecisionBag>
								</xsl:for-each>
								<xsl:for-each select="$var254_TransactionData/tmks:DecisionCaseRelationDetails">
									<tmks:DecisionCaseRelationBag>
										<xsl:for-each select="tmks:DecisionCaseRelation">
											<tmks:DecisionCaseRelation>
												<xsl:sequence select="()"/>
											</tmks:DecisionCaseRelation>
										</xsl:for-each>
									</tmks:DecisionCaseRelationBag>
								</xsl:for-each>
							</tmks:TransactionData>
						</tmks:TransactionContentBag>
					</tmks:TrademarkTransactionBody>
				</xsl:for-each>
			</xsl:for-each>
		</tmks:TrademarkTransaction>
	</xsl:template>
</xsl:stylesheet>
